------------------------------------------------------------------------------
          libburnia-project.org     scdbackup.sourceforge.net/cdrskin
------------------------------------------------------------------------------

Deliberate deviations of cdrskin from cdrecord compatibility:

+ cdrskin does drive operations (on its drive 0) without a dev= option
  (Note: cdrecord meanwhile has a default for missing dev= option.) 

+ gracetime=0 is allowed and set by default

+ -pad is always set for audio tracks

+ -sao is default where possible, -tao is default where needed 
  (Note: cdrecord write mode defaults have changed in cdrtools-2.01.01a20)

+ driveropts=burnfree is default if the drive supports buffer underrun
  protection. If desired, use driveropts=noburnfree to disable this feature.

+ premature end of source is not an error and leads to full announced tracksize

+ -msinfo pushes all other messages to stderr. It works independently of
  other options which would prevent it with cdrecord (-atip, -scanbus, ...)

+ DVD track sources get not concateneated to a single track. In general DVD
  writing is quite different from cdrecord-ProDVD:
  DVD-R[W] "Disc-at-once" (-sao) is nearest to cdrecord-ProDVD's methods.
  DVD-R[W] "Incremental Streaming" (-tao) on unformatted media allows
  multi-session and track sources of unpredictable size.
  Writing DVD-RAM, DVD+RW and "Restricted Overwrite" DVD-RW is like single
  track -tao on blank CD. Formatting is done via cdrskin-specific
  blank=format_overwrite and not with option -format.

+ DVD-RW get blanked fast only with option blank=deformat_sequential_quickest .
  Option blank=fast is the same as blank=all in order to achieve media which
  are capable of Incremental Streaming.
  
+ It has not been evaluated how far -isosize is compatible with the original
  cdrecord option. man cdrecord forbids stdin as source, cdrskin allows it
  if a fifo is used.


------------------------------------------------------------------------------
                                  Changelog
------------------------------------------------------------------------------

19 Aug 2006  [committed]
README
cdrskin/README cdrskin/cdrskin.c cdrskin/add_ts_changes_to_libburn_0_2_1 \
cdrskin/cdrskin_timestamp.h cdrskin/compile_cdrskin.sh
cdrskin-0.1.4 "stable" released on base of August 15 2006 version of
libburn-svn.pykix.org/trunk after initial merge of libburn and cdrskin-0.1.3 .

------------------------------------------------------------------------------

19 Aug 2006  [committed 16]
cdrskin/changelog.txt
cdrskin-0.1.5 development started.
Introduced this changelog.
---------------------------------- Format (still emerging):

Day Month Year [eventual commit mark with revision number]
affected files , naked, one by line, 
[eventually = internal snapshot tarball]
More ore less concise description.

---------------------------------- End of Format

20 Aug 2006  [committed together with next change, i fear]
libburn/sg.c
Hopefully fixed a file descriptor resource leak in sg_grab().
All scanned drives (seem to) stay open once, the grabbed one got re-opened
and its stored first file descriptor got forgotten. Now we try to detect
and re-use the still open fd.

21 Aug 2006  [committed]
libburn/libburn.h
libburn/sg.c
libburn/init.c
= libburn_cdrskin_A60819.tgz
cdrskin/cdrskin.c [committed later as revision 11]
O_EXCL experiments imported from cdrskin-0.1.3
In default configuration and on compliant kernels expect that a busy drive is
invisible to further cdrskin instances. The user gets hints in case of empty
bus scan result resp. busy drive given with dev=...
Wether cdrecord and cdrskin respect each other would have to be evaluated.
Options to play with:
 --demand_a_drive   exit !=0 on bus scans with empty result
 --drive_abort_on_busy  abort process if busy drive is found
                    (might be triggered by a busy hard disk)
 --drive_blocking   try to wait for busy drive to become free
                    (might be stalled by a busy hard disk)
 --drive_not_exclusive  do not ask kernel to prevent opening
                    busy drives. Effect is kernel dependend.
 grab_drive_and_wait=<num>  grab drive, wait given number of
                    seconds, release drive, and do normal work

21 Aug 2006  [committed]
libburn/write.c
Rectified non-ANSI-C comment, complained by gcc.

21 Aug 2006 [committed 13] 
cdrskin/cdrskin_eng.html
The homepage moved in from scdbackup's internal doc collection.

21 Aug 2006  [committed with revision 11, i fear]
cdrskin/cdrskin.c
Removed flaw:
Help text of tao_to_sao_tsize= clarified.

21 Aug 2006  [committed 12]
cdrskin/wiki_plain.txt 
The initial filling of the cdrskin wiki on libburn.pykix.org .
I am not sure about the future fate of this text. I plan to keep it up to
date with the online wiki for now. The online version will be considered
the original.

21 Aug 2006 [committed 15]
cdrskin/cdrskin_timestamp.h
Timestamping the new version.

21 Aug 2006  [committed 14]
cdrskin/add_ts_changes_to_libburn_0_2_1
cdrskin/compile_cdrskin.sh
Readjusted relationship glue of libburn and cdrskin.

--------------------------------------------------------------------- cycled -

27 Aug 2006  [40]
libburn/mmc.c
libburn/sg.c
Inserted prints to see how sg_issue_command() is called (printing is disabled now)

21 Aug 2006  [17]
README
Reported obvious need for automake >=1.7

21 Aug 2006  [18]
cdrskin/cdrskin_eng.html
cdrskin/README
Reported obvious need for automake >=1.7

22 Aug 2006  [19]
libburn/drive.c
libburn/drive.h
New internal function burn_drive_is_open()

23 Aug 2006  [20]
cdrskin/cdrskin.c
Implemented Lorenzo Taylor's audio patch manually by copy+paste
as i wanted to fully understand it.
Hopefully did not break it that way.

24 Aug 2006  [21]
libburn/libburn.h
libburn/drive.c
Introduced API functions burn_drive_scan_and_grab() burn_drive_get_adr()

24 Aug 2006  [22]
cdrskin/compile_cdrskin.sh
Experimental option cdrskin/compile_cdrskin.sh -newapi

24 Aug 2006  [23]
cdrskin/cdrskin.c
First test of possibility to obey the self imposed rules of Revison 21

24 Aug 2006  [25]
cdrskin/cdrskin.c
Fixed undefined track_type introduced by revision 20.
(We broke cdrskin, but i did not break the patch. Success.)

24 Aug 2006  [30]
libburn/libburn.h
Hopefully fixed an unintended line break in API doxygen

25 Aug 2006  [32]
cdrskin/cdrskin.c
Installed protection against resource leak in Cdrskin_grab_drive()
Just to be sure.

25 Aug 2006  [33]
libburn/drive.c
burn_drive_free() now closes all open drive file descriptors

25 Aug 2006  [34]
libburn/libburn.h
Adjusted statement at API documention of burn_initialize()

25 Aug 2006  [35]
cdrskin/cdrskin.c
Worked forth in order to make cdrskin fully newapi compliant

26 Aug 2006  [37]
Makefile.am
libburn/back_hacks.h
libburn/drive.c
libburn/init.c
Allowed to blank appendable files and installed first back_hacks.h variable ever

26 Aug 2006  [38]
test/burniso.c
Rewrote it to new API practice, inflated explanation comments, SAO mode

27 Aug 2006  [39]
cdrskin/cdrskin.c
Implemented Lorenzos blank-appendable patch plus option --no_blank_appendable

27 Aug 2006  [44]
test/blank.c
Rewrote test/blank.c to new API practice, inflated explanation comments

27 Aug 2006  [41]
cdrskin/cdrskin.c
Fixed obscure sigsegv introduced with 35 or 39 by obeying libburn.h text
(could be a fandango starting in burn_drive_info_free)

27 Aug 2006  [45]
test/burniso.c
Disabled inner burn_drive_info_free like in cdrskin, polished a bit

27 Aug 2006  [43]
libburn/libburn.h
Changed some 'release' to 'close' with specs of burn_drive_scan_and_grab

28 Aug 2006  [46]
test/burniso.c
Polished a bit more for doxygen

28 Aug 2006  [50]
libburn/libburn.h
cdrskin/cdrskin.c
Wrote into API the imperative not to use drive.location but burn_drive_get_adr

28 Aug 2006  [47]
test/burniso.c
Integrated functionality of test/devices.c into test/burniso.c
Proposed to rename it to test/libburner.c

28 Aug 2006  [51]
cdrskin/cdrskin.c
Closed a pitfall with reading from '-' and no tsize= or tao_to_sao_tsize=
Ticket 55

28 Aug 2006  [52]
cdrskin/cdrskin.c
Added personal commitment to grant BSD license on request. Insisted in GPL for now.

28 Aug 2006  [53]
cdrskin/cdrskin.c
Forced each track to have a minimum size of 600 kB
Ticket 55

29 Aug 2006  [58]
test/burniso.c
Integrated functionality of test/blank.c into test/burniso.c

29 Aug 2006  [55]
cdrskin/cdrskin.c
Made cdrskin ready to make good use of now working libburn-eject

29 Aug 2006  [56]
cdrskin/cdrskin.c
Avoided unwanted tray loading on eject of never grabbed drive

29 Aug 2006  [57]
cdrskin/cdrskin.c
Disabled unconditionality of eject introduced by 55 or 56

30 Aug 2006  [59]
test/burniso.c
Repaired SIGSEGV caused by releasing ungrabbed drive after mere bus scan

30 Aug 2006  [60]
test/libburner.c
Makefile.am
My proposal for new souvereign app as API doc and reference for API decisions

31 Aug 2006  [61]
libburn/sg.c
cdrskin/cdrskin.c
Outcommented "experimental:" messages of O_EXCL development

31 Aug 2006  [62]
test/libburner.c
Added 300 kB of padding to get rid of warning in doc, plus end sector padding

31 Aug 2006  [63]
cdrskin/cdrskin.c
Promoted "newapi" functionality and libburn-eject from test to standard

31 Aug 2006  [64]
cdrskin/cdrskin.c
Made cdrskin abort if fifo filling before burn yields 0 bytes (ticket 55)

1 Sep 2006  [65]
cdrskin/README
cdrskin/cdrskin.c
cdrskin/cdrskin_eng.html
Updated cdrskin help tests and docs: -audio, obsolete eject_device=

1 Sep 2006  [66]
libburn/write.c
cdrskin/cdrskin.c
Implemented track number patch by bonfire-app@wanadoo.fr, tickets 58 and 9

1 Sep 2006  [67]
cdrskin/cdrskin.c
Added clarifying URGE to ABORT texts

1 Sep 2006  [71]
test/libburner.c
Made "read-ahead" comment sufficiently ambigous: "buffer"|"filesystem" == ""

1 Sep 2006  [72] [73]
cdrskin/cdrskin.c
cdrskin/compile_cdrskin.sh
Rowed back from revision 64. Now #ifdef Cdrskin_fifo_abort_on_emptY

1 Sep 2006  [74]
cdrskin/cdrskin.c
cdrskin/compile_cdrskin.sh
Rowed forth from revision 73. Now hopefully compliant to man cdrecord.

1 Sep 2006  [78]
cdrskin/cdrskin.c
Made -pad behave cdrecord-ly on audio tracks (not tested acousticly)

2 Sep 2006  [85]
test/libburner.c
Added upcoming clarification of copyright and license aspiration

3 Sep 2006  [86]
README
Added upcoming clarification of copyright and license aspiration

3 Sep 2006  [87] [88]
cdrskin/README
cdrskin/cdrskin.c
Added upcoming clarification of copyright and license aspiration

3 Sep 2006  [91]
cdrskin/changelog.txt
cdrskin/cdrskin_timestamp.h
Opened new cdrskin-0.1.5 upload cycle. This marks a should-be-stable phase.

---------------------------------------------------- cycled - 2006.09.03.132934


3 Sep 2006  [89]
doc/comments_test_ts
Made a try to get doxygen portal page readable by html dl lists

4 Sep 2006  [92]
cdrskin/README
Made changes as reported by Lorenzo on libburn-hackers today

4 Sep 2006  [93]
libburn/transport.h
libburn/drive.h
libburn/drive.c
libburn/init.c
libburn/libburn.h
Integrated elmom patch proposal #3 from ticket #62
/* ts A60904 : ticket 62, contribution by elmom */

4 Sep 2006  [94]
cdrskin/README
Removed reference to frontend "burn" (needs a patch to work for .mp3)

5 Sep 2006  [95]
doc/comments_test_ts
Made a try to get doxygen portal page readable by pre tags and truncation

5 Sep 2006  [96]
test/libburner.c
Rearranged definitions and header inclusions. Is safer so.

5 Sep 2006  [97]
test/libburner.c
Re-inserted lost tab.

6 Sep 2006  [trac]
closed ticket 55: burn of empty tracks from stdin is now forbidden

6 Sep 2006  [98]
libburn/libburn.h
libburn/drive.c
Added new parameter "force" to API-experimental burn_drive_info_forget()

6 Sep 2006  [99]
doc/comments
Made doc test portal the official doc portal

6 Sep 2006  [100]
cdrskin/cdrfifo.c
Added an initial value on proposal by Bart Vanherck

7 Sep 2006  [101]
test/libburner.c
Changed a macro name from Burniso_ to Libburner_

7 Sep 2006  [102] [103]
libburn/libburn.h
libburn/drive.c
cdrskin/cdrskin.c
Implemented first use of API-experimental burn_drive_info_forget() in cdrskin signal handler

7 Sep 2006  [104]
cdrskin/cdrskin.c
Tried to make abort messages clearer

7 Sep 2006  [105]
Makefile.am
test/testburner.c
Prepared test bed for burn_drive_info_forget() as regular API call

7 Sep 2006  [106]
test/testburner.c
Removed a remnant piece of rather unhealthy test code

7 Sep 2006  [106]
test/testburner.c
Corrected test reciepe

7 Sep 2006  [107]
test/libburner.c
Added constraint --stdin_size >= 600k, better bus scan behavior

8 Sep 2006 2006  [109]
libburn/drive.c
test/testburner.c
cdrskin/cdrskin.c
Hopefully ensured correct burn_disc_erasable() already after first grab

9 Sep 2006 2006  [112]
libburn/drive.c
cdrskin/cdrskin.c
Hunted down the bug which let newapi-cdrskin fail with drive 1

10 Sep 2006  [113]
libburn/drive.c
test/libburner.c
test/testburner.c
cdrskin/cdrskin.c
Slowed down highspeed loops waiting for drive status changes

10 Sep 2006  [114]
cdrskin/compile_cdrskin.sh
Aliased switch name -newapi by -experimental

10 Sep 2006  [115]
test/libburner.c
test/testburner.c
cdrskin/cdrskin.c
Re-enabled call to burn_drive_info_free() after repair by revision 93

11 Sep 2006  [116]
cdrskin/compile_cdrskin.sh
Changed -newapi to -experimental in help text

11 Sep 2006  [117]
libburn/drive.c
Removed a bug introduced with revison 93

11 Sep 2006  [118]
libburn/libburn.h
test/libburner.c
Officialized burn_drive_info_forget()

11 Sep 2006  [119] [120]
Makefile.am
test/testburner.c
Deleted until next occasion: testburner

12 Sep Sep 2006  [124]
cdrskin/cdrskin.c
Repaired regression of -eject which loaded tray again

12 Sep 2006  [126]
cdrskin/cdrskin.c
Replaced -experimental method of closing libburn by burn_drive_info_forget()

12 Sep 2006  [129]
cdrskin/cdrskin.c
Added automated padding to last audio track (ticket 41)

2006.09.13.093350  [130]
cdrskin/make_timestamp.sh
Prepared for new revision timestamps to mark cdrskin test versions
From now on cdrskin/cdrskin_timestamp.h is to be part of any commit.

15 Sep 2006  [135]
Makefile.am
Replaced a few 8-blanks by tab

15 Sep 2006  [136]
README
Moved installation instructions in front of overview paragraph

15 Sep 2006  [137]
Makefile.am
cdrskin/README
Made cdrskin an installable program

2006.09.15.092509  [138]
cdrskin/cdrskin.c
cdrskin/compile_cdrskin.sh
Prepared cdrskin-build for version leap


----------------------------- cycled (last cdrskin-0.1.5 ?) - 2006.09.15.101326

2006.09.15.101326  [139]
cdrskin/README
cdrskin/changelog.txt
New upload of scdbackup.sourceforge.net/cdrskin-0.1.5.tar.gz

2006.09.15.174748  [143]
cdrskin/cdrskin.c
Revoked change of 1 Sep 2006 revision 78 (full -nopad) (ticket 41)

16 Sep 2006  [144]
libburn/libburn.h
Made doxygen happy with parameter of burn_drive_get_adr

2006.09.16.194730  [145]
000_CAUTION_RELEASE_CANDIDATE
zzz_CAUTION_RELEASE_CANDIDATE
README
Makefile.am
cdrskin/README
cdrskin/cdrskin.c
cdrskin/compile_cdrskin.sh
Perfomed version leap in respect to SVN

2006.09.19.124540  [160] [161]
cdrskin/cdrskin.c
Allowed driveropts=burnproof as alias for burnfree

2006.09.19.140716  [162] [163]
cdrskin/cdrskin.c
Added error message in case of failed eject

2006.09.20.134219  [175] [176] [177]
cdrskin/cdrskin.c
Fixed bug with dev=1,1,0 (ticket 75)

21 Sep 2006  [186]
configure.ac
Makefile.am
Forwarded changes from 0.2.2 to 0.2.3 

Sep 2006  [187] [188] [189] [190]
cdrskin/cdrskin.c
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_eng.html
cdrskin/README
cdrskin/changelog.txt
- cdrskin/add_ts_changes_to_libburn_0_2_1
+ cdrskin/add_ts_changes_to_libburn_0_2_3
Makefile.am
cdrskin/cdrskin_timestamp.h
Performed development version leap to cdrskin-0.2.3

------------------------------------ cycled - cdrskin-0.2.3 - 2006.09.21.082411

21 Sep 2006  [191]
README
Clarified build from SVN versus tarball

2006.09.21.173012  [192]
cdrskin/cdrskin.c
cdrskin/compile_cdrskin.sh
Gave up compile options -tarball_0_2 , -cvs_A51208 , -libburn_0_2_1
Now standard and therefore no longer needed as macros:
Cdrskin_libburn_p_sectoR
Cdrskin_libburn_with_fd_sourcE
Cdrskin_libburn_largefilE
Cdrskin_libburn_padding_does_worK 

2006.09.21.185623  [193]
cdrskin/cdrskin.c
cdrskin/compile_cdrskin.sh
Officialized gestures of pre-0.2.3 -experimental, introduced -oldfashioned

2006.09.21.194006 [194]
cdrskin/cdrskin.c
Investigating failure to open drive on eject

2006.09.22.133027  [195]
libburn/libburn.h
libburn/sg.c
libburn/sg.h
libburn/drive.c
cdrskin/cdrskin.c
Implemented resolving of softlinks (ticket 33)

2006.09.22.170220  [196]
libburn/libburn.h
libburn/sg.c
libburn/sg.h
libburn/drive.c
cdrskin/cdrskin.c
Implemented new API function burn_drive_convert_fs_adr()


2006.09.22.172307  [197]
cdrskin/cdrskin.c
Fixed SIGSEGV of -eject on non-existent device address

22 Sep 2006  [198]
libburn/sg.c
libburn/sg.h
libburn/drive.c
Implemented finding matching /dev/sgN from /dev/srM or /dev/scdK 
(ioctl(): SCSI_IOCTL_GET_IDLUN)

2006.09.22.195414  [199]
cdrskin/cdrskin.c
Removed bug prone implementation of link resolving (now only via libburn)

2006.09.22.202631  [200]
cdrskin/cdrskin.c
Kept new address conversion from hopping on libburn drive numbers

2006.09.22.203939  [201]
cdrskin/cdrskin.c
Fixed --no_follow_links and renamed to --no_convert_fs_adr

2006.09.23.080015  [202]
libburn/drive.c
Restructured SCSI search, removed a potential bug with hdX

23 Sep 2006  [203]
libburn/libburn.h
Made burn_drive_convert_scsi_adr() a new API function

23 Sep 2006  [204]
libburn/drive.c
libburn/sg.c
Changed outdated comments

23 Sep 2006  [205]
libburn/libburn.h
libburn/drive.c
Introduced new API function burn_drive_obtain_scsi_adr()

2006.09.23.100001  [not in libburn-0.2.2 yet]
cdrskin-0.2.2/cdrskin/cdrskin.c
Backported bug fix of revision 197. Version timestamp : 2006.09.23.100001

23 Sep 2006  [206] [207]
libburn/drive.c
libburn/sg.c
Enabled unused SCSI part of struct burn_drive. Switched persistent address to burn_drive.devname

2006.09.23.114858  [208]
cdrskin/cdrskin.c
Implemented --no_pseudo_scsi_adr

2006.09.23.132755 [209]
cdrskin/cdrskin.c
libburn/drive.c
Removed a bug with SCSI address of scanned drives without such address

23 Sep 2006  [210]
cdrskin/README
Explained the new addressing mode

2006.09.23.182444  [211]
cdrskin/README
cdrskin/cdrskin.c
Bus,Target,Lun for dev=ATA and dev=ATAPI, real SCSI addressing by default 

2006.09.23.183608  [212]
cdrskin/cdrskin.c
Made small improvement with debug message

2006.09.24.171706  [214]
Makefile.am
libburn/libburn.h
libburn/libdax_msgs.h
libburn/libdax_msgs.c
libburn/init.c
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin.c
Added an error message handling facility (ticket 74)

2006.09.24.180836  [215]
libburn/init.c
libburn/sg.c
libburn/libdax_msgs.h
libburn/libdax_msgs.c
cdrskin/cdrskin.c
Made use of new message handling facility and removed first bugs

24 Sep 2006  [216]
libburn/libdax_msgs.h
Recorded error_code 0x00020001

24 Sep 2006  [217] [218]
Makefile.am
libburn/libburn.h
libburn/write.c
libburn/drive.c
cdrskin/compile_cdrskin.sh
Obsoleted libburn/message.[ch]

25 Sep 2006  [219]
libburn/read.c
libburn/write.c
Removed inclusion of libburn/message.h

2006.09.25.104629  [220]
libburn/init.c
libburn/drive.c
cdrskin/cdrskin.c
Converted "libburn_experimental:" messages of address conversion into "DEBUG"

2006.09.25.141035  [221]
libburn/libdax_msgs.h
libburn/libdax_msgs.c
libburn/drive.c
libburn/sg.h
libburn/sg.c
Implemented sg_close_drive_fd (ticket 74)

2006.09.25.144506  [222]
libburn/libdax_msgs.c
Achieved minimum strerror thread safety (strerror_r is burned by Unix and GNU)

2006.09.26.114552  [223]
libburn/libburn.h
libburn/init.c
libburn/libdax_msgs.c
cdrskin/cdrskin.c
Made first use of queued messages and fixed several bugs with that

2006.09.26.142824  [224]
libburn/sg.c
libburn/libdax_msgs.h
cdrskin/cdrskin.c
Made changes with usage of queued messages

24 Sep 2006  [225]
Makefile.am
libburn/libburn.h
libburn/write.c
libburn/drive.c
- libburn/message.c
- libburn/message.h
Removed libburn/message.[ch]

2006.09.26.205504  [227] 
libburn/drive.c
Enhanced softlink resolution

2006.09.26.210711  [228]
libburn/drive.c
Fixed bug in enhanced softlink resolution

2006.09.27.063147  [229]
cdrskin/cdrskin.c
Fixed bug with relative device addresses and Cdrpreskin__cdrecord_to_dev()

2006.09.27.074910  [230]
cdrskin/cdrskin.c
Fixed broken -version and --help (second time for same mistake)

2006.09.27.080826  [231]
cdrskin/README
cdrskin/cdrskin.c
Allowed comments and empty lines in startup files

2006.09.27.082057  [232]
cdrskin/cdrskin.c
Prevented reading of startup files with first arg -version, -help or --help

2006.09.27.115919  [233]
libburn/drive.c
libburn/sg.h
libburn/sg.c
libburn/libdax_msgs.h
cdrskin/cdrskin.c
Disabled but did not discarded failed attempt to lock against growisofs

2006.09.27.120656  [234]
libburn/drive.h
libburn/init.c
libburn/transport.h
libburn/libburn.h
Disabled but did not discarded failed attempt to lock against growisofs

2006.09.27.134332  [235]
libburn/sg.c
Kept /dev/hdX from all having SCSI address 0,0,0

2006.09.27.142312  [236]
libburn/drive.c
Curbed endless links to 20 hops

2006.09.27.143843  [237]
libburn/sg.c
Removed obsolete code and comments

2006.09.28.074434  [238]
cdrskin/cdrskin.c
Enabled optional growisofs lock attempt via --drive_scsi_exclusive

28 Sep 2006  [239]
libburn/libburn.h
Made official exclusive==2 with burn_preset_device_open()

------------------------------------ cycled - cdrskin-0.2.3 - 2006.09.28.100934

2006.09.28.115152  [240]
cdrskin/cdrskin.c
Restored vanished line at end of -help text and added a new one

2006.10.01.104140  [243]
libburn/drive.c
cdrskin/cdrskin.c
Enhanced Cdrpreskin__cdrecord_to_dev so it warns of invisible SCSI drive.

2006.10.02.103418  [244]
libburn/libburn.h
libburn/drive.h
libburn/drive.c
libburn/libdax_msgs.h
libburn/libdax_msgs.c
cdrskin/cdrskin.c
Implemented burn_abort() and made use of it

2006.10.03.162719  [245]
Makefile.am
libburn/libburn.h
libburn/init.c
libburn/cleanup.h
libburn/cleanup.c
cdrskin/cleanup.h
cdrskin/cleanup.c
test/libburner.c
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin.c
Implemented new API function burn_set_signal_handling(), libburner uses it

5 Oct 2006 [246]
libburn/drive.c
Uploaded forgotten part of revision 245

2006.10.05.142628  [247]
libburn/libburn.h
libburn/transport.h
libburn/sg.c
libburn/sg.h
libburn/drive.c
cdrskin/cdrskin.c
Made use of SCSI_IOCTL_GET_BUS_NUMBER in hope of cdrecord compatibility

6 Oct 2006  [248]
+ libburn/asserts.txt
Listed findings on assert() within libburn

7 Oct 2006  [249]
libburn/async.c
libburn/libdax_msgs.h
libburn/asserts.txt
Got rid by soft means of assert() in async.c

2006.10.07.121234  [250]
libburn/libburn.h
libburn/async.c
libburn/drive.h
libburn/drive.c
libburn/init.c
libburn/libdax_msgs.h
libburn/sg.c
libburn/asserts.txt
Got rid of assert() in drive.c by soft means

2006.10.07.132916  [251]
libburn/init.c
libburn/async.c
Got rid of assert() in init.c by soft means

2006.10.07.142454  [252]
libburn/libburn.h
libburn/async.c
libburn/options.c
libburn/sector.c
libburn/spc.c
libburn/libdax_msgs.h
Got rid of assert() in options.c by soft means

7 Oct 2006  [253]
libburn/read.c
Got rid of assert() in read.c by soft means

2006.10.07.170913  [254]
libburn/sg.c
libburn/asserts.txt
Got rid of some assert() in sg.c by soft means

2006.10.07.175427  [255]
libburn/spc.c
libburn/async.c
libburn/libdax_msgs.h
Got rid of assert() in spc.c by soft means

2006.10.08.095016  [256]
libburn/structure.c
libburn/sector.c
libburn/spc.c
libburn/libdax_msgs.h
libburn/asserts.txt
Got rid of assert() in structure.c by soft means

8 Oct 2006  [257]
libburn/toc.c
Got rid of assert() in toc.c by soft means

8 Oct 2006  [258]
libburn/util.c
Got rid of assert() in util.c by soft means

2006.10.09.083438  [259]
libburn/write.c
libburn/structure.c
libburn/libdax_msgs.h
libburn/asserts.txt
Got rid of assert() in write.c by soft means

2006.10.09.123518  [260]
libburn/mmc.c
libburn/read.c
libburn/sector.c
libburn/mmc.h
libburn/transport.h
libburn/asserts.txt
Got rid of assert() in mmc.c by soft means

2006.10.10.112545  [261]
libburn/sector.h
libburn/sector.c
libburn/async.c
libburn/write.h
libburn/write.c
libburn/libdax_msgs.h
libburn/asserts.txt
Got rid of assert() in sector.c by soft means

2006.10.10.175444  [262]
libburn/sg.c
libburn/libdax_msgs.h
Got rid of assert() in sg.c by soft means

10 Oct 2006  [263]
libburn/asserts.txt
Got rid of assert() in libburn

2006.10.11.191959  [264]
cdrskin/cdrskin.c 
cdrskin/README
Changed pseudo-cdrecord addresses: /dev/hdX = ATA:(X-'a')/2,(X-'a')%2,0

13 Oct 2006  [270]
Makefile.am
libburn/sg.c
libburn/cleanup.c
libburn/sg-linux.c
libburn/read.c
libburn/drive.c
libburn/sbc.c
libburn/transport.h
cdrskin/cleanup.c
Made libburn and cdrskin build on my Linux again

2006.10.13.114554  [271]
cdrskin/cdrskin.c
libburn/write.c
libburn/sg-linux.c
libburn/libdax_msgs.h
Removed bug in burn_disc_write_sync(): BURN_DRIVE_IDLE, then d->sync_cache()

2006.10.14.105224  [272]
libburn/sg.h
libburn/sg-freebsd.c
libburn/sg-linux.c
libburn/drive.c
Introduced burn_drive_enumerator_t to allow more complete sg-freebsd implementation

2006.10.15.133035  [274]
cdrskin/cdrskin.c
Changed ambigous include statement of libburn.h 

15 Oct 2006 2006  [275]
Makefile.am
libburn/libdax_msgs.h
+ libburn/libdax_audioxtr.h
+ libburn/libdax_audioxtr.c
Implemented a first attempt of a .wav decapitator (ticket 38)

15 Oct 2006 2006  [276]
+ test/dewav.c
Implemented a first attempt of a .wav decapitator (ticket 38)

15 Oct 2006 2006  [277]
test/dewav.c
Fixed permissions of eventually created output file

15 Oct 2006 2006  [278]
test/dewav.c
cdrskin/compile_cdrskin.sh
Hunting a malloc/free memory problem

15 Oct 2006 2006  [279]
libburn/libdax_audioxtr.c
Hopefully fixed memory problem which causes sigabrt on free

15 Oct 2006 2006  [280]
libburn/libdax_audioxtr.c
Hopefully fixed problem with stdin as audio source

15 Oct 2006 2006  [281]
test/dewav.c
Made helptext print to stderr rather than stdout

2006.10.17.141053  [283]
cdrskin/cdrskin.c
cdrskin/compile_cdrskin.sh
libburn/libdax_audioxtr.h
libburn/libdax_audioxtr.c
test/dewav.c
Roughly implemented automatic .wav extraction in cdrskin

2006.10.17.164140  [284]
cdrskin/cdrskin.c
libburn/libdax_audioxtr.h
libburn/libdax_audioxtr.c
test/dewav.c
Implemented some cdrecord pickiness for .wav extraction

18 Oct 2006  [285]
test/libburner.c
Added --audio and multi-track, removed --verbose, hid --burn_for_real

2006.10.18.174334  [286]
cdrskin/cdrskin.c
Removed assumption BURN_DRIVE_IDLE==0

18 Oct 2006  [287]
cdrskin/README
Changed audio statements to reflect new situation

18 Oct 2006  [288]
cdrskin/README
Removed a typo

19 Oct 2006  [292]
test/libburner.c
Freed all tracks after burning and not only last one

2006.10.19.094543  [293]
cdrskin/cdrskin.c
cdrskin/compile_cdrskin.sh
Made cdrskin use libburn/cleanup.[oh] by default (not cdrskin/cleanup.[ch])

------------------------------------ cycled - cdrskin-0.2.3 - 2006.10.19.105730

2006.10.19.162254  [294]
cdrskin/cdrskin.c
cdrskin/cdrskin_eng.html
cdrskin/changelog.txt
Updated documentation about cdrskin-0.2.3

2006.10.19.164742  [295]
cdrskin/cdrskin.c
Corrected -help text

2006.10.20.113421  [297]
libburn/libburn.h
libburn/mmc.c
libburn/sg-linux.c
libburn/sg-freebsd.c
libburn/drive.c
cdrskin/cdrskin.c
Made cdrskin produce "ATIP start of lead" (on non-blank media for now)

20 Oct 2006  [298]
doc/comments
Updated help text of libburner

2006.10.20.151602  [299]
libburn/libburn.h
libburn/drive.c
libburn/mmc.c
libburn/libdax_msgs.h
cdrskin/cdrskin.c
Classified media with TOC read error as unsuitable (rather than as blank)

2006.10.21.103352  [300]
libburn/libburn.h
libburn/transport.h
libburn/drive.c
libburn/mmc.c
libburn/spc.c
libburn/sg-linux.c
libburn/sg-freebsd.c
libburn/libdax_msgs.h
cdrskin/cdrskin.c
Implemented some ATIP functionality

2006.10.21.103653  [301] [302]
libburn/libburn.h
Clarified relation of burn_disc_read_atip() and burn_drive_get_start_end_lba()

2006.10.21.185102  [303]
libburn/sg.h
libburn/mmc.h
libburn/mmc.c
libburn/sbc.h
libburn/sbc.c
libburn/spc.h
libburn/spc.c
libburn/drive.h
libburn/drive.c
libburn/transport.h
libburn/sg-linux.c
libburn/sg-freebsd.c
Split enumerate_common() into logic-layer, command-layer, transport-layer

2006.10.22.130341  [304]
libburn/libburn.h
libburn/mmc.c
libburn/drive.c
libburn/cleanup.c
cdrskin/cleanup.c
cdrskin/cdrskin.c
Implemented cdrskin -toc

2006.10.22.131452  [305]
cdrskin/cdrskin.c
Regulated coexistence of options -toc and -atip

23 Oct 2006  [306]
libburn/mmc.c
Made clarification in remark about atip speed conversion

2006.10.23.074430  [307]
cdrskin/cdrskin.c
Made use of burn_drive_info.revision as firmware revision text

2006.10.23.113116  [308]
libburn/libburn.h
libburn/transport.h
libburn/mmc.h
libburn/mmc.c
libburn/write.c
cdrskin/cdrskin.c
cdrskin/cdrskin_eng.html
cdrskin/README
Made available drive buffer fill during write

23 Oct 2006  [309]
libburn/sg-freebsd.c
Updated tangling of FreeBSD code with mmc.c :(

2006.10.23.134719  [310]
cdrskin/cdrskin.c
Corrected -toc track counter and notified about "hidden" tracks

2006.10.24.075039  [311]
libburn/libdax_audioxtr.h
libburn/libdax_audioxtr.c
test/dewav.c
cdrskin/cdrskin.c
Introduced extraction of .au (but not its usage within cdrskin)

2006.10.24.102107  [312]
libburn/libburn.h
libburn/structure.h
libburn/structure.c
libburn/sector.c
cdrskin/cdrskin.c
cdrskin/README
Enabled byte swapping for audio track sources, added anti option -swab

2006.10.24.130259  [313]
test/dewav.c
cdrskin/cdrskin.c
cdrskin/README
Enabled automatic extraction of .au

24 Oct 2006  [314]
Makefile.am
+ test/fake_au.c
Introduced temporary test program to produce SUN .au files

------------------------------------ cycled - cdrskin-0.2.3 - 2006.10.24.144650

2006.10.24.165427  [315]
libburn/sector.c
Closed some loopholes for byte swapping.


2006.10.24.165610  [316]
cdrskin/cdrskin.c
Enabled audio byte swapping by default (to be disabled via option -swab)

------------------------------------ cycled - cdrskin-0.2.3 - 2006.10.24.173602

25 Oct 2006  [317]
cdrskin/README
cdrskin/cdrskin_eng.html
cdrskin/wiki_plain.txt
Announced full -audio compatibility with cdrecord

------------------------------------ cycled - cdrskin-0.2.3 - 2006.10.25.160540

2006.10.27.114326  [319 branch]
- cdrskin/add_ts_changes_to_libburn_0_2_3
+ cdrskin/add_ts_changes_to_libburn_0_2_4
cdrskin/README
cdrskin/cdrskin.c
cdrskin/cdrskin_eng.html
cdrskin/changelog.txt
README
Performed cdrskin version leap to cdrskin-0.2.4

2006.10.28.093922  [320 branch]
cdrskin/cdrskin_timestamp.h
Set final timestamp 2006.10.28.093922

------------------------------------ cycled - cdrskin-0.2.4 - 2006.10.28.093922

2006.10.28.115213  [321 trunk] [322 trunk]
- cdrskin/add_ts_changes_to_libburn_0_2_3
+ cdrskin/add_ts_changes_to_libburn_0_2_4
+ cdrskin/add_ts_changes_to_libburn_0_2_5
cdrskin/README
cdrskin/cdrskin.c
cdrskin/cdrskin_eng.html
cdrskin/changelog.txt
README
Performed cdrskin version leap to cdrskin-0.2.5

28 Oct 2006  [323 branch]
- cdrskin/add_ts_changes_to_libburn_0_2_3
cdrskin/add_ts_changes_to_libburn_0_2_4
Corrected misnaming of my development directory

28 Oct 2006  [324 trunk]
cdrskin/add_ts_changes_to_libburn_0_2_4
cdrskin/add_ts_changes_to_libburn_0_2_5
Corrected misnaming of my development directory

2006.10.28.132532  [325 branch]
cdrskin/cdrskin.c
Corrected last-minute bug which made every track from file an audio track

2006.10.28.151521  [326 trunk]
cdrskin/cdrskin.c
Corrected bug which made every track from file an audio track

29 Oct 2006  [327 branch] [328 trunk]
+ CONTRIBUTORS
Copied missing file from libburn-0.2.2

29 Oct 2006  [329 branch] [330 trunk]
Makefile.am
Added to EXTRA_DIST cdrskin/cleanup.[ch]

29 Oct 2006  [331 branch] [332 trunk]
Makefile.am
Added to EXTRA_DIST libburn/sg-*.[ch]

29 Oct 2006  [333 branch] [334 trunk]
Makefile.am
Deleted from to EXTRA_DIST libburn/sg-*.h

30 Oct 2006  [337]
libburn/transport.h
libburn/mmc.c
libburn/sg-freebsd.c
Made MMC command CLOSE TRACK/SESSION available to struct burn_drive

2006.10.31.115606  [338]
libburn/transport.h
libburn/spc.c
libburn/mmc.c
libburn/write.h
libburn/write.c
libburn/sector.c
libburn/libdax_msgs.h
libburn/sg.h
libburn/sg-linux.c
cdrskin/cdrskin.c
Made single track TAO work (sector i/o still wants fixed size, though)

2006.10.31.184736  [339]
libburn/sector.c
libburn/source.c
libburn/structure.h
libburn/structure.c
libburn/write.c
cdrskin/cdrskin.c
Made single track TAO work without fixed size (compile -experimental)

2006.11.01.163934  [340]
libburn/libburn.h
libburn/source.c
libburn/write.h
libburn/write.c
libburn/structure.c
libburn/structure.h
libburn/sector.c
cdrskin/cdrskin.c
cdrskin/compile_cdrskin.sh
Adapted cdrskin pacifier to possibly unknown track size

2006.11.01.172004  [341]
configure.ac
bootstrap
test/libburner.c
Repaired broken macro settings during Linux build

2 Nov 2006  [342]
cdrskin/README
Mentioned -tao and experimental compile

2006.11.02.211816  [343]
libburn/libburn.h
libburn/write.c
cdrskin/cdrskin.c
Installed status communications about closing session ("Fixating")

3 Nov 2006  [344]
test/libburner.c
Changed status report during blanking (there are no "sectors")

2006.11.03.063307  [345]
cdrskin/cdrskin.c
Removed some obsolete debugging messages

2006.11.03.151137  [346]
libburn/structure.h
libburn/structure.c
libburn/write.h
libburn/write.c
libburn/sector.c
libburn/libdax_msgs.h
Installed decent abort behavior with TAO

2006.11.03.202403  [347]
libburn/write.c
Enabled TAO for multiple -data tracks (-audio still ends after 0 bytes)

2006.11.04.092909  [348]
libburn/spc.c
libburn/sector.c
Enabled audio tracks with TAO

2006.11.02.140329 (pl01)  [351 tags/CdrskinZeroTwoFourPlZeroOne]
../cdrskin-0.2.4.patch01/configure.ac
../cdrskin-0.2.4.patch01/bootstrap
../cdrskin-0.2.4.patch01/cdrskin/README
../cdrskin-0.2.4.patch01/cdrskin/add_ts_changes_to_libburn_0_2_4_patch01
../cdrskin-0.2.4.patch01/cdrskin/cdrskin_timestamp.h
../cdrskin-0.2.4.patch01/test/libburner.c
Revoked autotools aspect of revision 290

2006.11.06.073810  [352]
cdrskin/cdrskin.c
cdrskin/cdrskin_eng.html
cdrskin/changelog.txt
Adapted documentation to reflect experimental TAO mode

------------------------------------ cycle  - cdrskin-0.2.5 - 2006.11.06.085056

2006.11.06.114159  [353]
libburn/libburn.h
libburn/spc.c
libburn/options.c
cdrskin/cdrskin.c
New API burn_write_opts_set_multi(). (But libburn cannot burn next session yet)

2006.11.06.121409  [354]
cdrskin/cdrskin.c
Made -toc on multiple sessions more compatible

2006.11.06.155237  [355]
libburn/libburn.h
libburn/drive.c
libburn/write.c
libburn/mmc.c
libburn/sg-linux.c
cdrskin/cdrskin.c
Made CD with unclosed track blankable (by -force)

2006.11.06.195743  [356]
libburn/transport.h
libburn/mmc.c
libburn/spc.c
libburn/write.c
libburn/sg-linux.c
Cared for some SCSI error conditions which were ignored up to now

2006.11.07.114514  [357]
cdrskin/cdrskin.c
Made -tao default for single track or stdin, -sao for any other multi-track

7 Nov 2006  [358]
cdrskin/cdrskin_eng.html
cdrskin/changelog.txt
Prepared next cdrskin-0.2.5 upload cycle

7 Nov 2006  [359]
cdrskin/changelog.txt
cdrskin/README
cdrskin/wiki_plain.txt
Updated documentation about TAO

2006.11.07.152018  [360]
cdrskin/cdrskin.c
cdrskin/changelog.txt
Updated documentation about TAO

------------------------------------ cycle  - cdrskin-0.2.5 - 2006.11.07.152018
* Enabled TAO


2006.11.08.165648  [361]
cdrskin/cdrfifo.h
cdrskin/cdrfifo.c
cdrskin/cdrskin.c
Avoided error message and nonzero exit with trailing trash on .wav

8 Nov 2006  [362]
cdrskin/cdrskin_eng.html
Mentioned bug fix about trailing trash

2006.11.08.172918  [363]
libburn/write.c
Made track write counter of SAO count rather too much than too few bytes

8 Nov 2006  [364]
cdrskin/changelog.txt
Prepared next cdrskin-0.2.5 upload cycle

------------------------------------ cycle  - cdrskin-0.2.5 - 2006.11.08.181016
* Bug fixed: Trailing trash appended to .wav files caused error message
  and, if exceeding fifo size, could even stall a burn.


2006.11.09.112832  [365]
cdrskin/cdrskin.c
Check desired write and block type with burn_drive_info.*_block_types

2006.11.09.113729  [366]
libburn/sg-linux.c
Silenced SCSI error (debugging) messages about missing media

2006.11.09.151431  [367]
cdrskin/cdrskin.c
Corrected first speed measurement report in TAO mode (which was random)

2006.11.09.193030  [368]
libburn/libburn.h
libburn/write.c
cdrskin/cdrskin.c
Experimentally enabled burning to BURN_DISC_APPENDABLE (tested with TAO only)

2006.11.10.093843  [369]
cdrskin/cdrskin.c
doc/comments
Expressing more self-confidence

2006.11.10.172212  [370]
cdrskin/cdrskin.c
Provisory -msinfo (very verbous on stderr)

2006.11.10.184047  [371]
cdrskin/cdrskin.c
Made it work with fifos and other non-plain files as track sources

2006.11.10.185209  [372]
cdrskin/cdrskin.c
Read -msinfo from first track of last session and not from last track

2006.11.11.122402  [373]
libburn/libburn.h
libburn/transport.h
libburn/mmc.h
libburn/mmc.c
libburn/write.c
libburn/drive.c
libburn/libdax_msgs.h
New API function burn_disc_track_lba_nwa()

2006.11.11.122907  [374] [375]
cdrskin/cdrskin.c
Implemented not so provisory -msinfo 

2006.11.11.124020  [376] [377]
cdrskin/cdrskin.c
Reacted on some warnings of gcc -O2

2006.11.11.134752  [378]
cdrskin/cdrskin.c
Implemented handling of unsuitable disk states with -msinfo

2006.11.11.152037  [379]
cdrskin/cdrskin.c
Demanded (for now) -tao for writing to appendable CDs

2006.11.11.152748  [380]
cdrskin/cdrskin.c
Generally enabled -multi, -msinfo and writing to appendable CDs in TAO mode

11 Nov 2006  [381]
cdrskin/changelog.txt
Prepared next cdrskin-0.2.5 cycle

11 Nov 2006  [382]
cdrskin/cdrskin_eng.html
cdrskin/README
Updated docs about multi-session

------------------------------------ cycle  - cdrskin-0.2.5 - 2006.11.11.163625
* Multi-session CDs (for now restricted to write mode TAO), -multi, -msinfo
* Bug fixed: False speed with first pacifier cycle. Potential SIGFPE by NaN.


2006.11.12.085808  [383]
libburn/mmc.c
Made speed 0 in burn_drive_set_speed() really maximum speed (i.e. FFFFh)

2006.11.12.113629  [384]
cdrskin/cdrskin.c
Made SAO preferrable default write mode, kept TAO as default where needed

2006.11.12.152723  [385]
libburn/mmc.c
libburn/libdax_msgs.h
Reacted on error condition during write operation

2006.11.12.185342  [386]
cdrskin/cdrskin.c
Made -toc on blank CD exit with value 0 (rather than 7 with no media)

13 Nov 2006  [390]
README
cdrskin/add_ts_changes_to_libburn_0_2_5
cdrskin/cdrskin_eng.html
Changed SVN URLs to reflect new structure

13 Nov 2006  [391]
README
Refered to both libburn and libisofs in SVN description, updated history

------------------------------------ cycle  - cdrskin-0.2.5 - 2006.11.13.122418
* Enabled named pipes and other non-plain file types as track sources
  (actually already in previous cycle)
* Bug fixed: Default speed was not highest possible but announced as "MAX"
* SAO is preferred default write mode, TAO is default when needed


2006.11.13.122418 [392]
cdrskin/changelog.txt
Next cdrskin-0.2.5 cycle

13 Nov 2006  [393]
cdrskin/cdrskin_eng.html
Adjusted description of write mode default

13 Nov 2006  [394]
Makefile.am
configure.ac
Removed references to libisofs

14 Nov 2006  [399]
README
Changed references to libisofs

14 Nov 2006  [400]
cdrskin/README
Corrected a typo reported by George Danchev

2006.11.14.104023  [401]
cdrskin/cdrskin.c
Implemented try to find on restricted drives a suitable write mode as default 

14 Nov 2006  [402]
libburn/libburn.h
Fixed a wrong name in API description

15 Nov 2006  [403]
libburn/write.h
libburn/write.c
Prepared tests for eventual drive which might support SAO to appendable CD

15 Nov 2006  [404]
libburn/sg-linux.c
Enhanced optional SCSI command logging

2006.11.15.091329  [405]
cdrskin/cdrskin.c
Adjusted some texts to new multi-session situation

2006.11.15.170927  [406]
libburn/sg.h
libburn/sg-linux.c
libburn/sg-freebsd.c
+ libburn/sg-freebsd-port.c
libburn/spc.h
libburn/spc.c
libburn/drive.c
Made portability clarifications

15 Nov 2006  [407]
libburn/sg-linux.c
libburn/sg-freebsd-port.c
Narrowed system specific part of enumerate_common()

2006.11.16.111656  [408] [409]
Makefile.am
+ libburn/os.h
+ libburn/os-linux.h
+ libburn/os-freebsd.h
libburn/sg.h
libburn/sg.c
libburn/transport.h
libburn/cleanup.c
libburn/sg-linux.c
libburn/sg-freebsd-port.c
cdrskin/cleanup.c
cdrskin/compile_cdrskin.sh
Made consolidaed operating system adapters for ease of porting

2006.11.16.133951  [410]
libburn/sg-linux.c
libburn/sg-freebsd-port.c
Polished porting hints and self-compliance to newly established specs

16 Nov 2006  [411]
libburn/sg-linux.c
libburn/sg-freebsd-port.c
Polished porting hints

16 Nov 2006  [412]
test/libburner.c
Obsoleted --stdin_size by automatic TAO, cared for non-plain track files

16 Nov 2006  [413]
doc/comments
Updated help text of libburner

17 Nov 2006  [414]
Makefile.am
+ test/telltoc.c
Created info retrieval companion for libburner

17 Nov 2006  [415]
test/libburner.c
Enabled multi-session with libburner

17 Nov 2006  [416]
Makefile.am
- test/toc.c
Obsoleted old test program

17 Nov 2006  [417] [418]
test/telltoc.c
Shifted a comma

2006.11.18.194606  [419]
libburn/transport.h
libburn/sbc.h
libburn/sbc.c
libburn/drive.c
Test wether SCSI 1Bh START UNIT would be helpful with ticket 90

2006.11.19.114413  [420]
libburn/libburn.h
libburn/mmc.c
libburn/sector.c
libburn/write.c
cdrskin/cdrskin.c
Implemented libburn builtin fine granulated drive buffer min-fill recording

2006.11.19.162900  [421]
cdrskin/cdrskin.c
Avoided self contradiction with "Min drive buffer fill"

2006.11.19.163646  [422]
cdrskin/cdrskin.c
Fixed missing brackets from revison 421

2006.11.20.090207  [423]
libburn/sector.c
Silenced compiler warnings

2006.11.20.090503  [424]
libburn/drive.c
Removed a redundant d->start_unit() of revision 419


------------------------------------ cycle  - cdrskin-0.2.5 - 2006.11.20.092808
* libisofs unbundled from libburn+cdrskin
* Hints for porting to other operating systems are now in sg-*.c

20 Nov 2006  [425]
cdrskin/changelog.txt
Next cdrskin-0.2.5 cycle

2006.11.20.132717  [426]
cdrskin/cdrskin.c
cdrskin/cdrfifo.h
cdrskin/cdrfifo.c
cdrskin/wiki_plain.txt
Implemented new option fifo_start_at=

20 Nov 2006  [427]
cdrskin/wiki_plain.txt
Updated in respect to multi-session

2006.11.22.122228  [428]
libburn/spc.h
libburn/spc.c
Coordinated scsi_notify_error() and scsi_error()


------------------------------------ cycle  - cdrskin-0.2.5 - 2006.11.22.142517

23 Nov 2006  [433]
cdrskin/changelog.txt
Last cdrskin-0.2.5 cycle

23 Nov 2006  [434]
- test/burn.c
- test/master.c
- test/tree.py
- test/tree.pyc
- test/rip.c
Removed obsolete test programs

2006.11.23.102340  [435]
Makefile.am
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin.c
cdrskin/cdrskin_eng.html
cdrskin/README
cdrskin/wiki_plain.txt
+ cdrskin/add_ts_changes_to_libburn_0_2_6
+ cdrskin/add_ts_changes_to_libburn_0_2_7
- cdrskin/add_ts_changes_to_libburn_0_2_4
- cdrskin/add_ts_changes_to_libburn_0_2_5
Version leap to 0.2.6

24 Nov 2006
Published cdrskin-0.2.6.pl01 on cdrskin home pages

------------------------------- cycle  - cdrskin-0.2.6.pl01 - 2006.11.23.114611
* Enabled TAO
* Bug fixed: Trailing trash appended to .wav files caused error message
  and, if exceeding fifo size, could even stall a burn.
* Multi-session CDs (for now restricted to write mode TAO), -multi, -msinfo
* Bug fixed: False speed with first pacifier cycle. Potential SIGFPE by NaN.
* Enabled named pipes and other non-plain file types as track sources
  (actually already in previous cycle)
* Bug fixed: Default speed was not highest possible but announced as "MAX"
* SAO is preferred default write mode, TAO is default when needed
* libisofs unbundled from libburn+cdrskin
* Hints for porting to other operating systems are now in sg-*.c


2006.11.24.121745  [437]
Makefile.am
configure.ac
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin.c
cdrskin/README
Version leap to 0.2.7

24 Nov 2006  [438]
doc/comments
Mentioned telltoc and dewav as helpers of libburner


------------------------------------ cycle  - cdrskin-0.2.7 - 2006.11.24.125445

24 Nov 2006  [439]
cdrskin/changelog.txt
First cdrskin-0.2.7 cycle

24 Nov 2006  [440]
doc/comments 
Updated libburner helptext copy

24 Nov 2006  [441]
doc/comments 
Made our claim of burning CD more general

2006.11.25.104047  [442]
cdrskin/cdrskin.c
Disabled old workaround for ticket 8, burn_disc_read_atip() fixed the problem

25 Nov 2006  [443]
libburn/drive.h
libburn/drive.c
libburn/write.c
test/libburner.c
Ticket 91: update media state model after content change

25 Nov 2006  [444]
test/libburner.c
test/telltoc.c
Made use of libburn device address translation (/dev/sr0, /dev/cdrom, ...)

25 Nov 2006  [445]
test/libburner.c
Corrected two minor bugs

2006.11.25.170456  [446]
libburn/cleanup.c
cdrskin/cleanup.c
Trying to keep signal handler from repeating messages

2006.11.25.182841  [447]
libburn/write.c
libburn/drive.c
Prevented premature BURN_DRIVE_IDLE introduced with revision 443

2006.11.25.210321  [448]
cdrskin/cdrskin.c
Enabled options -vv, -vvv and -vvvv 

28 Nov 2006  [449]
README
Mentioned renaming of umbrella project to libburnia

2006.11.29.205136  [450]
cdrskin/cdrskin.c
Added preliminary support for new cdrecord 1000+ = ATA busses (input only)

2006.12.01.213845  [451]
libburn/transport.h
libburn/libdax_msgs.h
libburn/mmc.c
Ticket 21: media type via 46h GET CONFIGURATION , Current Profile

2006.12.02.111701  [452]
libburn/libburn.h
libburn/mmc.c
libburn/drive.c
cdrskin/cdrskin.c
New API function to obtain media type: burn_disc_get_profile()

2006.12.02.130631  [453]
libburn/mmc.c
Correction for drives which return empty tray as profile 0x00 rather than error


------------------------------------ cycle  - cdrskin-0.2.7 - 2006.12.02.151257
* Improved recognition of unsuitable media types


2 Dec 2006  [454]
cdrskin/changelog.txt
cdrskin/cdrskin_eng.html
Next cdrskin-0.2.7 cycle

2006.12.02.201405  [456]
libburn/drive.c
libburn/mmc.c
Avoided unsuitable media complaint on burn_drive_grab() with load==0

2006.12.02.201529  [457]
cdrskin/cdrskin.c
Testing wether the after-grab status waiting loops are necessary

3 Dec 2006  [461]
cdrskin/doener_150x200_tr.gif
cdrskin/doener_150x200_tr_octx.gif
cdrskin/cdrskin_eng.html
cdrskin is declared honoray Doenerware (burp)

3 Dec 2006  [463]
cdrskin/cdrskin_eng.html
Have wikipedia explain doenerism ("Eat the rich" and so)

2006.12.03.155703  [464]
README
doc/comments
test/libburner.c
cdrskin/cdrskin_eng.html
cdrskin/README
cdrskin/cdrskin.c
Changed URLs and umbrella names to libburnia

3 Dec 2006  [465]
cdrskin/wiki_plain.txt
Changed URLs and umbrella names to libburnia

3 Dec 2006  [466]
cdrskin/wiki_plain.txt
Added Doener logo and link

3 Dec 2006  [468]
cdrskin/cdrskin_eng.html
cdrskin/add_ts_changes_to_libburn_0_2_7
Excluded doener gifs from cdrskin tarballs


------------------------------------ cycle  - cdrskin-0.2.7 - 2006.12.03.204709


2006.12.03.204709  [469]
cdrskin/changelog.txt
Next cdrskin-0.2.7 cycle

4 Dec 2006  [470]
cdrskin/cdrskin_eng.html
Removed a newline which made the Mozilla family show a "_"

4 Dec 2006  [471]
test/telltoc.c
Added reporting of current media profile, changed "Media type" to "Media reuse"

2006.12.09.111108  [475]
cdrskin/cdrskin.c
Replaced setuid blocker by warning. People must know themselves what they do.


------------------------------------ cycle  - cdrskin-0.2.7 - 2006.12.09.141837
* Replaced ban of chmod u+s by loud warning


11 Dec 2006  [484]
cdrskin/cdrskin_eng.html
cdrskin/changelog.txt
Next cdrskin-0.2.7 cycle

2006.12.11.095230 [485]
cdrskin/cdrskin_timestamp.h
Belated timestamp for changes in cdrskin

11 Dec 2006  [486]
Makefile.am
Unified mix of tab an blanks which looks ugly in diff

2006.12.11.100021  [487]
libburn/sg-linux.c
Prepared experiments for new Linux SCSI adventures

2006.12.11.101350  [488]
cdrskin/README
cdrskin/cdrskin.c
cdrskin/wiki_plain.txt
Consequences from newly introduces startup file

11 Dec 2006  [489]
cdrskin/wiki_plain.txt
Repaired README link and planted helptext links

2006.12.11.115802  [490]
libburn/sg-linux.c 
Silenced a compiler warning. Worked further on /dev/srM test. Not done yet.

2006.12.11.125222  [491]
libburn/mmc.c
libburn/structure.c
Prevented SIGSEGVs when using -atip with my SCSI CD-ROM (sr,sg: no matter)

2006.12.11.134452  [492]
libburn/sg-linux.c 
Enabled correct SCSI address parameter registration for /dev/srM.

2006.12.11.145332  [493]
libburn/sg-linux.c
Removed ban on linux_sg_device_family, warning now of linux_sg_accept_any_type

2006.12.11.161952  [494]
libburn/sg-linux.c
Reacted better on failing ioctl(SG_GET_SCSI_ID)

2006.12.11.191826  [495]
libburn/sg-linux.c
cdrskin/cdrskin.c
Trying to identfy CD device via ioctl(CDROM_DRIVE_STATUS)

2006.12.11.215017  [496]
libburn/libburn.h
Appeased doxygen warnings

2006.12.13.170319  [497]
cdrskin/cdrskin.c
Updated dev=help to versions >= 0.2.4, new option --list_ignored_options

13 Dec 2006  [498]
+ cdrskin/cdrskin.1
Detailed man page for cdrskin. Based on work of George Danchev.

2006.12.13.195441  [499]
Makefile.am
Trying to get new man page into release tarball and installation.

13 Dec 2006 [500]
cdrskin/README
Took care for man page

13 Dec 2006  [501]
cdrskin/cdrskin.1
Clarified track content meaning. Corrected some typos and beauty flaws

13 Dec 2006  [502]
cdrskin/README
cdrskin/cdrskin_eng.html
Took more care for man page


------------------------------------ cycle  - cdrskin-0.2.7 - 2006.12.13.221921
* detailed man page for cdrskin


13 Dec 2006  [503]
cdrskin/changelog.txt
Next cdrskin-0.2.7 cycle

13 Dec 2006  [504]
cdrskin/cdrskin.1
Explained recordable CD media. Removed a typo.

14 Dec 2006  [505]
cdrskin/cdrskin.1
Unified some nomenclature. Removed an error with dev_translation=

14 Dec 2006  [506]
CONTRIBUTORS
Mentioned George Danchev for his merits about cdrskin man page

2006.12.14.102857  [507]
Makefile.am
cdrskin/cdrskin_eng.html
+ cdrskin/convert_man_to_html.sh
cdrskin/add_ts_changes_to_libburn_0_2_7
Publishing cdrskin.1 as man_1_cdrskin.html

14 Dec 2006  [508]
- doc/comments_test_ts
Removed outdated experiment


------------------------------------ cycle  - cdrskin-0.2.7 - 2006.12.14.111807

2006.12.14.140001
+ cdrskin-0.2.6/cdrskin/cdrskin.1
cdrskin-0.2.6/cdrskin/README
cdrskin-0.2.6/cdrskin/cdrskin_eng.html
cdrskin-0.2.6/cdrskin/changelog.txt
Backported manpage to cdrskin-0.2.6 -> pl02 and libburn-0.2.6 -> 0.2.6.2
 

14 Dec 2006  [509]
cdrskin/cdrskin_eng.html
Re-arranged examples of documentation commands

14 Dec 2006  [510]
cdrskin/cdrskin.1
Corrected alphabetical sorting error

14 Dec 2006  [511]
cdrskin/changelog.txt
Next cdrskin-0.2.7 cycle

14 Dec 2006  [512]
cdrskin/convert_man_to_html.sh
Added some meta info to the document header, changed title to "man 1 cdrskin"

14 Dec 2006  [513]
cdrskin/wiki_plain.txt
Adapted to existence of man page

15 Dec 2006  [514]
cdrskin/cdrskin.1
Clarified drives and their addresses

15 Dec 2006  [515]
cdrskin/convert_man_to_html.sh
Adapted to changes in cdrskin.1

15 Dec 2006  [516]
cdrskin/cdrskin.1
Introduced term "session"

2006.12.16.090001  [518]
cdrskin-0.2.6/Makefile.am
+ cdrskin-0.2.6/cdrskin/cdrskin.1
cdrskin-0.2.6/cdrskin/README
cdrskin-0.2.6/cdrskin/cdrskin_eng.html
cdrskin-0.2.6/cdrskin/changelog.txt
cdrskin-0.2.6/cdrskin/cdrskin_timestamp.h
Backported manpage to libburn-0.2.6.1 -> libburn-0.2.6.2
 
18 Dec 2006  [519]
cdrskin/cdrskin.1
Made several minor clarifications

2006.12.18.123242  [520]
libburn/mmc.c
Noted some insight about necessity of OPC gained from growisofs_mmc.cpp

2006.12.20.111932  [522]
libburn/transport.h
libburn/options.h
libburn/options.c
libburn/write.c
libburn/sector.c
libburn/mmc.c
libburn/libdax_msgs.h
Prepared experiments for writing to DVD (most easy: DVD+RW)

2006.12.20.142301  [523]
libburn/write.c
libburn/libdax_msgs.h
Refuse to burn audio tracks to DVD

2006.12.20.145222  [524]
libburn/drive.c
libburn/mmc.c
Avoid undefined 43h commands (TOC/ATIP) with non-CD

2006.12.20.170502  [525]
libburn/mmc.c
Corrected DVD+RW track number and nwa with 52h READ TRACK INFORMATION

2006.12.20.171230  [526]
libburn/mmc.c
Corrected bug reported by gcc -O2

2006.12.20.174016  [527]
yylibburn/write.c
Corrected bug reported by gcc -O2

2006.12.20.180214  [528]
cdrskin/cdrskin.c
With -atip report "booktype" for DVD media and no questionable ATIP info 

2006.12.20.195421  [529]
cdrskin/cdrskin.c
With -atip on DVD report no RAW/RAW96R among "Supported modes"

2006.12.21.122301  [530]
libburn/write.c
Removed some debugging messages

2006.12.21.122533  [531]
cdrskin/cdrskin.c
DVD speed reporting (and setting for drives which obey BBh SET CD SPEED)

2006.12.21.200556  [532]
libburn/mmc.c
libburn/libdax_msgs.h
DVD speed setting via B6h SET STREAMING, DVD+RW now enabled in vanilla build

2006.12.21.205702  [533]
libburn/write.c
Disallowed multi flag with DVD+RW (nurses wrong hopes for now)

21 Dec 2006   [534]
test/libburner.c
Report media type, avoid self contradicting messages with DVD+RW --multi

2006.12.21.214641  [535]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
cdrskin/README
cdrskin/cdrskin_eng.html
doc/comments
Some bragging about DVD+RW


------------------------------------ cycle  - cdrskin-0.2.7 - 2006.12.22.120854
* Burning of DVD+RW media as single-track TAO-like initial session


2006.12.23.102056  [536]
libburn/libburn.h
libburn/options.h
libburn/options.c
libburn/write.c
Adjustable write position for DVD+RW: burn_write_opts_set_start_byte()

2006.12.23.102201  [537]
cdrskin/cdrskin.c
New option write_start_address=

23 Dec 2006  [538]
cdrskin/cdrskin.1
cdrskin/README
cdrskin/convert_man_to_html.sh
Added more info about DVD+RW

2006.12.23.141315  [539]
libburn/libburn.h
libburn/drive.c
libburn/write.c
cdrskin/cdrskin.c
New API function to inquire burn success (and avoid confusing messages)

2006.12.23.184353  [540]
libburn/libburn.h
libburn/write.c
cdrskin/cdrskin.c
More appropriate drive status during format and close of DVD+RW

2006.12.24.140904  [547]
cdrskin/cdrskin.c
libburn/write.c
Fixed a bug with speed measurement at end of DVD+RW burning

2006.12.24.142512  [548]
libburn/options.h
libburn/options.c
libburn/write.c
Made DVD 32k end padding controllable

2006.12.24.154455  [549]
cdrskin/cdrskin.c
Made DVD ignore CD write modes of drive. Made TAO default for DVD+RW.

2006.12.24.182307  [550]
libburn/write.c
Bugfix with DVD+RW : progress indicators were initialized too late

2006.12.24.182410  [551]
libburn/options.c
Bugfix after changes for DVD+RW: start_byte was initialized 0, but must be -1

24 Dec 2006  [552]
test/libburner.c
test/telltoc.c
Removed unnecessary waiting loops after grab, mentioned DVD+RW

2006.12.25.113534  [553]
libburn/libburn.h
libburn/spc.c
libburn/drive.c
Ticket 93: write speeds from mode page 2Ah descriptors

25 Dec 2006  [554]
test/telltoc.c
Adjusted to new (still immature) speed info semantics

2006.12.25.185747  [555]
cdrskin/cdrskin.c
Corrected CD speed conversion factor to 2352*75/1000 = 176.4 kB/s

2006.12.25.190055  [556]
libburn/spc.c
libburn/mmc.h
libburn/mmc.c
libburn/write.c
libburn/libdax_msgs.h
Ticket 93: write speeds from ACh GET PERFORMANCE, Type 03h, DVD media capacity

25 Dec 2006  [557]
test/telltoc.c
Adjusted to new (more mature) speed info semantics

2006.12.25.190811  [558]
libburn/transport.h
Completed revision 556

2006.12.26.170459  [559]
libburn/libburn.h
libburn/transport.h
libburn/drive.h
libburn/drive.c
libburn/mmc.c
libburn/spc.c
New API calls burn_drive_get_speedlist() , burn_drive_free_speedlist()

26 Dec 2006  [560]
test/telltoc.c
Enabled report of speed descriptor list

2006.12.26.184321  [561]
libburn/libburn.h
test/telltoc.c
Minor corrections to revisions 559 and 560

2006.12.27.125948  [562]
libburn/drive.c
Disabled obsolete drive-media-state workaround. (Spinoff of ticket 93 :))

2006.12.27.130125  [563]
libburn/mmc.c
Corrected kB conversion factor to 176.4 with ATIP speed codes

2006.12.27.130239  [564]
cdrskin/cdrskin.c
Defended against a race condition on SuSE 9.3 after -atip (hald et.al. ?)

2006.12.27.132653  [565]
libburn/mmc.c
Avoided self contradicting result of ATIP speed inquiry

2006.12.27.162846  [566]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Emulated wodim option -msifile=path 

2006.12.27.213729  [567]
cdrskin/cdrskin.c
Followed revision 644 of wodim (msifile output without newline)

27 Dec 2006  [568]
cdrskin/cdrskin_eng.html
cdrskin/cdrskin.1
Updated about msifile=path


------------------------------------ cycle  - cdrskin-0.2.7 - 2006.12.27.214424
* New option -msifile=path from cdrkit/wodim


2006.12.29.143734  [569]
libburn/mmc.c
Corrected DVD-RW sequential profile name

2006.12.30.001343  [570]
libburn/mmc.h
libburn/mmc.c
libburn/spc.c
libburn/write.c
libburn/libdax_msgs.h
cdrskin/cdrskin.c
Prepared support for DVD-RW in mode Restricted Overwrite

29 Dec 2006  [571]
cdrskin/changelog.txt
Next cdrskin-0.2.7 cycle

2007.01.01.170824  [572]
libburn/libburn.h
libburn/transport.h
libburn/spc.c
libburn/mmc.h
libburn/mmc.c
libburn/async.c
libburn/drive.h
libburn/drive.c
libburn/write.c
libburn/libdax_msgs.h
Prepared formatting of DVD-RW

2007.01.01.171725  [573]
cdrskin/cdrskin.c
cdrskin/README
cdrskin/cdrskin.1
cdrskin/wiki_plain.txt
cdrskin/cdrskin_eng.html
Made use of formatting of DVD-RW

2 Jan 2007  [574]
cdrskin/wiki_plain.txt
Added links to cdrskin help texts

2007.01.02.090530  [575]
COPYRIGHT
README
cdrskin/cdrskin.c
Greeting the new year


------------------------------------ cycle  - cdrskin-0.2.7 - 2007.01.02.101027
* Formatting and then burning to DVD-RW like to DVD+RW


2 Jan 2007  [576]
cdrskin/changelog.txt
Next cdrskin-0.2.7 cycle

2 Jan 2007  [577]
cdrskin/wiki_plain.txt
cdrskin/README
Some DVD-RW statements

2 Jan 2007  [578]
test/libburner.c
doc/comments
Made use of formatting of DVD-RW

2 Jan 2007  [579]
cdrskin/cdrskin.1
Some DVD-RW statements

2007.01.03.163026  [583]
libburn/mmc.c
Made formatting report progress (as good as the drive does)

2007.01.03.164716  [584]
libburn/async.c
libburn/drive.c
Moved blanking suitability test before eventual spwaning of threads

2007.01.05.125715  [587]
libburn/mmc.c
libburn/write.c
Comments and name changes from new findings out of reading MMC-5

2007.01.06.120551  [591]
libburn/libburn.h
libburn/transport.h
libburn/mmc.h
libburn/mmc.c
libburn/async.c
libburn/drive.h
libburn/drive.c
libburn/write.c
cdrskin/cdrskin.c
test/libburner.c
New formatting parameter "size". Sorry for changing API. Function is a week old.

8 Jan 2007  [592]
libburn/os-linux.h
libburn/os-freebsd.h
Added note that buffer may not be smaller than 32768

2007.01.08.104222  [593]
libburn/libburn.h
libburn/drive.c
libburn/write.c
libburn/mmc.c
Introduced size parameter to DVD-RW formatting plus writing of zeros. 

2007.01.08.104407  [594]
cdrskin/cdrskin.1
cdrskin/cdrskin.c
Using 128 MB of size plus writing of zeros with blank=format_overwrite

2007.01.09.140302  [595]
libburn/drive.c
Fixed a SIGFPE with formatting via libburner

9 Jan 2007  [596]
libburn/libburn.h
libburn/transport.h
libburn/libdax_msgs.h
libburn/drive.c
libburn/write.c
libburn/mmc.c
Enhanced DVD-RW formatting

2007.01.09.211152  [597]
cdrskin/README
cdrskin/cdrskin.1
cdrskin/cdrskin.c
Now available: "quickest" and "full" formatting for DVD-RW


------------------------------------ cycle  - cdrskin-0.2.7 - 2007.01.10.101406


10 Jan 2007  [598]
cdrskin/cdrskin_eng.html
Updated size estimation of development downloads

10 Jan 2007  [599]
cdrskin/changelog.txt
Next cdrskin-0.2.7 cycle

2007.01.10.152350  [600]
libburn/libburn.h
libburn/mmc.c
libburn/drive.c
libburn/async.c
cdrskin/cdrskin.c
Option -force enables re-formatting

2007.01.10.152520  [601]
libburn/mmc.c
Switched full formatting from type 10h to 00h which includes lead-out

2007.01.10.152812  [602]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
cdrskin/README
Removed writing of dummy data with blank=format_overwrite_full

2007.01.10.204839  [603]
libburn/mmc.c
libburn/async.c
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Enabled explicit full formatting of DVD+RW ("de-icing")

11 Jan  2007  [604]
cdrskin/README
Removed outdated option from startup file example

2007.01.11.131106  [605]
libburn/mmc.c
With full formatting prefer format 10h over 13h or 15h

2007.01.11.131302  [606]
libburn/os-linux.h
libburn/os-freebsd.h
libburn/cleanup.c
cdrskin/cleanup.c
Kept SIGWINCH from spoiling a burn.

2007.01.11.131615  [607]
libburn/init.c
Sketched better handling of self-inflicted SIGs
 
2007.01.11.131716  [608]
libburn/drive.c
Removed surplus newlines from messages

2007.01.12.162239  [609]
libburn/write.c
libburn/spc.c
libburn/mmc.c
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Enabled writing to DVD-RAM

2007.01.13.140812  [610] [611]
libburn/sg-linux.c
Implemented debugging messages for ATA enumeration

13 Jan 2007  [612]
cdrskin/cdrskin_eng.html
cdrskin/README
Documentation updates about DVD-RAM

2007.01.13.211425  [613]
libburn/transport.h
libburn/mmc.c
Load array of format capacities into struct burn_drive

2007.01.13.211639  [614]
libburn/libburn.h
libburn/drive.c
libburn/async.c
Introduced API for inspection and selection of format capacities

13 Jan 2007  [615]
test/telltoc.c
Added printing of list of available formats

13 Jan 2007  [616]
test/libburner.c
Mentioned DVD-RAM where appropriate

2007.01.13.214259  [617]
cdrskin/cdrskin.c
Shifted fifo reporting to new 4-times -v verbosity level

2007.01.14.101742  [618]
cdrskin/cdrskin.c
Corrected bug with debug messages for fifo

2007.01.14.115347  [619]
libburn/write.c
Added missing cache sync in case of aborted DVD-RW burns

2007.01.14.133951  [620]
libburn/transport.h
libburn/mmc.c
libburn/write.c
Avoided closing of 0x13-DVD-RW sessions which are not intermediate

15 Jan 2007  [621]
cdrskin/wiki_plain.txt
Updated about overwriteable DVD and pointer to dvd+rw-tools


------------------------------------ cycle  - cdrskin-0.2.7 - 2007.01.15.131357
* Burning to DVD-RAM


15 Jan 2007  [623]
cdrskin/changelog.txt
Next cdrskin-0.2.7 cycle

2007.01.16.120001  [tag 624]
Makefile.am
configure.ac
README
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/changelog.txt
Made version number transition to 0.3.0

15 Jan 2007 [tag 625]
- cdrskin/add_ts_changes_to_libburn_0_2_6
- cdrskin/add_ts_changes_to_libburn_0_2_7
+ cdrskin/add_ts_changes_to_libburn_0_3_0
Updated cdrskin tarball generator

16 Jan 2007 [tag 626]
README
Corrected statement about restriction to CD

16 Jan 2007 [tag 627]
cdrskin/cdrskin.c
Silenced a compiler warning

16 Jan 2007 [tag 628]
cdrskin/README
Corrected name of tarball

16 Jan 2007 [tag 632]
test/telltoc.c
Corrected old libburn.pykix.org URL

16 Jan 2007 [tag 634]
cdrskin/cdrskin_eng.html
Updated web page


------------------------------- cycle  - cdrskin-0.3.0.pl00 - 2007.01.16.120001
* Improved recognition of unsuitable media types
* Replaced ban of chmod u+s by loud warning
* detailed man page for cdrskin
* Burning of DVD+RW and DVD-RAM media as single-track TAO-like initial session
* Formatting and then burning to DVD-RW like to DVD+RW
* New option -msifile=path from cdrkit/wodim


16 Jan 2007  [629]
- cdrskin/add_ts_changes_to_libburn_0_2_6
- cdrskin/add_ts_changes_to_libburn_0_2_7
+ cdrskin/add_ts_changes_to_libburn_0_3_0
+ cdrskin/add_ts_changes_to_libburn_0_3_1
Updated cdrskin tarball generator

2007.01.16.151041  [630]
Makefile.am
configure.ac
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
Made version number transition to 0.3.1

16 Jan 2007  [631]
test/telltoc.c
Corrected old libburn.pykix.org URL

16 Jan 2007  [633]
cdrskin/cdrskin_eng.html
Corrected typo


------------------------------------ cycle  - cdrskin-0.3.1 - 2007.01.16.152345


16 Jan 2007  [635]
cdrskin/changelog.txt
Next cdrskin-0.3.1 cycle

17 Jan 2007  [636]
cdrskin/wiki_plain.txt
Removed paragraph about obsoleted tao_to_sao_tsize=

18 Jan 2007  [637]
+ doc/cookbook.txt
Wrote down what i learned from implementing support for overwriteable DVD

18 Jan 2007  [638]
doc/cookbook.txt
More info about Current/Maximum Capacity Descriptor

18 Jan 2007  [639]
doc/cookbook.txt
Made clarification about formatting state recognition

2007.01.18.211740  [640]
libburn/transport.h
libburn/mmc.c
libburn/write.c
Kept DVD+RW from stopping BG formatting if it was not started at all

2007.01.19.110510  [641]
libburn/mmc.c
Removed forgotten debug message printed to stderr

19 Jan 2007  [642]
doc/cookbook.txt
Began to describe TAO multi-session CD writing

20 Jan 2007  [643]
doc/cookbook.txt
Changes with CD part. Especially explanation of TOC.

2007.01.21.190928  [644]
cdrskin/cdrskin.c
Removed unnecessary after-grab loops

2007.01.21.191058  [645]
libburn/write.c
Comments learned from studying MMC-3 and MMC-5 for SAO CD cookbook

21 Jan 2007  [646]
doc/cookbook.txt
Clarification about TAO and mode page 05h per track

2007.01.22.114245  [647]
libburn/libburn.h
libburn/write.c
libburn/async.c
libburn/libdax_msgs.h
cdrskin/cdrskin.c
Bug fix: Banned mixed mode SAO (because broken in libburn and unclear in MMC)

23 Jan 2007  [648]
doc/cookbook.txt
Added SAO CD Cookbook

23 Jan 2007  [649]
doc/cookbook.txt
Corrections of typos and text debris

2007.01.25.145846  [652]
libburn/structure.c
Bug fix: DVD tracks of defined size >=2GB suffered 32-bit integer wraparound 

2007.01.25.185214  [655]
libburn/libburn.h
libburn/write.c
libburn/structure.h
libburn/structure.c
libburn/file.h
libburn/file.c
Enforce minimum track length with SAO

2007.01.25.180001  [tag 656]
libburn_0_3_0_1/libburn/structure.c
libburn_0_3_0_1/cdrskin/cdrskin_timestamp.h
libburn_0_3_0_1/cdrskin/README
Bug fix: DVD tracks of defined size >=2GB suffered 32-bit integer wraparound

26 Jan 2007  [tag 657]
libburn_0_3_0_1/cdrskin/cdrskin_eng.html
Mentioned new cdrskin patch level 01

26 Jan 2007  [658]
cdrskin/cdrskin_eng.html
Now offering cdrskin-0.3.0.pl01 for download 


------------------------------------ cycle  - cdrskin-0.3.1 - 2007.01.26.111920

2007.01.26.173236  [659]
libburn/file.h
libburn/file.c
Unified burn_file_source and burn_fd_source

27 Jan 2007  [660]
libburn/null.c
Initialized  member set_size of burn_source within burn_null_source_new()

27 Jan 2007  [tag 661]
libburn_0_3_0_1/libburn/file.c
Removed 1.3 GB curbs for sources created by burn_file_source_new()

29 Jan 2007  [662]
doc/cookbook.txt
Added a statement about blanking of DVD-RW

2007.01.29.175822  [663]
libburn/transport.h
libburn/drive.c
libburn/write.c
libburn/mmc.c
Experiments about list of features and profiles

2007.01.30.165317  [664]
libburn/write.c
libburn/mmc.c
Preparations for DVD-R[W] Sequential Recording

2007.01.30.191740  [665]
libburn/write.c
libburn/mmc.c
First successful multi-session write to a sequential DVD-RW

30 Jan 2007  [666]
doc/cookbook.txt
Added snapshot of emerging sequential DVD-R[W] cookbook

2007.01.30.220220  [667]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Enabled Burnfree buffer underrun protection by default

2007.01.31.130100  [668]
libburn/async.c
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Blank sequential DVD-RW, deformat overwriteable DVD-RW

2007.01.31.173611  [669]
libburn/libburn.h
libburn/transport.h
libburn/drive.c
libburn/mmc.c
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Provisorily obtain multi-session -C parameters (violates MMC specs but works)

2007.02.01.161634  [670]
libburn/libburn.h
libburn/transport.h
libburn/mmc.c
test/telltoc.c
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Obtain TOC from non-CD via 52h READ TRACK INFORMATION

2007.02.01.163511  [671]
cdrskin/cdrskin.c
Reacted on justified compiler warning about unitialized sessions variable

2007.02.01.191638  [672]
libburn/mmc.c
cdrskin/cdrskin.c
Allow blanking of DVD-RW which offer no Incremental Streaming

1 Feb 2007  [673]
cdrskin/cdrskin_eng.html
cdrskin/README
cdrskin/cdrskin.1
Prepared next cdrskin-0.3.1 cycle

1 Feb 2007  [674]
cdrskin/changelog.txt
Prepared next cdrskin-0.3.1 cycle

1 Feb 2007  [675] [676]
cdrskin/cdrskin.1
Mentioned DVD-RW multi-session in overview of features

------------------------------------ cycle  - cdrskin-0.3.1 - 2007.02.01.203057
* Burnfree enabled by default
* Multi-session recording on sequential DVD-RW, including -toc, -msinfo


2 Feb 2007  [677]
cdrskin/convert_man_to_html.sh
Some sed expressions for beautification 

2 Feb 2007  [678]
doc/cookbook.txt
Updated about DVD-R[W] blanking, multi-session info and TOC

2007.02.02.151327  [679]
libburn/mmc.c
test/telltoc.c
Make mmc_read_multi_session_c1 use TOC if available

2007.02.02.173345  [680]
libburn/mmc.c
cdrskin/cdrskin.c
Improved classification and TOC of finalized DVD-R[W] media

------------------------------------ cycle  - cdrskin-0.3.1 - 2007.02.02.183755

3 Feb 2007  [681]
cdrskin/cdrskin.1
cdrskin/wiki_plain.txt
Mentioned DVD-RW multi-session

2007.02.03.205526 (comitted 4 Feb 2007) [682]
libburn/libburn.h
libburn/mmc.c
libburn/drive.c
libburn/async.c
test/telltoc.c
New in API : struct burn_multi_caps and burn_disc_get_multi_caps()

2007.02.05.132335  [683]
libburn/transport.h
libburn/mmc.c
Preparations for DVD-R[W] DAO

2007.02.06.130410  [684]
libburn/libburn.h
libburn/mmc.c
libburn/write.c
libburn/drive.c
libburn/libdax_msgs.h
Implemented DVD-R[W] DAO as BURN_WRITE_SAO

2007.02.06.170621  [685]
libburn/write.c
libburn/mmc.c
Beautification of debugging messages

2007.02.06.174320  [686]
cdrskin/cdrskin.c
tao_to_sao_tsize= for DVD-R[W] DAO

2007.02.06.185534  [687]
libburn/async.c
cdrskin/cdrskin.c
Enabled fast blank for DVD-R[W]

6 Feb 2007  [688]
cdrskin/cdrskin.1
Clarified CD and DVD peculiarities

6 Feb 2007  [689]
doc/cookbook.txt
Described DVD-R[W] DAO mode

------------------------------------ cycle  - cdrskin-0.3.1 - 2007.02.06.200802
* DVD-R[W] Disk-at-once writing

6 Feb 2007  [690]
cdrskin/README
cdrskin/changelog.txt
cdrskin/cdrskin_eng.html
Next cdrskin-0.3.1 cycle

2007.02.07.162836  [691]
libburn/libburn.h
libburn/drive.h
libburn/drive.c
libburn/options.c
libburn/libdax_msgs.h
New API function burn_write_opts_auto_write_type()

7 Feb 2007  [692]
test/libburner.c
Made use of burn_write_opts_auto_write_type()

7 Feb 2007  [693]
test/libburner.c
doc/comments
Updated documentation aspects

8 Feb 2007  [694]
README
doc/comments
cdrskin/cdrskin.1
cdrskin/README
Finally made tests with DVD-R. They burn indeed like DVD-RW.

2007.02.08.210744  [695]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
New option --prodvd_cli_compatible

8 Feb 2007  [696]
cdrskin/wiki_plain.txt
cdrskin/cdrskin_eng.html
Mentioned DVD-R

2007.02.08.225208  [697]
cdrskin/cdrskin.c
Silenced compiler warning


------------------------------------ cycle  - cdrskin-0.3.1 - 2007.02.09.074058

9 Feb 2006  [698]
cdrskin/cdrskin_eng.html
Added special thanks towards Andy Polyakov

9 Feb 2006  [699]
cdrskin/cdrskin.1
doc/cookbook.txt
Small corrections in documentation

10 Feb 2007  [tag 701] [705]
- cdrskin/add_ts_changes_to_libburn_0_3_0
- cdrskin/add_ts_changes_to_libburn_0_3_1
+ cdrskin/add_ts_changes_to_libburn_0_3_2
+ cdrskin/add_ts_changes_to_libburn_0_3_3
Updated cdrskin tarball generator

2007.02.10.120001 [tag 702] [704]
Makefile.am
configure.ac
README
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/wiki_plain.txt
cdrskin/cdrskin_eng.html
Made number transition and activated development documentation

10 Feb 2007  [tag 703] [707]
cdrskin/changelog.txt
Documented changes and 0.3.2 release timestamp


----------------------------- release  - cdrskin-0.3.2.pl00 - 2007.02.10.120001
* Burnfree enabled by default
* Multi-session recording on sequential DVD-R[W], including -toc, -msinfo
* DVD-R[W] Disk-at-once recording


10 Feb 2007  [706]
libburn/mmc.c
Added a comment about DVD-R


------------------------------------ cycle  - cdrskin-0.3.3 - 2007.02.10.190528


12 Feb 2007  [708]
cdrskin/cdrskin.1
Being exacting about on-the-fly and DVD-RW


12 Feb 2007  [709]
cdrskin/cdrskin_eng.html
Updated list of keywords

2007.02.12.142245  [710]
libburn/mmc.c
Made profile 0010h DVD-ROM suitable,full,not erasable. So it delivers a TOC.


2007.02.13.115459  [711]
libburn/spc.c
Set a suitable page 05h after spc_probe_write_modes()

2007.02.13.143718  [712]
libburn/libburn.h
libburn/transport.h
libburn/mmc.c
libburn/spc.c
libburn/drive.c
Mew API function burn_disc_available_space()

13 Feb 2007  [713]
test/libburner.c
Removed or updated outdated restriction statements

13 Feb 2007  [714]
test/telltoc.c
Applied new API function burn_disc_available_space()

2007.02.14.120213 [715]
libburn/spc.c
Removed outdated ifdef

14 Feb 2007 [716]
test/telltoc.c
Set the advised write mode before inquiring media space

2007.02.14.121440  [717]
libburn/libdax_msgs.h
libburn/mmc.c
Handle eventual ridiculously high d->last_track_no

2007.02.14.122218  [718]
libburn/mmc.h
Forgotten part of revision 718

2007.02.14.202944  [719]
libburn/libburn.h
libburn/options.h
libburn/options.c
libburn/structure.h
libburn/structure.c
libburn/write.c
libburn/drive.c
Optional padding up to full media size when closing (incomplete yet)

2007.02.14.203635  [720]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
New options --fill_up_media and --tell_media_space

2007.02.15.201506  [722]
libburn/options.c
libburn/drive.c
cdrskin/cdrskin.c
libburn/write.c
Took fill_up_media into respect with automatic write mode decisions

2007.02.15.201651  [723]
libburn/transport.h
libburn/mmc.c
libburn/libdax_msgs.h
Installed a guardian for predicted track end

2007.02.15.201757  [724]
libburn/structure.c
Corrected bug about open_ended filluped tracks

15 Feb 2007  [725]
libburn/libburn.h
cdrskin/cdrskin.1
Clarifications about current state of fillup

2007.02.15.203448  [726]
libburn/write.c
Repaired debugging message spoiled by uninitialized variable

2007.02.16.111941  [728]
libburn/write.c
Corrected CD TAO bug introduced with DVD bug fix 724 and CD SAO change 655

2007.02.17.085118  [729]
libburn/structure.c
Another bug fix for revision 724

2007.02.17.085533  [730]
libburn/async.c
cdrskin/cdrskin.c
cdrskin/cdrskin.1
test/libburner.c
Allowed forceful blanking of blank media in burn_disc_erase()

17 Feb 2007  [731]
test/libburner.c
Removed unprecise unnecessary comment


------------------------------------ cycle  - cdrskin-0.3.3 - 2007.02.17.121238
* New option --tell_media_space tells the maximum size for the next burn


2007.02.18.094414  [732]
libburn/libburn.h
Clarified usage comment with burn_drive_info_free() (see ticket 98)

18 Feb 2007  [733]
cdrskin/cdrskin.1
cdrskin/cdrskin_eng.html
cdrskin/changelog.txt
Next cdrskin-0.3.3 cycle


2007.02.18.094858  [734]
libburn/mmc.h
Adjusted maximum realistic number of tracks to MMC specs

2007.02.19.184132  [735]
cdrskin/cdrskin.c
Repaired slightly broken pacifier track size display with -audio

2007.02.19.225102  [736]
libburn/libburn.h
libburn/async.c
libburn/structure.h
libburn/structure.c
libburn/write.h
libburn/write.c
libburn/drive.h
libburn/drive.c
libburn/options.c
libburn/libdax_msgs.h
Re-arranged checking and defaulting of write parameters
=
New API function burn_track_set_default_size()
New API function burn_precheck_write()
Make wide use of burn_disc_write_mode_demands()

2007.02.21.205244  [737]
libburn/libburn.h
libburn/async.c
libburn/drive.c
libburn/options.c
libburn/structure.c
libburn/write.c
libburn/libdax_msgs.h
cdrskin/cdrskin.c
Moved tao_to_sao_tsize into libburn, let cdrskin use auto_write_type and precheck

21 Feb 2007  [738]
cdrskin/add_ts_changes_to_libburn_0_3_3
cdrskin/add_ts_changes_to_libburn_0_3_2
Added -O2 to binary production

2007.02.22.072700  [739]
libburn/libburn.h
libburn/drive.c
libburn/options.c
Re-enabled overwriteable pseudo-pseudo-SAO with unpredicted track size

2007.02.22.073157  [740]
libburn/mmc.c
Disabled debugging messages about format descriptors

2007.02.22.094939  [741]
libburn/libburn.h
libburn/options.c
libburn/write.c
libburn/async.c
test/libburner.c
cdrskin/cdrskin.c
Macro for length of rejection reasons string (old size is still safe)

2007.02.22.113016  [742]
libburn/libburn.h
libburn/drive.c
Made burn_disc_available_space() take into respect burn_write_opts_set_start_byte()

2007.02.23.190937  [743]
libburn/libburn.h
libburn/drive.c
libburn/mmc.c
libburn/write.c
doc/cookbook.txt
Enabled DVD-R/DL Sequential via burn_allow_untested_profiles()

2007.02.23.191117  [744]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Enabled DVD-R/DL Sequential via --allow_untested_media_types

2007.02.23.193427  [745]
libburn/init.c
Forgotten source file for revision 743

------------------------------------ cycle  - cdrskin-0.3.3 - 2007.02.24.102731


2007.02.25.112733  [746]
libburn/write.h
libburn/write.c
libburn/drive.c
cdrskin/cdrskin.1
Took into respect deliberate lack of DVD-R/DL multi session capability

2007.03.01.120945  [747]
libburn/drive.c
libburn/mmc.c
libburn/write.c
cdrskin/cdrskin.c
doc/cookbook.txt
Preparations for supporting DVD+R[/DL]

3 Mar 2007  [748]
cdrskin/cdrskin.1
Updated DVD-R[W] write mode description

2007.03.03.141240  [749]
libburn/transport.h
libburn/mmc.c
Determine physical interface SCSI,ATA,SATA,USB,... (for future use)

2007.03.03.141435  [750]
libburn/libburn.h
libburn/write.c
libburn/options.h
libburn/options.c
cdrskin/cdrskin.c
Re-enabled -force with write modes which seem unavailable

2007.03.03.151812  [751]
libburn/options.c
Fixed bug introduced with rev 736ff which prevented audio CD burning

2007.03.04.184720  [752]
cdrskin/cdrskin.c
cdrskin/cdrfifo.c
Fifo got stuck if sum of processed track sizes was exactly aligned to fifo size

------------------------------------ cycle  - cdrskin-0.3.3 - 2007.03.04.185202
* Bug fix: Multi-track runs with fifo could stall in rare cases

5 Mar 2007  [753]
cdrskin/cdrskin_eng.html
cdrskin/add_ts_changes_to_libburn_0_3_2
Released cdrskin-0.3.2.pl01

2007.03.06.195203  [754]
libburn/mmc.c
libburn/write.c
Enabled DVD+R, DVD+R DL via --allow_untested_media_types, always -multi for now

2007.03.06.205312  [755]
libburn/mmc.c
cdrskin/cdrskin.1
doc/cookbook.txt
doc/comments
Enabled DVD+R as tested media (-multi is still always on)

2007.03.07.151514  [756]
libburn/write.c
cdrskin/cdrskin.1
cdrskin/README
doc/cookbook.txt
Some adjustments for DVD+R recording

2007.03.07.151514  [756]
cdrskin/cdrskin_eng.html
cdrskin/changelog.txt
Next cdrskin-0.3.3 cycle

------------------------------------ cycle  - cdrskin-0.3.3 - 2007.03.07.155750
* Multi-session burning to DVD+R


8 Mar 2007  [757]
cdrskin/cdrskin.1
cdrskin/convert_man_to_html.sh
cdrskin/wiki_plain.txt
Polished documentation

2007.03.09.134622  [758]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
New option assert_write_lba= 

10 Mar 2007  [759]
cdrskin/cdrskin.1
cdrskin/wiki_plain.txt
Polished documentation


------------------------------------ cycle  - cdrskin-0.3.3 - 2007.03.10.
* New option assert_write_lba=

2007.03.12.110001  [tag 761]
Makefile.am
configure.ac
README
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.3.4 and activated development documentation

12 Mar 2007  [tag 762]
- cdrskin/add_ts_changes_to_libburn_0_3_2
- cdrskin/add_ts_changes_to_libburn_0_3_3
+ cdrskin/add_ts_changes_to_libburn_0_3_4
+ cdrskin/add_ts_changes_to_libburn_0_3_5
Updated cdrskin tarball generator

12 Mar 2007  [tag 763]
cdrskin/changelog.txt
Documented most recent changes

12 Mar 2007  [tag 764]
README
Removed redundant sentence

----------------------------- release  - cdrskin-0.3.4.pl00 - 2007.03.12.110001
* Multi-session burning to DVD+R
* New option --tell_media_space tells the maximum size for the next burn
* New option assert_write_lba=
* Bug fix: Multi-track runs with fifo could stall in rare cases


2007.03.12.155600 [765]
Makefile.am
configure.ac
README
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.3.5

12 Mar 2007  [766]
- cdrskin/add_ts_changes_to_libburn_0_3_2
- cdrskin/add_ts_changes_to_libburn_0_3_3
+ cdrskin/add_ts_changes_to_libburn_0_3_4
+ cdrskin/add_ts_changes_to_libburn_0_3_5
Updated cdrskin tarball generator


------------------------------------ cycle  - cdrskin-0.3.5 - 2007.03.12.160658

14 Mar 2007  [767]
cdrskin/cdrskin_eng.html
Corrected truncated sentence and file sizes

14 Mar 2007  [768]
cdrskin/changelog.txt
Next cdrskin-0.3.5 cycle

2007.03.14.133618  [769]
libburn/libburn.h
libburn/init.c
libburn/sg-linux.c
cdrskin/cdrskin.c
cdrskin/cdrskin.1
New option drive_scsi_dev_family=sr|scd|sg

2007.03.15.194531  [770]
libburn/drive.c
React properly on drive stating that it cannot write any media

2007.03.15.195005  [771]
libburn/spc.h
libburn/spc.c
libburn/sbc.c
After loading tray wait for unit to become ready or to report some clear error

2007.03.15.195251  [772]
cdrskin/cdrskin.c
Moved manual device family decision to a sufficiently early stage

2007.03.15.195428  [773]
libburn/mmc.c
Kept mmc_get_configuration() from believing the announcement of 1 GB reply

2007.03.15.195534  [774]
libburn/sg-linux.c
Trying to recognize kernel >= 2.6 and use /dev/sr by default

15 Mar 2007  [775]
cdrskin/cdrskin.1
Updated drive_scsi_dev_family=

15 Mar 2007  [776]
cdrskin/changelog.txt
Next cdrskin-0.3.5 cycle

------------------------------------ cycle  - cdrskin-0.3.5 - 2007.03.16.001311
* Usage of /dev/srN rather than /dev/sgN on Linux >= 2.6
* New option drive_scsi_dev_family=sr|scd|sg


18 Mar 2007  [777]
cdrskin/cdrskin_eng.html
Mentioned new sr behavior

2007.03.24.093238  [785]
libburn/drive.c
Fixed bug with burn_disc_available_space(...,NULL)

2007.03.24.093623  [786]
cdrskin/cdrskin.c
Warning of very small tsize= settings. (Proposal by Eduard Bloch)

2007.03.27.213543  [787]
cdrskin/cdrskin.c
cdrskin/cdrfifo.h
cdrskin/cdrfifo.c
Preparations for option -isosize via fifo (only a debug message yet)

2007.03.28.100934  [788]
libburn/libburn.h
libburn/structure.c
cdrskin/cdrskin.c
Enabled -isosize for first track by help of fifo and without seeking

2007.03.28.111739  [789]
cdrskin/cdrskin.c
Silenced error condition about -sao with stdin and -isosize

2007.03.28.160503  [790]
cdrskin/cdrskin.c
Enabled -isosize with S_IFREG or S_IFBLK files and without fifo

2007.03.28.182419  [791]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Made fifo based -isosize read 64k first and the rest only at normal stage

2007.03.28.202802  [792]
cdrskin/cdrskin.c
Silenced error message if tsize= is smaller than source is willing to deliver


------------------------------------ cycle  - cdrskin-0.3.5 - 2007.03.28.212322
* Option -isosize is supported now


29 Mar 2007  [793]
cdrskin/cdrskin_eng.html
cdrskin/changelog.txt
Next cdrskin-0.3.5 cycle

2007.03.30.201034  [794]
libburn/write.c
cdrskin/cdrskin.1
Allowed finalizing of DVD+R

2007.03.30.214657  [795]
libburn/write.c
Avoided unconditional finalizing of DVD+R

2007.04.03.140356  [796]
libburn/sg-linux.c
Added fcntl() locking to O_EXCL locking

2007.04.03.145637  [797]
cdrskin/cdrskin.c
Make --old_pseudo_scsi_adr -scanbus work with any drive_scsi_dev_family=

2007.04.03.145806  [798]
libburn/libdax_msgs.h
Added fcntl() locking to O_EXCL locking

2007.04.04.184341  [799]
libburn/libburn.h
libburn/init.c
libburn/sg-linux.c
cdrskin/cdrskin.c
cdrskin/cdrskin.1
New cdrskin options --drive_not_f_setlk and --drive_not_o_excl 

6 Apr 2007  [801]
test/libburner.c
Updated media list in introduction comment

2007.04.09.105543  [802]
libburn/transport.h
libburn/os-linux.h
libburn/sg-linux.c
cdrskin/cdrskin.1
Cleaned up scsi sibling management, sketched grafting of DDLP

2007.04.09.111215  [803]
libburn/sg-linux.c
Reacted on compiler warning about last_rdev, fixed fresh typo bug


------------------------------------ cycle  - cdrskin-0.3.5 - 2007.04.09.112127
* DVD+R now get finalized (if not -multi is given)


10 Apr 2007  [804]
cdrskin/changelog.txt
Next cdrskin-0.3.5 cycle

2007.04.10.081855  [805]
libburn/init.c
Fixed bug with drive_scsi_dev_family= introduced by revision 796 (fcntl lock)

2007.04.10.082229  [806]
libburn/sg-linux.c
Used O_EXCL|O_RDWR and fcntl() even within sg_obtain_scsi_adr()

2007.04.10.083119  [807]
libburn/sg-linux.c
Fixed bug in sg_open_scsi_siblings() introduced with revision 802

2007.04.10.144840  [808]
libburn/spc.c
libburn/libdax_msgs.h
Avoided SIGSEGV with an old SCSI CD-ROM drive and its wild replies

12 Apr 2007  [810]
README
Clarified license. People who object shall please come forward now.

2007.04.13.171347  [815]
libburn/sg-linux.c
libburn/libdax_msgs.h
Switched from O_NONBLOCK to O_NDELAY (see http://lkml.org/lkml/2007/4/11/141)

2007.04.13.173008  [816]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Made use of fcntl(F_SETLK) switchable (and thus became more free with default)

15 Apr 2007  [819]
+ libburn/ddlpa.h
+ libburn/ddlpa.c
Began test implementation of DDLP-A

15 Apr 2007  [820]
libburn/ddlpa.h
libburn/ddlpa.c
Implemented ddlpa_lock_btl()

16 Apr 2007  [821]
doc/cookbook.txt
Finalized DVD+R cookbook

16 Apr 2007  [822]
+ doc/ddlp.txt
Emerging description of DDLP

16 Apr 2007  [823]
doc/ddlp.txt
libburn/ddlpa.h
libburn/ddlpa.c
Polished txt and finally threw out getter functions

16 Apr 2007  [824]
libburn/ddlpa.h
Corrected description of return values

18 Apr 2007  [825]
+ test/open-cd-excl.c
Program for probing access to device files. By Ted Ts'o with modifications by me.

18 Apr 2007  [826]
doc/ddlp.txt
Allowed for Friendly Programs: O_EXCL | O_RDONLY

18 Apr 2007  [827]
libburn/ddlpa.h
libburn/ddlpa.c
Progress due to tests with test/open-cd-excl

2007.04.18.103734  [828]
libburn/mmc.c
Updated comments about DVD+R

18 Apr 2007  [829]
test/open-cd-excl.c
libburn/ddlpa.c
doc/ddlp.txt
Polished messages, comments and description of DDLP-A

18 Apr 2007  [830]
test/open-cd-excl.c
doc/ddlp.txt
Adaptations to new test results and discussions

18 Apr 2007  [831]
doc/ddlp.txt
Corrected a list of standard paths

19 Apr 2007  [832] [833]
doc/ddlp.txt
Clarifications about motivation and duties of the participants

20 Apr 2007  [834]
doc/ddlp.txt
Beginning to develop DDLP-B

21 Apr 2007  [835]
doc/ddlp.txt
Declared failure of DDLP to entirely solve the concurrency problem

------------------------------------ cycle  - cdrskin-0.3.5 - 2007.04.22.112236

22 Apr 2007  [836]
cdrskin/changelog.txt
Next cdrskin-0.3.5 cycle

22 Apr 2007  [837]
cdrskin/add_ts_changes_to_libburn_0_3_5
cdrskin/add_ts_changes_to_libburn_0_3_4
Repaired autotools bootstrap bug by help of sed

22 Apr 2007  [838]
cdrskin/cdrskin.1
Changed many /dev/sg to /dev/sr


2007.04.23.130001  [tag 841]
Makefile.am
configure.ac
README
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/wiki_plain.txt
cdrskin/cdrskin_eng.html 
doc/comments
Made number transition and activated development documentation

23 Apr 2007  [tag 842]
- cdrskin/add_ts_changes_to_libburn_0_3_4
- cdrskin/add_ts_changes_to_libburn_0_3_5
+ cdrskin/add_ts_changes_to_libburn_0_3_6
+ cdrskin/add_ts_changes_to_libburn_0_3_7
Updated cdrskin tarball generator

23 Apr 2007  [tag 844]
cdrskin/README
Corrected false info about outdated addressing method

2007.04.23.154600  [843]
Makefile.am
configure.ac
README
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/wiki_plain.txt
cdrskin/cdrskin_eng.html 
doc/comments
Made number transition and activated development documentation

23 Apr 2007  [845]
- cdrskin/add_ts_changes_to_libburn_0_3_4
- cdrskin/add_ts_changes_to_libburn_0_3_5
+ cdrskin/add_ts_changes_to_libburn_0_3_6
+ cdrskin/add_ts_changes_to_libburn_0_3_7
Updated cdrskin tarball generator


----------------------------- release  - cdrskin-0.3.6.pl00 - 2007.04.23.130001
* Usage of /dev/srN rather than /dev/sgN on Linux >= 2.6
* New option drive_scsi_dev_family=sr|scd|sg
* Option -isosize is supported now
* DVD+R now get finalized (if not -multi is given)


2007.04.23.171735  [846]
cdrskin/changelog.txt
Next cdrskin-0.3.7 cycle


------------------------------------ cycle  - cdrskin-0.3.7 - 2007.04.24.113310

2007.05.21.184334  [853]
libburn/sg-linux.c
Prepared fflushing and stderr output of SCSI command log

2007.05.21.185450  [854]
libburn/sbc.c
libburn/spc.h
libburn/spc.c
libburn/mmc.c
libburn/toc.c
libburn/transport.h
For Linux 2.4, USB : Carefully avoided to inquire more data than available

2007.05.21.185644  [855]
libburn/sector.c
libburn/write.c
For Linux 2.4, USB audio : Reduced CD output buffer size to 32 kiB

21 May 2007  [856]
cdrskin/cdrskin_eng.html
cdrskin/changelog.txt
Next cdrskin-0.3.7 cycle


------------------------------------ cycle  - cdrskin-0.3.7 - 2007.05.21.201501
* Now able to cope with the peculiarities of Linux 2.4 USB


2007.05.22.154407  [857]
libburn/sg-linux.c
Report eventual sg_io_hdr_t host_status,driver_status as debug messages

2007.05.22.154504  [858]
cdrskin/cdrskin.c
Disabled macro Cdrskin_debug_libdax_msgS. Thus getting unqueued error messages.

2007.05.22.164850  [859]
libburn/sg-linux.c
Added SCSI opcode to output of revision 857

2007.05.28.132412  [860]
libburn/os-linux.h
libburn/write.c
Moved general 32 kiB buffer restriction from write.c to os-linux.h

2007.05.28.165630  [861]
libburn/libburn.h
libburn/drive.c
test/telltoc.c
Extended struct burn_multi_caps by .might_simulate

28 May 2007  [862]
libburn/libdax_msgs.h
Forgotten update of error list with revison 857

2007.05.28.170243  [863]
libburn/options.c
cdrskin/cdrskin.1
Added check for .might_simulate to burn_write_opts_auto_write_type()

2007.05.28.192421  [864]
libburn/sector.c
Fixed low transaction size introduced by cooperation of revisions 855 and 860


------------------------------------ cycle  - cdrskin-0.3.7 - 2007.05.28.192853
* Refusal to perform -dummy runs on media which cannot simulate burning

29 May 2007  [865]
cdrskin/cdrskin_eng.html
cdrskin/changelog.txt
Next cdrskin-0.3.7 cycle

8 Jun 2007  [873]
- cdrskin/doener_150x200_tr.gif
- cdrskin/doener_150x200_tr_octx.gif
+ cdrskin/doener_150x200_tr.png
+ cdrskin/doener_150x200_tr_octx.png
cdrskin/cdrskin_eng.html
Changed logo graphics format from GIF to PNG

8 Jun 2007  [874]
cdrskin/wiki_plain.txt
cdrskin/add_ts_changes_to_libburn_0_3_6
cdrskin/add_ts_changes_to_libburn_0_3_7
Took into respect change of logo graphics format

8 Jun 2007  [875]
cdrskin/cdrskin.1
Prevented macro interpretation of text snippet ".wav"

10 Jun 2007  [876]
cdrskin/README 
cdrskin/cdrskin.1
Clarified MB to MiB if compatibility allows it (ticket 100)

10 Jun 2007  [877]
cdrskin/cdrskin.1
doc/cookbook.txt
test/libburner.c
Changed "KB" to "kiB"

------------------------------------ cycle  - cdrskin-0.3.7 - 2007.06.10.081025


2007.07.12.162856  [882]
libburn/transport.h
libburn/mmc.c
libburn/write.c
libburn/libdax_msgs.h
Preparations to avoid writing which will not fit in drive buffer

2007.07.12.171727  [883]
libburn/libburn.h
libburn/drive.c
New API-Function burn_drive_set_buffer_waiting() 

2007.07.12.171832  [884]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
New options modesty_on_drive= and minbuf=

2007.07.14.111614  [885]
libburn/libburn.h
libburn/drive.c
New API function burn_drive_get_best_speed()

2007.07.14.112029  [886]
libburn/mmc.c
Only set realistic maximum DVD speeds (for my LG GSA which fails otherwise)

2007.07.14.112326  [887]
cdrskin/cdrskin.c
Experimental option --adjust_speed_to_drive. Caution: May vanish soon.

17 Jul 2007  [888]
cdrskin/cdrskin.1
Clarification on option speed=

2007.07.17.085823  [889]
libburn/libburn.h
libburn/drive.c
libburn/mmc.c
cdrskin/cdrskin.c
Implemented minimum speed in burn_drive_set_speed()

2007.07.19.072434  [890]
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Removed ban against speed 0 with burn_drive_set_buffer_waiting()

2007.07.19.143139  [891]
cdrskin/cdrskin.c
Trying to prevent usage of burn drive as track source

2007.07.19.171947  [892]
cdrskin/cdrskin.c
Avoided new track-drive test with option --no_convert_fs_adr

19 Jul 2007  [893]
cdrskin/cdrskin.1
Documented option --adjust_speed_to_drive (i.e. it will stay)

19 Jul 2007  [894]
cdrskin/changelog.txt
Next cdrskin-0.3.7 cycle

19 Jul 2007  [895]
cdrskin/cdrskin_eng.html
Next cdrskin-0.3.7 cycle

------------------------------------ cycle  - cdrskin-0.3.7 - 2007.07.19.174859
* New option modesty_on_drive= may help with hda -> hdb burns
* New option minbuf= , cdrecord compatible frontend of modesty_on_drive=
* New option --adjust_speed_to_drive
* Precautions against using the burner drive as track source

2007.07.20.120001  [branch 897]
Makefile.am
configure.ac
README
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh 
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.3.8

20 Jul 2007  [branch 898]
- cdrskin/add_ts_changes_to_libburn_0_3_6
- cdrskin/add_ts_changes_to_libburn_0_3_7
+ cdrskin/add_ts_changes_to_libburn_0_3_8
+ cdrskin/add_ts_changes_to_libburn_0_3_9
Updated cdrskin tarball generators

20 Jul 2007  [branch 899]
cdrskin/changelog.txt
Documented changes and release timestamp

2007.07.20.210001  [900]
Makefile.am
configure.ac
README
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh 
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.3.9

20 Jul 2007  [901]
- cdrskin/add_ts_changes_to_libburn_0_3_6
- cdrskin/add_ts_changes_to_libburn_0_3_7
+ cdrskin/add_ts_changes_to_libburn_0_3_8
+ cdrskin/add_ts_changes_to_libburn_0_3_9
Updated cdrskin tarball generators

20 Jul 2007  [902]
cdrskin/changelog.txt
Documented changes

----------------------------- release  - cdrskin-0.3.8.pl00 - 2007.07.20.120001
* Now able to cope with the peculiarities of Linux 2.4 USB
* Refusal to perform -dummy runs on media which cannot simulate burning
* New option modesty_on_drive= may help with hda -> hdb burns
* New option minbuf= , cdrecord compatible frontend of modesty_on_drive=
* New option --adjust_speed_to_drive
* Precautions against using the burner drive as track source

------------------------------------ cycle  - cdrskin-0.3.9 - 2007.07.20.200422

2 Aug 2007  [917]
cdrskin/cdrskin_eng.html
Corrected a harmless typo

2 Aug 2007  [918]
doc/cookbook.txt
cdrskin/cdrskin.1
Took into respect new info from Andy Polyakov about closing DVD+-R

9 Aug 2007  [920]
cdrskin/cdrskin_eng.html
Corrected a dead link

2007.08.09.133137  [921]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Allowed speed=any

2007.08.09.133259  [922]
libburn/transport.h
Changed "unsigned" to "unsigned int"

2007.08.09.133420  [923]
libburn/libdax_msgs.h
Corrected a typo

9 Aug 2007  [924]
+ doc/libdax_model.txt
+ doc/libdax_overview.gif
+ doc/libdax_equip.gif
+ doc/libdax_job.gif
Obscure backup of my unripe model ideas about libcevap (former libdax)

10 Aug 2007  [936]
doc/libdax_model.txt
Fiddled on the model attributes

2007.08.10.201450  [937]
libburn/libburn.h
Updated comments about supported profiles and media types

2007.08.10.203040  [938]
configure.ac
Changed "libburn-1.pc" to "libburn-5.pc" to re-enable ./bootstrap ; ./configure

2007.08.11.075330  [941]
cdrskin/README
cdrskin/add_ts_changes_to_libburn_0_3_9
cdrskin/cdrskin.c
cdrskin/cdrskin_eng.html
cdrskin/wiki_plain.txt
doc/comments
doc/cookbook.txt
test/libburner.c
test/telltoc.c
Reflected recent URL changes to libburnia-project.org

2007.08.11.202027  [942]
libburn/libburn.h
libburn/write.c
libburn/libdax_msgs.h
New API function burn_random_access_write()

2007.08.11.202627  [943]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
New option direct_write_amount= using new API call burn_random_access_write()

12 Aug 2007  [944]
libburn/libburn.h
Clarifications about burn_random_access_write()

2007.08.12.095446  [945]
libburn/write.c
libburn/libdax_msgs.h
Checked in burn_random_access_write() wether drive is grabbed

2007.08.12.095623  [946]
cdrskin/cdrskin.c
Debug message explaining why burn_drive_convert_fs_adr() acts on track source

2007.08.12.152937  [947]
libburn/libburn.h
libburn/transport.h
libburn/mmc.h
libburn/mmc.c
libburn/write.c
libburn/read.c
libburn/libdax_msgs.h
New API function burn_read_data()

12 Aug 2007  [948]
test/telltoc.c
Testing burn_read_data() by option --read_and_print

------------------------------------ cycle  - cdrskin-0.3.9 - 2007.08.12.161808
* New option direct_write_amount=

13 Aug 2007  [949]
cdrskin/changelog.txt
Next cdrskin-0.3.9 cycle

13 Aug 2007  [950]
cdrskin/cdrskin.1
cdrskin/cdrskin_eng.html
Some polishing about option direct_write_amount=

13 Aug 2007  [951]
doc/libdax_model.txt
Beautified implementation names and added some more attributes

15 Aug 2007  [952]
doc/libdax_model.txt
Added more attributes and distinguished read-write, read-only, private ones

2007.08.17.081901  [953]
libburn/transport.h
Corrected harmless type declaration flaws

17 Aug 2007  [954]
doc/libdax_model.txt
Added more attributes and comments

19 Aug 2007  [955]
+ libcevap/
+ libcevap/cgen.c
+ libcevap/cgen.h
+ libcevap/ctyp.c
+ libcevap/ctyp.h
+ libcevap/smem.c
+ libcevap/smem.h
+ libcevap/cgen.txt
The C code generator mentioned in doc/libdax_model.txt. See there.

19 Aug 2007  [956]
doc/libdax_model.txt
More comments, new capabilities of C code generator

19 Aug 2007  [957]
+ libcevap/libcevap_gen.sh
+ libcevap/extract_cgen_input.sh
+ libcevap/main.c
doc/libdax_model.txt
Generator frontend scripts (./libcevap_gen.sh to be run in libcevap/)

19 Aug 2007  [958]
doc/libdax_model.txt
Corrected description of compiling and generating

20 Aug 2007  [959]
libcevap/cgen.c
Corrected a bug about inclusion of cevap*.h files

21 Aug 2007  [960]
libcevap/smem.h
Added some function type declarations

2007.08.22.134731  [961]
libburn/mmc.c
Corrected dangerous typo with error message production of mmc_read_10()

22 Aug 2007  [962]
test/telltoc.c
Retrieving my old backups which are hit by the Linux Read-Ahead-Bug

22 Aug 2007  [963]
libburn/read.c
test/telltoc.c
Avoiding libburn read-ahead-bug

22 Aug 2007  [964]
test/telltoc.c
Avoided locked drive with interrupted telltoc read. (eject unlocks anyway)

2007.08.22.173459  [965]
libburn/libburn.h
libburn/drive.c
libburn/read.c
libburn/write.c
Taking synchronous read/write into respect with abort handling

2007.08.23.150423  [966]
libburn/libburn.h
libburn/mmc.c
libburn/read.c
Allowed to suppress error message from failed burn_read_data()

23 Aug 2007  [967]
test/telltoc.c
Try to read last 2 blocks of CD track without eventual error message

2007.08.25.085709  [968]
libburn/libburn.h
libburn/mmc.c
libburn/file.c
libburn/source.c
libburn/structure.c
Corrected memory management flaws found by Joris Dobbelsteen

25 Aug 2007  [969]
test/telltoc.c
Reacted on false compiler warning about potentially unused variable

2007.08.25.155931  [970]
libburn/mmc.c
libburn/file.c
More memory management changes proposed by Joris Dobbelsteen

2007.08.26.200829  [971]
cdrskin/cdrskin.c
cdrskin/cdrfifo.h
cdrskin/cdrfifo.c
cdrskin/cdrskin.1
New cdrskin option --grow_overwriteable_iso

2007.08.28.143057  [974]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Made program behavior with --grow_overwriteable_iso more consistent

28 Aug 2007  [975]
cdrskin/README
Mentioned --grow_overwriteable_iso

29 Aug 2007  [976]
doc/libdax_model.txt
Work goes on

29 Aug 2007  [977]
cdrskin/cdrskin_eng.html
cdrskin/changelog.txt
Next cdrskin-0.3.9 cycle

------------------------------------ cycle  - cdrskin-0.3.9 - 2007.08.29.124057
* New option --grow_overwriteable_iso

29 Aug 2007  [978]
cdrskin/compile_cdrskin.sh
Added missing file to link list: read.o

29 Aug 2007  [979]
- doc/libdax_model.txt
- doc/libdax_overview.gif
- doc/libdax_job.gif
- doc/libdax_equip.gif
+ libcevap/libdax_model.txt
+ libcevap/libdax_overview.gif
+ libcevap/libdax_job.gif
+ libcevap/libdax_equip.gif
Moved libdax-libcevap model stuff to libcevap/

29 Aug 2007  [980]
libcevap/libcevap_gen.sh 
Adapted C code generator script to new address of libdax_model.txt

2007.09.01.182319  [984]
libburn/libburn.h
libburn/options.c
New API function burn_write_opts_get_drive()

2007.09.04.224905  [987]
libburn/libburn.h
libburn/transport.h
libburn/async.c
libburn/drive.c
libburn/write.c
libburn/read.c
libburn/options.c
libburn/spc.c
libburn/libdax_msgs.h
New API calls burn_drive_grab_dummy(), burn_drive_get_drive_role()

5 Sep 2007  [988]
test/telltoc.c
test/libburner.c
Testing new API functions via --drive stdio:<path>

2007.09.04.225558  [989]
libburn/write.c
libburn/read.c
Reacted on compiler warnings

2007.09.05.194124  [991]
libburn/libburn.h
libburn/drive.c
test/libburner.c
test/telltoc.c
burn_drive_grab_dummy() becomes invisible part of burn_drive_scan_and_grab()

2007.09.05.195248  [992]
libburn/write.c
Fixed a bug with failed opening of pseudo-drive

2007.09.06.094402  [995]
libburn/drive.c
Added forgotten handling of pseudo-drives in burn_drive_grab()

2007.09.06.095954  [996]
libburn/write.c
Added forgotten read/write counters in burn_stdio_write_track()

2007.09.06.100100  [997]
cdrskin/cdrskin.c
Removed obstacles for use of stdio-drives

2007.09.06.120844  [999]
libburn/libburn.h
libburn/drive.c
Promoted burn_drive_raw_get_adr() to API function burn_drive_d_get_adr()

2007.09.07.102728  [1002]
libburn/write.c
Corrected write counter in burn_stdio_write_track()

2007.09.07.123748  [1003]
libburn/libburn.h
libburn/async.c
libburn/drive.c
libburn/libdax_msgs.h
Made burn_drive_info_free() only delete the drive of its parameter

7 Sep 2007  [1004]
test/telltoc.c
Reacted on changed media profile of stdio-drives

2007.09.07.154951  [1005]
libburn/drive.h
libburn/drive.c
libburn/async.c
libburn/init.c
Made burn_drive_scan() refuse work on non-empty drive list.

2007.09.07.163949  [1006]
libburn/async.c
libburn/drive.c
Corrected memory leak introduced by revision 1005

2007.09.07.164532  [1007]
libburn/drive.h
Forgotten file for revision 1006

2007.09.07.184631  [1008]
libburn/init.c
libburn/libdax_msgs.h
Avoided locked tray after failed burn_finish() because of busy drive

7 Sep 2007  [1009]
test/telltoc.c
Lowered report severity to LIBDAX_MSGS_SEV_WARNING.

2007.09.07.190916  [1010]
libburn/libburn.h
libburn/drive.c
libburn/libdax_msgs.h
Made burn_drive_scan_and_grab() extend the drive list rather than replacing it

2007.09.07.234122  [1011]
libburn/drive.c
cdrskin/cdrskin.c
Report media profile in cdrskin blank, format, burn runs

2007.09.07.234704  [1012]
libburn/drive.c
Bug fix about stdio:<charcter device>

2007.09.08.102151  [1013]
libburn/drive.c
Fixed memory leak and possible SIGSEGV with pseudo-drives

2007.09.08.102620  [1014]
cdrskin/cdrskin.c
Made cdrskin work with null-drive (which it mistook for something like ATA:)

2007.09.08.132058  [1015]
libburn/drive.c
libburn/write.c
Allowed -dummy burns with stdio-drives (because /dev/null is no block device)

2007.09.08.132206  [1016]
cdrskin/cdrskin.c
Changed speed measurement of stdio-drives to DVD 1x units

8 Sep 2007  [1017]
libburn/libburn.h
Documentation of stdio-drives

2007.09.08.164924  [1018]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
cdrskin/convert_man_to_html.sh
New option --allow_emulated_drives 

2007.09.08.174757  [1019]
libburn/libburn.h
libburn/async.c
libburn/write.c
Made Libburn_precheck_write_ruleS unconditional code

8 Sep 2007  [1020]
cdrskin/cdrskin_eng.html
cdrskin/changelog.txt
Next cdrskin-0.3.9 cycle

------------------------------------ cycle  - cdrskin-0.3.9 - 2007.09.08.212130
* New option --allow_emulated_drives dev=stdio:<path>


2007.09.09.093535  [1021]
libburn/drive.c
libburn/libdax_msgs.h
cdrskin/cdrskin.1
Called statvfs() for size estimation of regular stdio-files.

2007.09.09.093637  [1022]
cdrskin/cdrskin.c
Fixed bug with dev=stdio: where path contains a digit

2007.09.09.133136  [1023]
libburn/init.c
libburn/sg.h
libburn/sg-linux.c
libburn/sg-freebsd-port.c
libburn/sg-freebsd.c
Enabled os dependend stdio size estimation

2007.09.09.133922  [1024]
libburn/drive.c
Made use of os dependend stdio size estimation

2007.09.09.182827  [1026]
libburn/async.c
libburn/mmc.c
Ended falsely alleged erasability of DVD-RAM and DVD+RW

2007.09.10.110050 [1028]
libburn/drive.c
Added forgotten return 0 to an error case

2007.09.12.104626  [1032]
libburn/transport.h
libburn/libdax_msgs.h
libburn/write.c
libburn/drive.c
libburn/spc.c
libburn/sbc.c
libburn/mmc.c
libburn/sg-linux.c
libburn/sg-freebsd.c
Brought burn_stdio_write_track() onto sector_data() for outmost realism

2007.09.12.115850  [1033]
libburn/mmc.c
libburn/spc.c
Reacted on compiler -O2 warnings 

2007.09.12.115946  [1034]
libburn/write.c
Implemented realistic speed simulation with stdio-drives

2007.09.12.195206  [1039]
libburn/write.c
Implemented cache syncing for stdio-drives in burn_random_access_write()

2007.09.12.200106  [1040]
cdrskin/cdrskin.c
Fixed bug with direct_write_amount=0

2007.09.14.122437  [1063]
libburn/write.c
Took into respect time granularity with stdio speed control

2007.09.14.122531  [1064]
libburn/libburn.h
Documented burn_write_opts_set_multi @param opts

14 Sep 2007  [1065]
src/burn_wrap.c
Changed include form of libisofs.h and libburn.h

2007.09.15.112311  [1066]
libburn/libdax_msgs.h
libburn/libdax_msgs.c
Imported Range "vreixo" into libburn/libdax_msgs.h

2007.09.15.171844  [1067]
libburn/libdax_msgs.h
Prepared for neat sed translation. Explained concept of libdax_msgs variants.

15 Sep 2007  [1068]
libburn/libdax_msgs_to_xyz_msgs.sh
A sed converter which creates libiso_msgs.[ch] from libdax_msgs.[ch]

2007.09.15.172141  [1069]
libburn/libburn.h
libburn/init.c
New API function burn_set_messenger()

2007.09.15.204320  [1070]
libburn/libburn.h
libburn/libdax_msgs.h
libburn/libdax_msgs.c
libburn/init.c
Equipped libdax_msgs with reference counter. Completed its mutex protection.

------------------------------------ cycle  - cdrskin-0.3.9 - 2007.09.15.205752

16 Sep 2007  [1071]
cdrskin/changelog.txt
Next cdrskin-0.3.9 cycle

2007.09.17.163735  [1072]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Implemented emulation for cdrecord options -inq , -format , -load

2007.09.18.072234  [1073]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Learned helptexts for -inq, -format, -load from cdrecord (they are wrong, btw)

2007.09.18.090713  [1074]
libburn/libburn.h
libburn/drive.c
New API function burn_drive_leave_locked()

2007.09.18.090839  [1075]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Implemented emulation for cdrecord option -lock

2007.09.18.130344  [1076]
libburn/mmc.c
Made use of Immed bit with 5Bh CLOSE TRACK/SESSION

2007.09.18.200343  [1077]
libburn/mmc.c
libburn/spc.h
libburn/spc.c
libburn/sbc.c
libburn/libdax_msgs.h
Made use of Immed bit with 1Bh START STOP UNIT and 35h SYNCHRONIZE CACHE

2007.09.18.200454  [1078]
cdrskin/cdrskin.c
Corrected an outdated HINT text

2007.09.18.201556  [1079]
libburn/sbc.c
libburn/spc.c
Changed some comments, reacted on harmless compiler warning

2007.09.18.204043  [1080]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Implemented emulation for cdrecord option -immed

2007.09.19.094046  [1081]
cdrskin/cdrskin.c
Implemented emulation for cdrecord option -waiti

19 Sep 2007  [1082]
cdrskin/cdrskin.1
Did a little overhaul of general paragraphs, mentioned new option -waiti


------------------------------------ cycle  - cdrskin-0.3.9 - 2007.09.19.112330
* More cdrecord options supported: -format, -inq, -load, -lock, -immed, -waiti

19 Sep 2007  [1083]
cdrskin/changelog.txt
cdrskin/cdrskin_eng.html
Next cdrskin-0.3.9 cycle

2007.09.19.141650  [1084]
cdrskin/cdrskin.c
Made cdrskin/compile_cdrskin.sh -do_diet work again

19 Sep 2007  [1085]
cdrskin/cdrskin.1
Made minor corrections

2007.09.19.212659  [1086]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
New option fallback_program=

2007.09.20.125854  [1087]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Triggered fallback by unsuitable media, made -version report fallback program

2007.09.21.120333  [1088]
libburn/sbc.c
libburn/spc.c
Had to revoke Immed bit on load command. LG GSA-4082B : premature "no media"

2007.09.22.140613  [1096]
cdrskin/cdrskin.c
Updated list of unsupported cdrecord and wodim options

2007.09.22.151712  [1097]
libburn/libburn.h
libburn/init.c
New API function burn_msgs_submit()

2007.09.22.151712  [1101]
libburn/sbc.c
Reacted on compiler warning

2007.09.23.163301  [1107]
libburn/libburn.h
libburn/drive.c
New API function burn_drive_equals_adr()

2007.09.23.163419  [1108]
cdrskin/cdrskin.c
Made use of burn_drive_equals_adr()

2007.09.23.163529  [1109]
libburn/sbc.c
Updated a comment about Immed and a debug message with tray loading

2007.09.24.062354  [1110]
libburn/drive.c
Added forgotten handling of "sdtio:" with burn_drive_equals_adr()

2007.09.24.135440  [1113]
libburn/libburn.h
libburn/transport.h
libburn/drive.h
libburn/drive.c
libburn/read.c
libburn/write.c
Implemented drive role 3, sequential write-only stdio drives (e.g. stdout)

2007.09.24.135845  [1114]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Took into respect new drive role 3

2007.09.24.181340  [1115]
libburn/sg-linux.c
libburn/drive.c
Made stdio-drives work on readonly CD block devices

24 Sep 2007  [1116]
test/libburner.c
Blocked against file descriptor drives. Too dangerous for a demo.

2007.09.26.155301  [1123]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Disabled --allow_emulated_drives in setuid runs

26 Sep 2007  [1124]
cdrskin/README
Streamlined and moved legal stuff to end of text

2007.09.26.173840  [1125]
cdrskin/compile_cdrskin.sh
Made -O2 default if not -g is given

2007.09.27.083351  [1126]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
cdrskin/convert_man_to_html.sh
cdrskin/README
Disallowed emulated drives for superuser, allowed stdio:/dev/null for all

2007.09.27.093129  [1127]
cdrskin/cdrskin.c
Corrected announcement with dev=help about stdio: "Open via UNIX device"


------------------------------------ cycle  - cdrskin-0.3.9 - 2007.09.27.093301
* New option fallback_program=


27 Sep 2007  [1128]
cdrskin/changelog.txt
Next cdrskin-0.3.9 cycle

28 Sep 2007  [1129] libisofs
libisofs/libiso_msgs.h
Removed apostrophes which my compiler does not like

2007.09.29.185007  [1131]
libburn/transport.h
libburn/init.h
libburn/init.c
libburn/drive.h
libburn/drive.c
libburn/async.c
Trying to catch signals from within the writer thread

2007.09.29.191558  [1132]
libburn/init.c
Added forgotten handling of non-writer-non-control threads

2007.09.30.212517  [1135]
libburn/libburn.h
libburn/async.h
libburn/async.c
libburn/file.h
libburn/file.c
Implemented a simple fifo to decouple from burn_source signals

30 Sep 2007  [1136]
test/telltoc.c
Disallowed --read_and_print raw:- , allowed to write to chardev+pipe+socket

2007.10.02.120659  [1145]
libburn/write.c
Moved minimum tracksize padding out of TAO track closing. Now done before sync.

2007.10.02.135538  [1146]
libburn/libburn.h
Clarified role of burn_source

2007.10.02.180003  [1148]
libburn/write.c
Corrected error with revision 1145

2007.10.03.084206  [1150]
libburn/libburn.h
More documentation for burn_source

2007.10.03.112547  [1151]
libburn/transport.h
libburn/mmc.c
libburn/write.c
libburn/drive.c
Ensured synchronize cache before release

2007.10.03.115550  [1153]
libburn/libburn.h
More documentation for burn_source

2007.10.03.223649  [1155]
libburn/file.h
libburn/file.c
libburn/async.c
Implemented the ring buffer of burn_fifo_source_new() object

2007.10.03.223851  [1156]
libburn/libburn.h
More documentation for burn_source, new API call burn_fifo_inquire_status()

3 Oct 2007  [1157]
test/libburner.c
Made use of 4 MB fifo

2007.10.04.200221  [1158]
libburn/libburn.h
libburn/file.h
libburn/file.c
libburn/libdax_msgs.h
Inserted the necessary error messages and magic numbers

4 Oct 2007  [1159]
test/libburner.c
Adjusted pacifier messages and change with burn_fifo_inquire_status()

2007.10.04.210245  [1160]
libburn/libburn.h
Minor adjustments with comment text

2007.10.04.213107  [1161]
libburn/drive.c
Corrected abort preventing bug introduced with revision 1131

2007.10.05.085929  [1162]
libburn/libburn.h
libburn/file.c
Revoked urge to have a magic[4] in burn_source (free_data is magic enough)

2007.10.05.231712  [1163]
libburn/file.c
Fixed data spoiling bug with ring buffer introduced with rev 1155

2007.10.07.110506  [1164]
libburn/file.c
Corrected status reply for unstarted fifo

2007.10.07.110644  [1165]
libburn/file.c
Corrected status reply for unstarted fifo (2nd try)

7 Oct 2007  [1166]
test/libburner.c
Minor changes with waiting for drive and fifo status display

2007.10.15.115448  [1179]
cdrskin/cdrskin.c
Corrected 4-byte buffer overflow (which did no detectable harm)

2007.10.15.115728  [1180]
libburn/read.c
Made possible to silence error message about missing pseudo drive

2007.10.15.115851  [1181]
libburn/drive.c
Corrected SIGSEGV with changing from one drive to the other

2007.10.15.144050  [1182]
libburn/drive.c
Activated re-usal of disposed global drive_array slots

2007.10.16.212205  [1189]
libburn/libburn.h
libburn/init.c
New API function burn_text_to_sev()

18 Oct 2007  [1209]
test/telltoc.c
Calmed down hyperactive sleep interval with drive scanning

2007.10.18.200336  [1210]
libburn/init.c
Prevented SIGSEGV with burn_msgs_obtain() on non-initialized library

2007.10.19.115326  [1215]
libburn/async.c
libburn/libdax_msgs.h
Starting threads detached, providing two alternatives. But zombies still there.

2007.10.19.132821  [1216]
libburn/init.c
Small change with debug verbosity of abort handler

2007.10.19.133310  [1217]
libburn/async.c
Removed useless alternative after zombies turned out to be caused by gdb

------------------------------------ cycle  - cdrskin-0.3.9 - 2007.10.23.150436

2007.10.23.150436  [1240]
cdrskin/changelog.txt
Next cdrskin-0.3.9 cycle

23 Oct 2007  [1241]
libcevap/main.c
Preparations for lowercase class and function names

23 Oct 2007  [1242]
libcevap/libdax_model.txt
Work goes on

23 Oct 2007  [1243]
libcevap/cgen.c
libcevap/ctyp.c
Fixed a bug about arrays

2007.10.24.184233  [1248] branch/ZeroFourZero
Makefile.am
configure.ac
README 
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/wiki_plain.txt
cdrskin/cdrskin_eng.html
doc/comments
Made number transition to 0.4.0

25 Oct 2007  [1249] branch/ZeroFourZero
- cdrskin/add_ts_changes_to_libburn_0_3_8
- cdrskin/add_ts_changes_to_libburn_0_3_9
+ cdrskin/add_ts_changes_to_libburn_0_4_0
+ cdrskin/add_ts_changes_to_libburn_0_4_1
Updated cdrskin tarball generator

2007.10.25.091106  [1250]
Makefile.am
configure.ac
README 
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/wiki_plain.txt
cdrskin/cdrskin_eng.html
doc/comments
Made number transition to 0.4.1

25 Oct 2007  [1251]
- cdrskin/add_ts_changes_to_libburn_0_3_8
- cdrskin/add_ts_changes_to_libburn_0_3_9
+ cdrskin/add_ts_changes_to_libburn_0_4_0
+ cdrskin/add_ts_changes_to_libburn_0_4_1
Updated cdrskin tarball generator

25 Oct 2007  [1252] branch/ZeroFourZero
cdrskin/cdrskin.c
Added forgotten help text lines

2007.10.25.131841  [1253]
cdrskin/cdrskin.c
Added forgotten help text lines

2007.10.27.090421  [1254] [1256] branch/ZeroFourZero
libburn/sg-linux.c
Reacted on cdwrite@ message about INT_MAX in cdrom.h of kernel 2.6.23

2007.10.27.075309  [1255]
libburn/sg-linux.c
Reacted on cdwrite@ message about INT_MAX in cdrom.h of kernel 2.6.23

29 Oct 2007  [1272]
- cdrskin/add_ts_changes_to_libburn_0_3_9
+ cdrskin/add_ts_changes_to_libburn_0_4_0
Updated cdrskin release generator scripts

----------------------------- release  - cdrskin-0.4.0.pl00 - 2007.10.27.090421
* New option direct_write_amount=
* New option --grow_overwriteable_iso
* New option --allow_emulated_drives dev=stdio:<path>
* More cdrecord options supported: -format, -inq, -load, -lock, -immed, -waiti
* New option fallback_program=

------------------------------------ cycle  - cdrskin-0.4.1 - 2007.10.27.114207

2007.11.18.093952  [1307]
libburn/libburn.h
Marked loss of binary backward compatibility back in rev 655, libburn-0.3.1

18 Nov 2007  [1308]
cdrskin/cdrskin.1
Corrected a typo in cdrskin man page

2007.11.18.094209  [1309]
cdrskin/cdrskin.c
Reacted on build warnings on a 64 Bit system

2007.11.26.154817  [1310]
libburn/libdax_audioxtr.c
Reacted on build warnings on another system

------------------------------------ cycle  - cdrskin-0.4.1 - 2007.11.27.214003

2007.11.29.185342  [1312]
libburn/drive.c
libburn/mmc.c
libburn/spc.c
libburn/libdax_msgs.h
Enabled reading of TOC from ROM drives (direly needed for xorriso)

29 Nov 2007  [1313]
test/telltoc.c
Adjusted meaning of --read_and_print count= -1

2007.12.07.185030  [1323]
configure.ac
An attempt to rectify .so numbering: SONAME=10, REV=1, AGE=6

2007.12.07.185206  [1324]
libburn/async.c
Made postponed change in thread management

8 Dec 2007  [1325]
configure.ac
Some changes in the comments

24 Dec 2008  [1338]
libburn/libburn.h
libburn/source.h
libburn/source.c
libburn/file.c
libburn/write.c
libburn/sector.c
Implemented burn_source.cancel() in a binary backwards compatible way

2008.01.17.185051  [1383]
libburn/libdax_msgs.h
libburn/libdax_msgs.c
Changed meaning of .driveno to .origin, introduced LIBDAX_MSGS_ORIGIN_* macros

17 Jan 2008  [1384]
cdrskin/README
Removed a reference to future GPL versions

2008.01.19.201702  [1396]
libburn/read.c
Fixed small bug about error messages with burn_read_data

2008.01.23.193345  [1405]
libburn/read.c
Made burn_read_data() issue messages about hopeless drive access errors

2008.01.23.193843  [1406]
libburn/libburn.h
libburn/libdax_msgs.h
libburn/libdax_msgs.c
Introduced message severity "FAILURE"

2008.01.23.211731  [1408]
cdrskin/cdrskin.c
configure.ac
Implemented run time check of libburn version.

2008.01.23.213607  [1409]
Makefile.am
Dynamic cdrskin linking patch by Simon Huggins.

26 Jan 2008  [1420]
cdrskin/convert_man_to_html.sh
Adapted to man -H on my new system

2008.01.26.123054  [1421]
libburn/libdax_msgs.h
Ported change in vreixo message range from isoburn_msgs

2008.01.26.131519  [1422]
libburn/drive.c
Made a sudden end to all stdio drives in burn_abort()

2008.01.26.180241  [1426] [branch 1427]
libburn/async.c
Disabled debugging messages about thread properties

2008.01.26.200001  [branch 1428]
Makefile.am
configure.ac
libburn-5.pc.in
README 
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/wiki_plain.txt
cdrskin/cdrskin_eng.html
Made number transition to 0.4.2 , libburn.so.4.7.0

27 Jan  [branch 1429]
cdrskin/cdrskin.c
cdrskin/cdrskin_eng.html
cdrskin/changelog.txt
Adjustments after first round of testing

27 Jan  [branch 1430]
cdrskin/README
cdrskin/cdrskin_eng.html
Adjustments after testing

2008.01.27.143022  [1431]
Makefile.am
configure.ac
libburn-5.pc.in
README 
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/wiki_plain.txt
cdrskin/cdrskin_eng.html
cdrskin/changelog.txt
Made number transition to 0.4.3 , still libburn.so.4.7.0

27 Jan 2008  [branch 1433] [1432]
- cdrskin/add_ts_changes_to_libburn_0_4_0
- cdrskin/add_ts_changes_to_libburn_0_4_1
+ cdrskin/add_ts_changes_to_libburn_0_4_2
+ cdrskin/add_ts_changes_to_libburn_0_4_3
Updated cdrskin tarball generator

2008.01.29.210821  [1442]
configure.ac
libburn/libburn.h
Moving the major.minor.micro definition from configure.ac to libburn.h

2008.01.28.213001  [branch 1444]
libburn/libburn.h
Introduced copy of major.minor.micro definition in libburn.h of version 0.4.2

29 Jan 2008  [branch 1445] [branch 1447]
Corrected description of major.minor.micro definition in libburn.h of version 0.4.2

2008.01.29.214110  [1446]
libburn/libburn.h
Corrected description of major.minor.micro definition in libburn.h

2008.01.31.111057  [1448]
cdrskin/cdrskin.c
Introduced compile time check of libburn header version

2008.02.01.100302  [1451] [branch 1453]
- libburn-5.pc.in
+ libburn-1.pc.in
configure.ac
Makefile.am
Renamed libburn-5.pc to libburn-1.pc

2008.02.01.100530  [1452]
cdrskin/cdrskin.c
Changed "libburn interface :" version message to libburn.h macros

  [branch ]
cdrskin/cdrskin_timestamp.h
cdrskin/changelog.txt
Updated changelog before release
 
----------------------------- release  - cdrskin-0.4.2.pl00 - 2008.02.01.100001
* Safe dynamic linking possible with libburn.so.4

------------------------------------ cycle  - cdrskin-0.4.3 - 2008.02.01.225039

2008.02.03.092013  [1463]
libburn/libdax_msgs.h
Registered error code range "libisofs-xorriso"

2008.02.03.092134  [1464]
configure.ac
Incremented LT_* to get libburn.so.4.8.0 (forgot to do 4.7.1 anyway)

2008.02.03.092509  [1465]
libburn/libburn.h
libburn/init.c
New API call burn_sev_to_text()

4 Feb 2008  [1473]
README
Announced deprecation of libisofs-0.2.x, temporory employment of libisofs-0.6.1

2008.02.04.175209  [1474]
libburn/libdax_msgs.h
Registered range "libisoburn" 0x00060000 to 0x00006ffff

2008.02.06.174009  [1482]
libburn/libdax_msgs.h
Re-instated range "vreixo" with old and new codes, adjusted severity definitions

2008.02.06.182222  [1483]
libburn/libburn.h
Copied usage discussion about *_header_version_* from libisoburn

2008.02.06.230041  [1488]
libburn/read.c
Installed a simple address logger in burn_read_data

2008.02.07.232820  [1492]
libburn/read.c
Added debug message in case of burn_read_data() return 0

2008.02.08.073414  [1493]
libburn/mmc.c
Allowed DVD +/- DL for reading

2008.02.11.190802  [1518]
libburn/libdax_msgs.h
libburn/libdax_msgs.c
Introduced LIBDAX_MSGS_SEV_MISHAP

2008.02.14.074108  [1522]
libburn/libburn.h
Micro corrections in comment text

14 Feb 2008  [1523]
COPYRIGHT
Updated year

14 Feb 2008  [1524]
cdrskin/README
Pointed to ldconfig

2008.02.16.121102  [1541]
configure.ac
Corrected typo in comment

16 Feb 2008  [1542]
doc/comments
README
cdrskin/wiki_plain.txt
Updated project interrelations

2008.02.21.200956  [1554]
libburn/sg-linux.c
Testwise inquiry of ioctl(CDROM_MEDIA_CHANGED) (disabled by default)

21 Feb 2008  [1555]
test/libburner.c
Directed error message to proper output channel

2008.02.21.201238  [1556]
libburn/libdax_msgs.h
libburn/libdax_msgs.c
Introduced severity ERRFILE

2008.02.21.202216  [1557]
libburn/libdax_msgs.c
Mapped unknown severity text to ALL rather than NEVER

2008.02.21.215250  [1560]
libburn/libdax_msgs.h
Weakened demand to print file path in following message 

2008.02.22.150939  [1562]
libburn/libdax_msgs.h
libburn/init.c
New error code 0x00040008

2008.02.22.213527  [1563]
libburn/libdax_msgs.h
libburn/libdax_msgs.c
Imported changes from libiso_msgs.h

2008.02.22.213726  [1564]
libburn/init.c
Changed meaning of unrecognized severity texts from FATAL to ALL

2008.02.28.123152  [1565]
libburn/libburn.h
libburn/spc.c
libburn/mmc.c
libburn/write.c
cdrskin/cdrskin.1
Made support for DVD+R DL official, enabled untested support for BD-RE

2008.02.28.132325  [1586]
libburn/mmc.c
cdrskin/README
cdrskin/cdrskin.c
cdrskin/cdrskin_eng.html
cdrskin/wiki_plain.txt
test/libburner.c
Mentioned support for DVD+R/DL.

------------------------------------ cycle  - cdrskin-0.4.3 - 2008.03.01.154319
* Support for DVD+R/DL media is now official
* Experimental code for BD-RE with --allow_untested_media

1 Mar 2008  [1595]
cdrskin/changelog.txt
Updated changelog

2008.03.03.202930  [1598]
libburn/libburn.h
libburn/drive.c
libburn/read.c
Got rid of a cumbersome open-close cycle with burn_read_data() on stdio:

2 Apr 2008  [1654]
COPYRIGHT
Corrected GPL version

------------------------------------ cycle  - cdrskin-0.4.3 - 2008.04.07.152331
* libburn: Improved read performance from stdio: pseudo-drives

2008.04.08.100001  [ZeroFourFour 1669]
Makefile.am
configure.ac
README
libburn/libburn.h (burn_header_version_*)
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/wiki_plain.txt
cdrskin/cdrskin_eng.html
doc/comments
Made number transition and activated development documentation

8 Apr 2008  [ZeroFourFour 1670]
- cdrskin/add_ts_changes_to_libburn_0_4_2
- cdrskin/add_ts_changes_to_libburn_0_4_3
+ cdrskin/add_ts_changes_to_libburn_0_4_4
+ cdrskin/add_ts_changes_to_libburn_0_4_5
Updated cdrskin tarball generator

8 Apr 2008  [ZeroFourFour 1671]
cdrskin/changelog.txt
Documented changes and release timestamp

2008.04.08.100001  [ZeroFourFour 1672]
libburn/util.c
Switched from configure.ac versioning to libburn.h versioning

8 Apr 2008  [ZeroFourFour 1673]
cdrskin/changelog.txt
Documented last minute changes

----------------------------- release  - cdrskin-0.4.4.pl00 - 2008.04.08.100001
* Support for DVD+R/DL media is now official
* Experimental code for BD-RE with --allow_untested_media
* libburn: Improved read performance from stdio: pseudo-drives


2008.04.08.132344  [1674]
Makefile.am
configure.ac
README
libburn/libburn.h (burn_header_version_*)
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/wiki_plain.txt
cdrskin/cdrskin_eng.html
doc/comments
cdrskin/changelog.txt
Made number transition

8 Apr 2008 [1675]
- cdrskin/add_ts_changes_to_libburn_0_4_2
- cdrskin/add_ts_changes_to_libburn_0_4_3
+ cdrskin/add_ts_changes_to_libburn_0_4_4
+ cdrskin/add_ts_changes_to_libburn_0_4_5
Updated cdrskin tarball generator

2008.04.08.133452  [1676]
libburn/util.c
Switched from configure.ac versioning to libburn.h versioning

------------------------------------ cycle  - cdrskin-0.4.5 - 2008.04.08.134413

2008.04.10.211529  [1681]
libburn/mmc.c
libburn/drive.c
cdrskin/cdrskin.c
Trying to fix bugs about BD-RE, macro for simulating BD-RE on DVD-RAM


------------------------------------ cycle  - cdrskin-0.4.5 - 2008.04.10.211529

2008.04.12.164244  [1683]
libburn/libburn.h
libburn/transport.h
libburn/options.h
libburn/options.c
libburn/write.c
libburn/drive.c
libburn/mmc.c
New API call burn_write_opts_set_stream_recording()

2008.04.12.164606  [1684]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
cdrskin/cdrskin_eng.html
New option stream_recording=on|off

------------------------------------ cycle  - cdrskin-0.4.5 - 2008.04.12.164930
* New option stream_recording=on can speed up DVD-RAM


2008.04.15.094133  [1685]
libburn/os-linux.h
libburn/write.c
Enforced tail padding with stream_recording, enlarged transport buffer

15 Apr 2008  [1686]
cdrskin/cdrskin.1
Some adjustments of cdrskin man page

------------------------------------ cycle  - cdrskin-0.4.5 - 2008.04.15.094545

2008.04.16.082208  [1687]
libburn/read.c
Made burn_read_data() obey its flag bit1

2008.04.18.092715  [1688]
libburn/libburn.h
libburn/async.c
libburn/drive.c
libburn/mmc.c
Began to implement formatting of DVD-RAM and experimentally of BD-RE

2008.04.18.092816  [1689]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Began to implement formatting of DVD-RAM and experimentally of BD-RE

2008.04.18.194602  [1691]
libburn/mmc.c
Adjustments with DVD-RAM formatting

2008.04.22.161139  [1695]
libburn/libburn.h
libburn/transport.h
libburn/mmc.c
libburn/drive.c
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Adjustments with DVD-RAM formatting

2008.04.22.200949  [1696]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
New option --list_formats

2008.04.23.110116  [1697]
libburn/mmc.c
cdrskin/cdrskin.c
cdrskin/cdrskin.1
New blank type blank=format_by_index_<number>

24 Apr 2008  [1698]
doc/cookbook.txt
Wrote down what was learned about DVD-RAM formatting

24 Apr 2008  [1699]
cdrskin/cdrskin_eng.html
Mentioned new features

2008.04.25.131531  [1700]
libburn/mmc.c
Preparations for formatting BD-RE

2008.04.25.132353  [1701]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Documented experimental support for BD-RE formatting

25 Apr 2008  [1702]
configure.ac
Incremented LT_CURRENT and LT_AGE to reflect API enhancements

25 Apr 2008  [1703]
cdrskin/cdrskin_eng.html
Documented newest enhancements

------------------------------------ cycle  - cdrskin-0.4.5 - 2008.04.25.134438
* New blank type blank=format_defectmgt for DVD-RAM
* New option --list_formats
* New blank type blank=format_by_index_<number>
* Experimental support for formatting BD-RE


2008.04.26.150646  [1704]
libburn/libburn.h
libburn/mmc.c
libburn/drive.c
doc/cookbook.txt
Enabled quick formatting with DVD-RAM, made slow formatting default with BD-RE

2008.04.26.150945  [1705]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
New blank subtypes format_defectmgt_cert_[on|off], on is default

2008.04.27.084704  [1706]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
New blank type format_if_needed

2008.04.27.140144  [1707]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
New blank type as_needed

27 Apr 2008  [1708]
cdrskin/cdrskin_eng.html
Documented newest enhancements

------------------------------------ cycle  - cdrskin-0.4.5 - 2008.04.27.163625
* New blank type blank=as_needed for automatic handling of media type and state


3 May 2008  [1723]
README
Updated project history

2008.05.06.082429  [1729]
libburn/drive.c
Avoided to report negative burn_multi_caps.start_range_high with DVD-RW

2008.05.06.084156  [1730]
libburn/mmc.c
Mapped undefined size to 0 with burn_disc_get_formats() and DVD-RW

2008.05.06.180813  [1733]
libburn/libburn.h
libburn/drive.c
libburn/mmc.c
doc/cookbook.txt
doc/comments
test/libburner.c
Declared BD-RE to be supported

2008.05.06.181100  [1734]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
cdrskin/wiki_plain.txt
Declared BD-RE to be supported

2008.05.06.181723  [1735]
libburn/mmc.c
Declared BD-RE to be supported

6 May 2008  [1736]
cdrskin/cdrskin_eng.html
cdrskin/cdrskin.1
Declared BD-RE to be supported

------------------------------------ cycle  - cdrskin-0.4.5 - 2008.05.06.183436
* Support for BD-RE media is now official

2008.05.09.143130  [1748]
libburn/libburn.h
Documented read-only profiles CD-ROM and DVD-ROM

2008.05.09.145205  [1749]
libburn/mmc.c
Allowed BD-ROM and BD-R for read-only purposes

9 May 2008  [1750]
cdrskin/cdrskin.1
Changed blank examples to blank=as_needed


------------------------------------ cycle  - cdrskin-0.4.5 - 2008.05.09.151327

2008.05.10.080001  [1754] 
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/wiki_plain.txt
cdrskin/cdrskin_eng.html
doc/comments
cdrskin/cdrskin.1
Made number transition to 0.4.6 and activated development documentation

10 May 2008  [1755] 
cdrskin/README
Made number transition to 0.4.6 and activated development documentation

10 May 2008  [1756]
- cdrskin/add_ts_changes_to_libburn_0_4_4
- cdrskin/add_ts_changes_to_libburn_0_4_5
+ cdrskin/add_ts_changes_to_libburn_0_4_6
+ cdrskin/add_ts_changes_to_libburn_0_4_7
Updated cdrskin tarball generator

10 May 2008  [1757]
cdrskin/changelog.txt
Documented changes and release timestamp


----------------------------- release  - cdrskin-0.4.6.pl00 - 2008.05.10.080001
* Support for BD-RE media is now official
* New option stream_recording=on can speed up DVD-RAM and BD-RE
* New option --list_formats
* New blank types for expert formatting of DVD-RAM and BD-RE
* New blank type blank=as_needed for automatic handling of media type and state


2008.05.10.132543  [1758] 
Makefile.am
configure.ac
README
libburn/libburn.h (burn_header_version_*)
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/wiki_plain.txt
cdrskin/cdrskin_eng.html
doc/comments
cdrskin/cdrskin.1
Made number transition to 0.4.7

10 May 2008  [1759]
- cdrskin/add_ts_changes_to_libburn_0_4_4
- cdrskin/add_ts_changes_to_libburn_0_4_5
+ cdrskin/add_ts_changes_to_libburn_0_4_6
+ cdrskin/add_ts_changes_to_libburn_0_4_7
Updated cdrskin tarball generator

10 May 2008  [1760]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - cdrskin-0.4.7 - 2008.05.10.132543

2008.05.14.165025  [1776]
libburn/write.c
Bug fix: random access addressing for DVD-RAM and BD-RE did not work

2008.05.14.165157  [1777]
libburn/libburn.h
Added format types 0x30 and 0x32 to list in API comments

2008.05.14.165258  [1778]
cdrskin/cdrskin.c
Made inability to get format list a reason to abort the program

------------------------------------ cycle  - cdrskin-0.4.7 - 2008.05.14.165258
* Bug fix: random access addressing for DVD-RAM and BD-RE did not work


2008.05.17.080001  [1788] 
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
cdrskin/cdrskin.1
Made number transition to 0.4.8 and activated development documentation

17 May 2008  [1789]
- cdrskin/add_ts_changes_to_libburn_0_4_6
- cdrskin/add_ts_changes_to_libburn_0_4_7
+ cdrskin/add_ts_changes_to_libburn_0_4_8
+ cdrskin/add_ts_changes_to_libburn_0_4_9
Updated cdrskin tarball generator

17 May 2008  [1792]
cdrskin/changelog.txt
Documented changes and release timestamp

----------------------------- release  - cdrskin-0.4.8.pl00 - 2008.05.17.080001
* Bug fix: random access addressing for DVD-RAM and BD-RE did not work


2008.05.17.115434  [1790]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
cdrskin/cdrskin.1
Made number transition to 0.4.9

17 May 2008  [1791]
- cdrskin/add_ts_changes_to_libburn_0_4_6
- cdrskin/add_ts_changes_to_libburn_0_4_7
+ cdrskin/add_ts_changes_to_libburn_0_4_8
+ cdrskin/add_ts_changes_to_libburn_0_4_9
Updated cdrskin tarball generator

17 May 2008  [1793]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - cdrskin-0.4.9 - 2008.05.17.121250

14 Jun 2008  [1852]
README
Updated release history

2008.06.14.140711  [1853]
libburn/libburn.h
Inserted @since tags for all functions older than 0.2.0

2008.07.02.093933  [1882]
libburn/sg-linux.c
With auto device family: scd is now fallback if sr does not exist

------------------------------------ cycle  - cdrskin-0.4.9 - 2008.07.12.164045
* Ability to use /dev/scd as fallback if /dev/sr does not exist
* Bug fix: option drive_scsi_dev_family=scd lead to buffer overflow


2008.07.14.112935  [1914]
libburn/sg-linux.c
libburn/libdax_msgs.h
Trying to avoid SORRY messages when hitting busy hard disk /dev/hdX

2008.07.14.113050  [1915]
cdrskin/cdrskin.c
Making visible the new NOTE and HINT about busy alleged hard disks

2008.07.14.113152  [1916]
configure.ac
Did LT_CURRENT++, LT_AGE++ because of new API call

2008.07.14.113903  [1917]
libburn/libburn.h
libburn/file.c
libburn/async.c
New API call burn_fifo_peek_data()

2008.07.14.164528  [1922]
libburn/sg-linux.c
Followed hint of Giulio Orsero to recognize disk by /proc/ide/hdX/media

------------------------------------ cycle  - cdrskin-0.4.9 - 2008.07.14.164906
* New API call burn_fifo_peek_data()

2008.07.16.070001  [1927]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.5.0 and activated development documentation

16 Jul 2008  [1928]
- cdrskin/add_ts_changes_to_libburn_0_4_8
- cdrskin/add_ts_changes_to_libburn_0_4_9
+ cdrskin/add_ts_changes_to_libburn_0_5_0
+ cdrskin/add_ts_changes_to_libburn_0_5_1
Updated cdrskin tarball generator

16 Jul 2008  [1929]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-0.5.0.pl00 - 2008.07.16.070001
* Ability to use /dev/scd as fallback if /dev/sr does not exist
* Bug fix: option drive_scsi_dev_family=scd lead to buffer overflow
* New API call burn_fifo_peek_data()


2008.07.16.090816  [1930]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.5.1 and activated development documentation

16 Jul 2008  [1931]
- cdrskin/add_ts_changes_to_libburn_0_4_8
- cdrskin/add_ts_changes_to_libburn_0_4_9
+ cdrskin/add_ts_changes_to_libburn_0_5_0
+ cdrskin/add_ts_changes_to_libburn_0_5_1
Updated cdrskin tarball generator

16 Jul 2008  [1932]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - cdrskin-0.5.1 - 2008.07.14.164528


2008.08.01.101053  [1954]
libburn/drive.h
libburn/drive.c
libburn/sg-linux.c
Avoiding drive scan if single drive is given

2008.08.05.175930  [1963]
libburn/os-linux.h
libburn/drive.h
libburn/drive.c
libburn/sg-linux.c
libburn/libdax_msgs.h
cdrskin/cdrskin.1
Taking into respect drive list from /proc/sys/dev/cdrom/info

5 Aug 2008  [1964]
cdrskin/cdrskin_eng.html
Updated for next 0.5.1 cycle

------------------------------------ cycle  - cdrskin-0.5.1 - 
* Larger set of possibly acceptable drive device file names


2008.08.09.071742  [1975]
libburn/mmc.c
libburn/structure.h
libburn/structure.c
CD burn_toc_entries now bear extension_valid data

2008.08.09.071854  [1976]
libburn/libburn.h
libburn/read.c
New flag bit2 with burn_read_data()

2008.08.19.122535  [1991]
libburn/libburn.h
API clarification about CD burn_toc_entries

2008.08.19.123513  [1992]
libburn/structure.c
Reacted on harmless compiler warning

------------------------------------ cycle  - cdrskin-0.5.1 - 2008.08.19.123513

2008.08.20.080001  [1994]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.5.2 and activated development documentation

20 Aug 2008  [1995]
- cdrskin/add_ts_changes_to_libburn_0_5_0
- cdrskin/add_ts_changes_to_libburn_0_5_1
+ cdrskin/add_ts_changes_to_libburn_0_5_2
+ cdrskin/add_ts_changes_to_libburn_0_5_3
Updated cdrskin tarball generator

20 Aug 2008  [1996]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-0.5.2.pl00 - 2008.08.20.080001
* Larger set of possibly acceptable drive device file names

2008.08.20.100045  [1997]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.5.3

20 Aug 2008  [1998]
- cdrskin/add_ts_changes_to_libburn_0_5_0
- cdrskin/add_ts_changes_to_libburn_0_5_1
+ cdrskin/add_ts_changes_to_libburn_0_5_2
+ cdrskin/add_ts_changes_to_libburn_0_5_3
Updated cdrskin tarball generator

20 Aug 2008  [1999]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - cdrskin-0.5.3 - 2008.08.20.110457

30 Aug 2008  [2023]
README
Mentioned release of libisoburn-0.2.4

2008.08.30.104339  [2024]
libburn/mmc.c
libburn/spc.c
Issueing many SCSI error messages in cleartext now

2008.09.09.131915  [2039]
libburn/sg-linux.c
Trying to avoid unnecessary access to sibling device objects

12 Sep 2008  [2043]
doc/cookbook.txt
Described ISO 9660 multi-session on overwriteable media

2008.09.14.174344  [2048]
libburn/util.c
Gave up problematic and unused version.h

2008.09.16.060250  [2052]
cdrskin/cdrskin.c
Corrected pacifier text (Ticket 141)

24 Sep 2008  [2079]
README
Mentioned recent releases of libisofs and libisoburn

2008.09.28.193802  [2086]
libburn/spc.c
Bug fix: Potential buffer overflow introduced with revision 2024

2008.09.28.211741  [2087]
libburn/sg-linux.c
Bug fix: /dev/sr0 was accepted as enumerable address on Linux 2.4

2008.10.04.072657  [2096]
libburn/write.c
libburn/read.c
libburn/drive.c
Prevented SIGSEGV after illegal drive operations during sync write

2008.10.04.072657  [2097]
cdrskin/cdrskin.1
Mentioned new xorriso capabilities in man cdrskin

2008.10.04.073814  [2098]
configure.ac
Incremented LT_CURRENT and LT_AGE to get libburn.so.4.18.0 

------------------------------------ cycle  - cdrskin-0.5.3 - 2008.10.04.072657
* Bug fix: /dev/sr0 was accepted as enumerable address on Linux 2.4


2008.10.05.073001  [2102]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition

5 Oct 2008  [2103]
- cdrskin/add_ts_changes_to_libburn_0_5_2
- cdrskin/add_ts_changes_to_libburn_0_5_3
+ cdrskin/add_ts_changes_to_libburn_0_5_4
+ cdrskin/add_ts_changes_to_libburn_0_5_5
Updated cdrskin tarball generator

5 Oct 2008  [2104]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-0.5.4.pl00 - 2008.10.06.073001
* Bug fix: /dev/sr0 was accepted as enumerable address on Linux 2.4
* Issueing many SCSI error messages in cleartext now


2008.10.05.123737  [2106]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to next development cycle

5 Oct 2008  [2107]
- cdrskin/add_ts_changes_to_libburn_0_5_2
- cdrskin/add_ts_changes_to_libburn_0_5_3
+ cdrskin/add_ts_changes_to_libburn_0_5_4
+ cdrskin/add_ts_changes_to_libburn_0_5_5
Updated cdrskin tarball generator

5 Oct 2008  [2108]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - cdrskin-0.5.5 - 2008.10.05.130109


2008.10.15.103224  [2126]
libburn/libburn.h
A clarification in comment about burn_disc_format()

15 Oct 2008  [2127]
cdrskin/cdrskin.1
Fixed incomplete sentence in man cdrskin

2008.11.01.121240  [2157]
libburn/libburn.h
libburn/async.c
Bug fix: Unsuitable write modes were caught silently and later than desired

------------------------------------ cycle  - cdrskin-0.5.5 - 2008.11.01.121445

2008.11.08.134828  [2173]
libburn/libburn.h
Clarified behavior of burn_source with pipes

2008.11.08.141734  [2174]
libburn/file.h
libburn/file.c
libburn/async.c
Cancelling libburn fifo thread before freeing the fifo object

2008.11.08.202456  [2175]
libburn/async.c
Disabling the sigsegv provoking new debug message

2008.11.12.075111  [2180]
libburn/async.h
Avoiding warning message about implicitely declared burn_fifo_abort()

------------------------------------ cycle  - cdrskin-0.5.5 - 2008.11.12.075411
* Bug fix: libburn fifo thread was not aborted when burn run was aborted

12 Nov 2008  [2181]
svn copy http://svn.libburnia-project.org/libburn/trunk
         http://svn.libburnia-project.org/libburn/branches/ZeroFiveSix
Preparing for libburn-0.5.6

12 Nov 2008  [2182]
svn delete http://svn.libburnia-project.org/libburn/branches/ZeroFourSix
Removing obsolete libburn branch ZeroFourSix

2008.11.12.120001 [2183]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.5.6

12 Nov 2008  [2184]
- cdrskin/add_ts_changes_to_libburn_0_5_4
- cdrskin/add_ts_changes_to_libburn_0_5_5
+ cdrskin/add_ts_changes_to_libburn_0_5_6
+ cdrskin/add_ts_changes_to_libburn_0_5_7
Updated cdrskin tarball generator

12 Nov 2008  [2185]
cdrskin/changelog.txt
Documented changes and release timestamp

12 Nov 2008  [2186]
cdrskin/cdrskin.c
Corrected wrong version number of cdrskin

------------------------------ release - cdrskin-0.5.6.pl00 - 2008.11.12.120001
* Bug fix: libburn fifo thread was not aborted when burn run was aborted
which could lead to use of freed memory


2008.11.12.121832  [2187]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.5.7

12 Nov 2008  [2188]
- cdrskin/add_ts_changes_to_libburn_0_5_4
- cdrskin/add_ts_changes_to_libburn_0_5_5
+ cdrskin/add_ts_changes_to_libburn_0_5_6
+ cdrskin/add_ts_changes_to_libburn_0_5_7
Updated cdrskin tarball generator

12 Nov 2008  [2189]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - cdrskin-0.5.7 - 2008.11.12.130026

12 Nov 2008  [2191]
svn move \
    http://svn.libburnia-project.org/libburn/"$svn_name" \
    http://svn.libburnia-project.org/libburn/"$tag_name"
libburn release 0.5.6 is ready

2008.11.15.220652  [2197]
libburn/sg-freebsd.c
libburn/sg-freebsd-port.c
Removed remark that use of statvfs() was untested with FreeBSD

21 Nov 2008  [2208]
README
cdrskin/README
cdrskin/cdrskin_eng.html
Mentioned FreeBSD peculiarities in our docs

2008.11.26.210608  [2213]
libburn/structure.c
Added tests against the SIGSEGV of ticket 146

2008.11.27.081027  [2214]
libburn/libdax_msgs.h
libburn/structure.c
Truncating eventually detected damaged CD table-of-content

------------------------------------ cycle  - cdrskin-0.5.7 - 2008.11.27.081027
* Bug fix: Session without leadout entry on CD caused SIGSEGV


2008.11.27.172124  [2215]
libburn/libdax_msgs.h
libburn/structure.c
Changed error severity with TOC truncation to MISHAP

2008.11.29.140115  [2217]
libburn/spc.c
Translating ASC=0x31 formatting error messages, reporting command names

2008.11.29.140404  [2218]
libburn/mmc.c
Circumventing BD-RE Quick Certification refusal of LG GGW-H20L YL03

------------------------------------ cycle  - cdrskin-0.5.7 - 2008.11.29.140404


2008.12.03.085219  [2239]
libburn/mmc.c
libburn/structure.c
libburn/libdax_msgs.h
Defaulting sessions without leadout entry

------------------------------------ cycle  - cdrskin-0.5.7 - 2008.12.03.085219


Dec 07 2008  [2248]
svn copy http://svn.libburnia-project.org/libburn/trunk
         http://svn.libburnia-project.org/libburn/branches/ZeroFiveEight
Preparing for libburn-0.5.8

2008.12.07.140001  [2249]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.5.8

Dec 07 2008  [2250]
- cdrskin/add_ts_changes_to_libburn_0_5_6
- cdrskin/add_ts_changes_to_libburn_0_5_7
+ cdrskin/add_ts_changes_to_libburn_0_5_8
+ cdrskin/add_ts_changes_to_libburn_0_5_9
Updated cdrskin tarball generator

Dec 07 2008  [2251]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-0.5.8.pl00 - 2008.12.07.140001
* Bug fix: A session without leadout entry on CD caused a SIGSEGV by NULL
* Improvements about BD-RE formatting


2008.12.07.155219  [2252]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.5.9

Dec 07 2008  [2253]
- cdrskin/add_ts_changes_to_libburn_0_5_6
- cdrskin/add_ts_changes_to_libburn_0_5_7
+ cdrskin/add_ts_changes_to_libburn_0_5_8
+ cdrskin/add_ts_changes_to_libburn_0_5_9
Updated cdrskin tarball generator

Dec 07 2008  [2254]
cdrskin/changelog.txt
Documented changes and release timestamp

Dec 07 2008  [2255]
svn move -m "libburn release 0.5.8 is ready" \
     http://svn.libburnia-project.org/libburn/branches/ZeroFiveEigh \
     http://svn.libburnia-project.org/libburn/tags/ZeroFiveEight

svn delete -m 'Deleted obsolete branch' \
    http://svn.libburnia-project.org/libburn/branches/"$svn_name"


------------------------------------ cycle  - cdrskin-0.5.9 - 2008.12.07.155219

2008.12.09.123314  [2264]
libburn/libburn.h
libburn/drive.c
libburn/async.c
libburn/write.c
libburn/mmc.c
Beginning to implement write code for BD-R SRM without POW

2008.12.09.123558  [2265]
cdrskin/cdrskin.c
Beginning to implement write code for BD-R SRM without POW

2008.12.10.092535  [2271]
libburn/transport.h
libburn/async.c
libburn/mmc.h
libburn/mmc.c
Formatting of BD-R SRM to default size and by index

2008.12.10.114241  [2273]
cdrskin/cdrskin.c
Formatting of BD-R SRM to default size and by index

10 Dec 2008  [2274]
README
cdrskin/README
cdrskin/cdrskin.1
cdrskin/wiki_plain.txt
Mentioning BD-R in documentation

2008.12.11.072308  [2276]
libburn/libdax_msgs.h
libburn/async.c
Rejecting unformattable BD-R more early

2008.12.11.092204  [2278]
libburn/libdax_msgs.h
libburn/async.c
libburn/mmc.c
cdrskin/cdrskin.1
Catching BD-R zero spare formatting with NOTE rather than SORRY

2008.12.12.112129  [2279]
libburn/libburn.h
libburn/async.c
libburn/mmc.c
Making format size of BD-RE and BD-R quite freely adjustable

2008.12.12.214013  [2280]
libburn/transport.h
libburn/async.c
libburn/mmc.c
Interpreting feature 0023h for BD formatting capabilities

2008.12.13.144909  [2284]
configure.ac
Now producing libburn.so.4.24.0

------------------------------------ cycle  - cdrskin-0.5.9 - 2008.12.13.144909
* Formatting and writing of BD-R media


14 Dec 2008  [2289]
test/libburner.c
Updated libburner to BD-R

14 Dec 2008 [2290]
cdrskin/cdrskin_eng.html
Updated cdrskin web page

2008.12.17.091905  [2297]
libburn/libburn.h
libburn/drive.c
New API function burn_get_read_capacity()

17 Dec 2008 [2298] [2302]
doc/comments
Removed project overview and references to libisofs and libisoburn

------------------------------------ cycle  - cdrskin-0.5.9 - 2008.12.19.070912
* New API function burn_get_read_capacity()


2008.12.19.203523  [2306]
libburn/libburn.h
Clarified blank, appendable, closed burn_disc_status 

2008.12.22.130527  [2323]
libburn/async.c
Fixed denial of fast formatting with BD-RE introduced by revision 2280

------------------------------------ cycle  - cdrskin-0.5.9 - 2008.12.23.144853


2008.12.29.105341  [2342]
libburn/libburn.h
test/libburner.c
Cosmetic changes

Jan 02 2009  [2346]
svn copy http://svn.libburnia-project.org/libburn/trunk
         http://svn.libburnia-project.org/libburn/branches/ZeroSixZero
Preparing for libburn-0.6.0

02 Jan 2009  [2347]
COPYRIGHT
libburn/libdax_msgs.c
libburn/libdax_msgs.h
test/libburner.c
Updated copyright claims to year 2009

2009.01.02.160001  [2348]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.6.0

02 Jan 2009  [2349]
- cdrskin/add_ts_changes_to_libburn_0_5_8
- cdrskin/add_ts_changes_to_libburn_0_5_9
+ cdrskin/add_ts_changes_to_libburn_0_6_0
+ cdrskin/add_ts_changes_to_libburn_0_6_1
Updated cdrskin tarball generator

02 Jan 2009  [2350]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-0.6.0.pl00 - 2009.01.02.160001
* Formatting and writing of BD-R media
* New API function burn_get_read_capacity()

2009.01.04.112716  [2351]
COPYRIGHT
libburn/libdax_msgs.c
libburn/libdax_msgs.h
test/libburner.c
Updated copyright claims to year 2009

2009.01.04.113401  [2352]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.6.1

04 Jan 2009  [2353]
- cdrskin/add_ts_changes_to_libburn_0_5_8
- cdrskin/add_ts_changes_to_libburn_0_5_9
+ cdrskin/add_ts_changes_to_libburn_0_6_0
+ cdrskin/add_ts_changes_to_libburn_0_6_1
Updated cdrskin tarball generator

03 Jan 2009  [2354]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - cdrskin-0.6.1 - 2009.01.04.113401

04 Jan 2009  [2356]
svn move
http://svn.libburnia-project.org/libburn/branches/ZeroSixZero
http://svn.libburnia-project.org/libburn/tags/ZeroSixZero
libburn release 0.6.0 is ready 

2009.01.06.122534  [2366]
libburn/spc.c
Error texts for ASC 73 : power calibration and program memory

2009.01.06.122808  [2367] [2369]
libburn/async.c
libburn/libdax_msgs.h
Complaining and refusing more early with unformatted BD-RE

7 Jan 2009  [2370]
cdrskin/cdrskin.1
Clarification about one-time DVD and BD media

2009.01.07.154414  [2371]
libburn/write.c
Bug fix: BD-R were not correctly finalized

7 Jan 2009  [2372]
cdrskin/cdrskin_eng.html
Mentioned bug fix and pl01

------------------------------------ cycle  - cdrskin-0.6.1 - 2009.01.07.154414

7 Jan 2009  [2373]
svn copy -m "Branching for libburn bugfix release 0.6.0.pl01" \
    http://svn.libburnia-project.org/libburn/ \
    http://svn.libburnia-project.org/libburn/

7 Jan 2009  [2374]
svn rm -m 'Removing falsly copied tag' \
    http://svn.libburnia-project.org/libburn/libburn

7 Jan 2009  [2375]
svn copy -m "Branching for libburn bugfix release 0.6.0.pl01" \
    http://svn.libburnia-project.org/libburn/tags/ZeroSixZero \
    http://svn.libburnia-project.org/libburn/branches/ZeroSixZeroPl01

2009.01.07.140001  [branch 2376]
README 
cdrskin/README 
cdrskin/cdrskin_eng.html
cdrskin/cdrskin_timestamp.h
Mentioned bug fix and pl01

2009.01.07.140001  [branch 2377]
libburn/write.c
Bug fix: BD-R were not correctly finalized

7 Jan 2009  [2378]
svn move -m 'libburn bugfix release 0.6.0.pl01 is ready' \
    http://svn.libburnia-project.org/libburn/branches/ZeroSixZeroPl01 \
    http://svn.libburnia-project.org/libburn/tags/ZeroSixZeroPl01

------------------------------------ cycle  - cdrskin-0.6.1 - 2009.01.07.154414

2009.01.09.095943  [2381]
libburn/transport.h
libburn/write.c
libburn/mmc.c
libburn/libdax_msgs.h
Recognizing BD-R media spoiled by the close bug and handling them as appendable

------------------------------------ cycle  - cdrskin-0.6.1 - 2009.01.09.100210

2009.01.09.161704  [2383]
libburn/write.c
Preventing a possible bug with a burn run of more than one session at once

2009.01.11.102711  [2390]
libburn/write.c
libburn/libdax_msgs.h
Prepared eventual closing of spoiled BD-R media by a pseudo write run

11 Jan 2009  [2391]
doc/cookbook.txt
Updated cookbook about BD-R media

27 Jan 2009  [2431]
README
libburn/libburn.h
Mentioned the need for 64 bit file i/o

2009.02.04.102822  [2447]
Makefile.am
Linking with $LIBBURN_ARCH_LIBS to get -lcam on FreeBSD

4 Feb 2009  [2448]
README
cdrskin/README
Mentioned hald as possibly conflicting service

2009.02.19.192801  [2479]
libburn/spc.c
Human readable error messages with asynchronous SCSI errors

20 Feb 2009  [2482]
svn copy http://svn.libburnia-project.org/libburn/trunk
         http://svn.libburnia-project.org/libburn/branches/ZeroSixZero
Preparing for libburn-0.6.0

2009.02.20.090001  [2483]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.6.2

20 Feb 2009  [2484]
- cdrskin/add_ts_changes_to_libburn_0_6_0
- cdrskin/add_ts_changes_to_libburn_0_6_1
+ cdrskin/add_ts_changes_to_libburn_0_6_2
+ cdrskin/add_ts_changes_to_libburn_0_6_3
Updated cdrskin tarball generator

------------------------------ release - cdrskin-0.6.2.pl00 - 2009.02.20.090001
* Improvements with build system for FreeBSD

2009.02.20.124909  [2485]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.6.3

20 Feb 2009  [2486]
- cdrskin/add_ts_changes_to_libburn_0_6_0
- cdrskin/add_ts_changes_to_libburn_0_6_1
+ cdrskin/add_ts_changes_to_libburn_0_6_2
+ cdrskin/add_ts_changes_to_libburn_0_6_3
Updated cdrskin tarball generator

------------------------------------ cycle  - cdrskin-0.6.3 - 2009.02.20.132535

20 Feb 2009  [2489]
svn move -m libburn release 0.6.2 is ready
   http://svn.libburnia-project.org/libburn/branches/ZeroSixTwo
   http://svn.libburnia-project.org/libburn/tags/ZeroSixTwo

2009.02.27.143100  [2500]
libburn/libburn.h
libburn/transport.h
libburn/drive.c
libburn/options.c
libburn/write.c
libburn/mmc.c
New API function burn_drive_set_stream_recording()

2009.02.27.211707  [2501]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
New stream_recording mode with start number

2009.03.02.170126  [2513]
libburn/os.h
libburn/libdax_msgs.h
libburn/sg.c
+ libburn/os-dummy.h
+ libburn/sg-dummy.c
New operating system adapter "dummy" for stdio on POSIX-like systems

2009.03.02.193353  [2514]
libburn/drive.c
Fixed a race condition on abort with stdio writing which could cause SIGSEGV

2009.03.02.200132  [2515]
libburn/sg.c
Added a dummy function with loud compiler warning to sg.c dummy case

2009.03.03.092057  [2516]
configure.ac
libburn/sg-dummy.c
Making optional use of statvfs() in sg-dummy

------------------------------------ cycle  - cdrskin-0.6.3 - 2009.03.03.092057
* New API function burn_drive_set_stream_recording()
* New stream recording mode with start number


2009.03.05.145309  [2520]
acinclude.m4
Lifted the ban on operating systems other than Linux and FreeBSD

------------------------------------ cycle  - cdrskin-0.6.3 - 2009.03.05.145309
* New operating system adapter "dummy" for stdio on POSIX-like systems


2009.03.08.140120  [2522]
libburn/cleanup.c
Reacted on compiler warnings of SchilliX-0.6.7 (based on Solaris 5.11)

13 Mar 2009  [2529]
svn copy -m "Branching for libburn release 0.6.4" \
    http://svn.libburnia-project.org/libburn/trunk \
    http://svn.libburnia-project.org/libburn/branches/ZeroSixFour

2009.03.13.080001  [2530]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made libburn number transition to 0.6.4

13 Mar 2009  [2531]
- cdrskin/add_ts_changes_to_libburn_0_6_2
- cdrskin/add_ts_changes_to_libburn_0_6_3
+ cdrskin/add_ts_changes_to_libburn_0_6_4
+ cdrskin/add_ts_changes_to_libburn_0_6_5
Updated cdrskin tarball generator

13 Mar 2009  [2534]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-0.6.4.pl00 - 2009.03.13.080001
* New operating system adapter "dummy" for stdio on general X/Open systems
* New API function burn_drive_set_stream_recording()
* New stream recording mode with start address


2009.03.13.135818  [2532]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made libburn number transition to 0.6.5

13 Mar 2009  [2533]
- cdrskin/add_ts_changes_to_libburn_0_6_2
- cdrskin/add_ts_changes_to_libburn_0_6_3
+ cdrskin/add_ts_changes_to_libburn_0_6_4
+ cdrskin/add_ts_changes_to_libburn_0_6_5
Updated cdrskin tarball generator

13 Mar 2009  [2535]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - cdrskin-0.6.5 - 2009.03.13.162355

13 Mar 2009  [2538]
svn move -m "libburn release 0.6.4 is ready" \
    http://svn.libburnia-project.org/libburn/branches/ZeroSixFour \
    http://svn.libburnia-project.org/libburn/tags/ZeroSixFour

2009.03.16.190745  [2547]
configure.ac
acinclude.m4
Makefile.am
Get on FreeBSD pkgconfigdir=.../libdata , on Linux and others: .../lib

2009.03.18.124558  [2553]
libburn/spc.c
Human readable error messages for asc=08 "Logical unit communication failure"

2009.03.18.172512  [2554]
libburn/drive.c
Bug fix: burn_abort() did not work with broken output pipe (since rev 2514)

2009.04.30.065653  [2623]
libburn/write.c
Marked alleged use of uninitialized memory reported by valgrind

2009.04.30.065918  [2624]
libburn/write.c
Replaced 8 blanks by a tab

2009.04.30.070813 [2625]
libburn/sg-freebsd.c
Bug fix: Device scan stalled on FreeBSD. Ticket 148 jwehle

------------------------------------ cycle  - cdrskin-0.6.5 - 2009.04.30.070813
Bug fix: burn_abort() did not work with broken output pipe (since rev 2514)
Bug fix: Device scan stalled on FreeBSD. Ticket 148 jwehle

7 May 2009 [2628]
svn copy -m "Branching for libburn release 0.6.6"
      http://svn.libburnia-project.org/libburn/trunk
      http://svn.libburnia-project.org/libburn/branches/ZeroSixSix

7 May 2009  [2629]
cdrskin/cdrskin.1
Mentioned BD were it was missing

2009.05.07.100001  [2630]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition and activated development documentation

7 May 2009  [2631]
- cdrskin/add_ts_changes_to_libburn_0_6_4
- cdrskin/add_ts_changes_to_libburn_0_6_5
+ cdrskin/add_ts_changes_to_libburn_0_6_6
+ cdrskin/add_ts_changes_to_libburn_0_6_7
Updated cdrskin tarball generator

7 May 2009  [2632]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-0.6.6.pl00 - 2009.05.07.100001
Bug fix: burn_abort() did not work with broken output pipe (since rev 2514)
Bug fix: Device scan stalled on FreeBSD. Ticket 148 jwehle


7 May 2009  [2633]
cdrskin/cdrskin.1
Mentioned BD were it was missing

2009.05.07.181034  [2634]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition and activated development documentation

7 May 2009  [2635]
- cdrskin/add_ts_changes_to_libburn_0_6_4
- cdrskin/add_ts_changes_to_libburn_0_6_5
+ cdrskin/add_ts_changes_to_libburn_0_6_6
+ cdrskin/add_ts_changes_to_libburn_0_6_7
Updated cdrskin tarball generator

7 May 2009  [2636]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - cdrskin-0.6.7 - 2009.05.07.181034

8 May 2009  [2637]
svn move -m libburn release 0.6.6 is ready
http://svn.libburnia-project.org/libburn/branches/ZeroSixSix
http://svn.libburnia-project.org/libburn/tags/ZeroSixSix

2009.05.17.144304  [2645]
cdrskin/cdrskin.c
Made -scanbus work with SCSI bus numbers like 85 (USB, kernel 2.6.18.2)

2009.06.02.162841  [2655]
libburn/drive.c
libburn/async.c
libburn/options.c
libburn/spc.c
libburn/libdax_msgs.h
Rectified use of burn_drive.mdata->valid

2 Jun 2009  [2656]
test/libburner.c
Avoided SIGSEGV if no drives were found by scan

2009.06.02.172201  [2657]
libburn/drive.c
Avoided to enumerate faulty drive objects

2009.06.03.085637 [2658]
libburn/spc.c
Bug fix: Old MMC-1 drives were rejected because of mode page 2Ah length

2009.06.03.185118  [2659]
libburn/transport.h
libburn/drive.c
libburn/spc.c
libburn/mmc.c
Bug fix: No usable media was detected with old MMC-1 drives

2009.06.14.095004  [2669]
libburn/sg-linux.c
Retrying 3 times on EBUSY drives with generous usleep intervals

------------------------------------ cycle  - cdrskin-0.6.7 - 2009.06.14.095833
Made -scanbus work with high SCSI bus numbers
Bug fix: Old MMC-1 drives were rejected because of mode page 2Ah length
Bug fix: No usable media was detected with old MMC-1 drives


7 Jul 2009  [2691]
acinclude.m4
configure.ac
configure options --enable-libdir-pkgconfig and --enable-pkgconfig-path=DIR

2009.07.07.191134  [2692]
Timestamp for revision 2691

14 Jul 2009 [2894]
svn copy -m "Branching for libburn release 0.6.8"
      http://svn.libburnia-project.org/libburn/trunk
      http://svn.libburnia-project.org/libburn/branches/ZeroSixEight

2009.07.14.100001  [2695]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition and activated development documentation

14 Jul 2009  [2696]
- cdrskin/add_ts_changes_to_libburn_0_6_6
- cdrskin/add_ts_changes_to_libburn_0_6_7
+ cdrskin/add_ts_changes_to_libburn_0_6_8
+ cdrskin/add_ts_changes_to_libburn_0_6_9
Updated cdrskin tarball generator

14 Jul 2009  [2697]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-0.6.8.pl00 - 2009.07.14.100001
Made -scanbus work with high SCSI bus numbers
Bug fix: Old MMC-1 drives were rejected because of mode page 2Ah length
Bug fix: No usable media was detected with old MMC-1 drives


2009.07.14.133159  [2698]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition and activated development documentation

14 Jul 2009  [2699]
- cdrskin/add_ts_changes_to_libburn_0_6_6
- cdrskin/add_ts_changes_to_libburn_0_6_7
+ cdrskin/add_ts_changes_to_libburn_0_6_8
+ cdrskin/add_ts_changes_to_libburn_0_6_9
Updated cdrskin tarball generator

14 Jul 2009  [2700]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - cdrskin-0.6.9 - 2009.07.14.133159

14 Jul 2009  [2702]
svn move -m libburn release 0.6.8 is ready
http://svn.libburnia-project.org/libburn/branches/ZeroSixEight
http://svn.libburnia-project.org/libburn/tags/ZeroSixEight


2009.08.15.133055  [2721]
libburn/write.c
Added test code about output blocks size as comment.

2009.08.15.133332  [2722]
libburn/libburn.h
libburn/transport.h
libburn/drive.c
libburn/mmc.h
libburn/mmc.c
New API calls burn_drive_get_all_profiles(), burn_obtain_profile_name()

2009.08.15.133744  [2723]
cdrskin/cdrskin.c
Listing all profiles with cdrskin -v -atip

2009.08.23.130326  [2735]
libburn/drive.c
libburn/spc.c
libburn/mmc.c
Adapted to pitfalls of U3 memory sticks which appear as CD-ROM drives

------------------------------------ cycle  - cdrskin-0.6.9 - 2009.08.23.132942
New API calls burn_drive_get_all_profiles(), burn_obtain_profile_name()
Adapted to pitfalls of U3 memory sticks which appear as CD-ROM drives


2009.08.24.131146  [2736]
libburn/libburn.h
libburn/transport.h
libburn/drive.c
libburn/sbc.c
New API call burn_drive_snooze()

2009.08.24.161646  [2737]
libburn/libburn.h
libburn/drive.c
Made burn_drive_snooze() safe for emulated drives

2009.08.24.202517  [2740]
libburn/transport.h
libburn/sbc.c
libburn/mmc.c
Implemented automatic START UNIT after STOP UNIT before any other SCSI command

2009.08.27.123001  [2746]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition and activated development documentation

27 Aug 2009  [2747]
- cdrskin/add_ts_changes_to_libburn_0_6_8
- cdrskin/add_ts_changes_to_libburn_0_6_9
+ cdrskin/add_ts_changes_to_libburn_0_7_0
+ cdrskin/add_ts_changes_to_libburn_0_7_1
Updated cdrskin tarball generator

27 Aug 2009  [2748]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-0.7.0.pl00 - 2009.08.27.123001
New API calls burn_drive_get_all_profiles(), burn_obtain_profile_name()
New API call burn_drive_snooze()
Adapted to pitfalls of U3 memory sticks which appear as CD-ROM drives
Listing all supported profiles with option -atip


2009.08.27.143351  [2749]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to development version 0.7.1

27 Aug 2009  [2750]
- cdrskin/add_ts_changes_to_libburn_0_6_8
- cdrskin/add_ts_changes_to_libburn_0_6_9
+ cdrskin/add_ts_changes_to_libburn_0_7_0
+ cdrskin/add_ts_changes_to_libburn_0_7_1
Updated cdrskin tarball generator

27 Aug 2009  [2751]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - cdrskin-0.7.1 - 2009.08.27.143351

2009.09.01.082602  [2773]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Disabled write mode -raw96r

2009.09.01.095750  [2774] [2775]
libburn/libburn.h
libburn/sector.h
libburn/sector.c
libburn/lec.h
libburn/lec.c
libburn/read.c
libburn/write.c
Disabled code using libburn/lec.c

2009.09.01.113957  [2777]
cdrskin/cdrskin.c
Aligned the output columns of cdrskin --devices

2009.09.01.133520  [2778]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
New option --long_toc, now printing media summary at end of TOC

2009.09.02.131514  [2779]
Makefile.am
libburn/sector.c
- libburn/lec.h
- libburn/lec.c
cdrskin/compile_cdrskin.sh
Removed lec.c from libburn

2009.09.02.133307  [2780]
libburn/libburn.h
libburn/util.c
+ doc/mediainfo.txt
cdrskin/cdrskin.c
New API call burn_guess_cd_manufacturer()

2009.09.04.202255  [2781]
libburn/libburn.h
libburn/drive.c
libburn/util.c
libburn/spc.c
libburn/mmc.h
libburn/mmc.c
New API calls burn_get_media_product_id() and burn_guess_manufacturer()

2009.09.04.202357  [2782]
cdrskin/cdrskin.c
Option -atip now reports Product Id and Manufacturer for most CD, DVD, BD types

4 Sep 2009  [2783]
doc/mediainfo.txt
Updated media info documentation

2009.09.04.204432  [2784]
cdrskin/cdrskin.c
Adjusted column width of media info messages

2009.09.05.072512  [2785]
cdrskin/cdrskin.c
Adjusted column width of media summary message

------------------------------------ cycle  - cdrskin-0.7.1 - 2009.09.05.072659
* New option --long_toc, now printing media summary at end of TOC
* New API call burn_guess_cd_manufacturer()
* New API calls burn_get_media_product_id() and burn_guess_manufacturer()


2009.09.05.113043  [2786]
libburn/util.h
libburn/util.c
libburn/mmc.c
Made product ID surely a single printable word

2009.09.05.114326  [2787]
libburn/sg-linux.c
Silenced a valgrind warning caused by not recognizing side effects of a ioctl

2009.09.05.115112  [2788]
cdrskin/cdrskin.c
Closed a small memory leak with drive inquiry

2009.09.05.120947  [2789]
cdrskin/cdrskin.c
Made cdrskin/compile_cdrskin.sh -libburn_0_7_0 work again

------------------------------------ cycle  - cdrskin-0.7.1 - 2009.09.05.121334

2009.09.05.131859  [2790]
cdrskin/cdrskin.c
Re-enabled output of product id and manufacturer

------------------------------------ cycle  - cdrskin-0.7.1 - 2009.09.05.132208

2009.09.05.165127  [2791]
libburn/libburn.h
libburn/drive.c
libburn/util.c
libburn/mmc.c
Introduced flag bit0 for API call burn_get_media_product_id()

2009.09.05.165257  [2792]
cdrskin/cdrskin.c
"Manufacturer:", "Media type:" as cdrecord, own "Product Id:" and "Producer:"

------------------------------------ cycle  - cdrskin-0.7.1 - 2009.09.05.172818
* New -atip report lines "Product Id:" and "Producer:"


2009.09.06.092330  [2793]
libburn/util.c
Made recognition of CD media codes work in burn_guess_manufacturer()

2009.09.06.092654  [2794]
libburn/libburn.h
libburn/drive.c
cdrskin/cdrskin.c
Changed new API call burn_get_media_product_id() to burn_disc_get_media_id()

06 Sep 2009  [2795]
doc/mediainfo.txt
Corrected misformatted manufacturer strings of DVD- media

2009.09.06.112121  [2796]
libburn/mmc.c
doc/mediainfo.txt
Avoided to read third sixpack of manufacturer bytes with DVD-R media

------------------------------------ cycle  - cdrskin-0.7.1 - 2009.09.06.115138

2009.09.09.125305  [2801]
libburn/libburn.h
libburn/transport.h
libburn/drive.c
libburn/mmc.c
New API call burn_disc_get_cd_info()

2009.09.09.134030  [2802]
libburn/transport.h
libburn/drive.c
libburn/mmc.c
Correction with erasable bit of burn_disc_get_cd_info()

2009.09.09.153951  [2803]
libburn/libburn.h
libburn/mmc.c
New struct burn_toc_entry extension for Last Recorded Address

2009.09.09.173452  [2804]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Emulation of some -minfo output

2009.09.09.174337  [2805]
cdrskin/cdrskin.c
Silenced compiler warning

------------------------------------ cycle  - cdrskin-0.7.1 - 2009.09.09.174446
* New API call burn_disc_get_cd_info()
* Emulation of some -minfo output


2009.09.10.071253  [2806]
cdrskin/cdrskin.c
Removed Media summary from -minfo because of incompatible counting rules

------------------------------------ cycle  - cdrskin-0.7.1 - 2009.09.10.084912


2009.09.11.112528  [2807]
libburn/libburn.h
libburn/transport.h
libburn/structure.h
libburn/structure.c
libburn/sector.c
New API call burn_track_set_cdxa_conv()

2009.09.11.120959  [2808]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Interpreting options -mode2, -xa, -xa1, -xa2 but producing CD-ROM Mode 1 tracks

12 Sep 2009  [2809]
cdrskin/cdrskin_eng.html
Updated cdrskin web page

------------------------------------ cycle  - cdrskin-0.7.1 - 2009.09.12.134510
* New API call burn_track_set_cdxa_conv()
* Better interpretation of options -mode2, -xa, -xa1, -xa2
* New option --xa1-ignore


2009.09.13.095055  [2810]
libburn/drive.c
Evaluating read capacity with role 2 drives (regular files and block devices)

2009.09.18.161214  [2815]
libburn/sector.c
Fixing SIGSEGV with CD SAO introduced with revision 2807

2009.09.18.161944  [2816]
libburn/read.c
libburn/libdax_msgs.h
Refusing to read beyond media_read_capacity

------------------------------------ cycle  - cdrskin-0.7.1 - 2009.09.18.164446


2009.09.20.111911  [2820]
libburn/libburn.h
Mentioned need for 2056 byte fifo chunks with burn_track_set_cdxa_conv()

2009.09.22.192545  [2822]
libburn/sbc.c
Revoked instruction to retry STOP UNIT

2009.09.22.192802  [2823]
libburn/sg-linux.c
Restricted retry to the timeout for single SCSI commands (200 seconds) 

2009.10.04.151239  [2830]
libburn/write.c
libburn/libdax_msgs.h
Fixed CD TAO multi-track -dummy bug reported by Philippe Rouquier

------------------------------------ cycle  - cdrskin-0.7.1 - 2009.10.08.174136
* Bug fix: CD TAO sessions with multiple tracks did not work in -dummy mode


2009.10.09.123651  [2847]
libburn/mmc.c
Determining read capacity for DVD-RAM

2009.10.09.123840  [2848]
cdrskin/cdrskin.c
Made -minfo stupidly report overwriteable media as "erasable" and "complete"

2009.10.09.200411  [2849]
libburn/read.c
Made read_capacity error message of burn_read_data() depending on flag bit1

2009.10.09.200730  [2850]
cdrskin/cdrskin.c
Made -minfo subtract 2 from track size if "Data" and last 2 blocks unreadable

12 Oct 2009  [2854]
svn copy -m "Branching for libburn release 0.7.2" \
    http://svn.libburnia-project.org/libburn/trunk \
    http://svn.libburnia-project.org/libburn/branches/ZeroSevenTwo

2009.10.12.080001  [2855]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition and activated development documentation

12 Oct 2009  [2856]
- cdrskin/add_ts_changes_to_libburn_0_7_0
- cdrskin/add_ts_changes_to_libburn_0_7_1
+ cdrskin/add_ts_changes_to_libburn_0_7_2
+ cdrskin/add_ts_changes_to_libburn_0_7_3
Updated cdrskin tarball generator

12 Oct 2009  [2867]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-0.7.2.pl00 - 2009.10.12.080001
* Bug fix: CD TAO sessions with multiple tracks did not work in -dummy mode
* Better interpretation of options -mode2, -xa, -xa1, -xa2
* New option --xa1-ignore
* Emulation of some -minfo output
* New -atip report lines "Product Id:" and "Producer:"
* New API call burn_guess_cd_manufacturer()
* New API calls burn_get_media_product_id() and burn_guess_manufacturer()
* New API call burn_disc_get_cd_info()
* New API call burn_track_set_cdxa_conv()


2009.10.12.103503  [2858]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.7.3

12 Oct 2009  [2859]
- cdrskin/add_ts_changes_to_libburn_0_7_0
- cdrskin/add_ts_changes_to_libburn_0_7_1
+ cdrskin/add_ts_changes_to_libburn_0_7_2
+ cdrskin/add_ts_changes_to_libburn_0_7_3
Updated cdrskin tarball generator

12 Oct 2009  [2860]
cdrskin/changelog.txt
Documented changes and release timestamp

12 Oct 2009  [2861]
svn move -m "libburn release 0.7.2 is ready" \
    http://svn.libburnia-project.org/libburn/branches/ZeroSevenTwo \
    http://svn.libburnia-project.org/libburn/tags/ZeroSevenTwo

------------------------------------ cycle  - cdrskin-0.7.3 - 2009.10.12.105750


2009.10.17.131852  [2865] [2864]
Makefile.am
libburn/libburn.h
libburn/sector.c
+ libburn/ecma130ab.h
+ libburn/ecma130ab.c
cdrskin/compile_cdrskin.sh
Re-implemented ECMA-130 P-parity, Q-parity and scrambling for BURN_WRITE_RAW

------------------------------------ cycle  - cdrskin-0.7.3 - 
* Re-implemented ECMA-130 P-parity, Q-parity and scrambling for BURN_WRITE_RAW


2009.10.19.115722  [2867]
libburn/ecma130ab.c
Optimizations with parity computation, clarification about nature of logarithms

2009.10.20.160131  [2868]
libburn/libburn.h
libburn/ecma130ab.c
More optimizations with parity computation

------------------------------------ cycle  - cdrskin-0.7.3 - 2009.10.20.160131


2009.10.27.100637  [2871]
libburn/mmc.c
Bug fix: burn_drive->disc_id or burn_drive->disc_app_code altered by stray 0. Thanks to George Danchev.

2009.10.27.101031  [2872]
libburn/sg-freebsd.c
Bug fix: Closed memory leak with failure to open device file under FreeBSD. Thanks to George Danchev.

2009.10.30.134640  [2880]
libburn/libburn.h
libburn/spc.c
libburn/mmc.c
libburn/sg-linux.c
Test macros for finding reason of stall problem with Pioneer DVD-216D on DVD-R

------------------------------------ cycle  - cdrskin-0.7.3 - 2009.10.30.134640


2009.11.03.184626  [2881]
libburn/libburn.h
libburn/mmc.c
Test macro for SL_V in mode page 05

2009.11.04.084506  [2882]
libburn/libburn.h
libburn/write.c
Test macro for SEND OPC INFORMATION before DVD-R track

2009.11.05.170409  [2883]
libburn/libburn.h
libburn/transport.h
libburn/write.c
libburn/sbc.c
libburn/mmc.c
Test macros for double START UNIT and SET CD SPEED

2009.11.08.120917  [2884]
libburn/mmc.c
Corrected allocation length with GET CONFIGURATION

2009.11.08.121334  [2885]
libburn/spc.h
libburn/spc.c
libburn/mmc.h
libburn/sg-linux.c
Made SCSI command log more complete and more readable

2009.11.10.132154  [2886]
libburn/mmc.c
Avoiding START UNIT before the drive gets released

2009.11.10.203412  [2887]
libburn/libburn.h
libburn/write.c
libburn/spc.c
libburn/sbc.c
libburn/mmc.c
libburn/sg-linux.c
Hopefully solved the endless burn problem with Pioneer DVR-216D

2009.11.11.100714  [2888]
libburn/write.c
Increased stdio flush interval from 1 MB to 16 MB

2009.11.11.100822  [2889]
cdrskin/cdrskin.c
Reporting number of pending bytes while thanking for patience in -vvv mode

2009.11.11.105028  [2890]
cdrskin/cdrskin.c
Silenced a compiler warning about potentially uninitialized variable

------------------------------------ cycle  - cdrskin-0.7.3 - 2009.11.11.105159
* Workaround for Pioneer DVR-216D which got stuck on DVD-R burns


11 Nov 2009  [2891]
cdrskin/cdrskin_eng.html
Updated cdrskin home page about DVR-216D workaround

2009.11.12.175514  [2892]
libburn/libburn.h
libburn/init.c
libburn/write.c
libburn/sg-linux.c
Made SCSI logger permanent and controllable via API call

2009.11.12.175735  [2893]
libburn/spc.c
libburn/sbc.c
libburn/mmc.c
Workaround for Pioneer DVR-216D refusal to eject

2009.11.12.180048  [2894]
libburn/drive.c
Macro Libburn_pioneer_dvr_216d_dummy_probe_wM for omitting write mode probe

2009.11.12.180241  [2895]
cdrskin/cdrskin.c
Implemented option -V for logging of SCSI commands

2009.11.12.193617  [2896]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Man page entry and help text for option -V

------------------------------------ cycle  - cdrskin-0.7.3 - 2009.11.12.194644
* Implemented option -V for logging of SCSI commands
* Workaround for Pioneer DVR-216D refusal to eject


13 Nov 2009  [2898]
svn copy -m Branching for libburn bugfix release 0.7.2.pl01 \
    http://svn.libburnia-project.org/libburn/tags/ZeroSevenTwo \
    http://svn.libburnia-project.org/libburn/branches/ZeroSevenTwoPl01

2009.11.12.230001  [2899]
README
libburn/write.c
libburn/sbc.c
cdrskin/README
cdrskin/cdrskin_eng.html
cdrskin/cdrskin_timestamp.h
libburn-0.7.2.pl01 : Workarounds for Pioneer DVR-216D rev 1.09

13 Nov 2009  [2900]
svn move -m libburn bugfix release 0.7.2.pl01 is ready \
    http://svn.libburnia-project.org/libburn/branches/ZeroSevenTwoPl01 \
    http://svn.libburnia-project.org/libburn/tags/ZeroSevenTwoPl01

-------------------------------- patch - cdrskin-0.7.2.pl01 - 2009.11.12.230001
* Workaround for Pioneer DVR-216D which got stuck on DVD-R burns
* Workaround for Pioneer DVR-216D refusal to eject


2009.11.15.115923  [2901]
libburn/file.c
Corrected an outdated remark

2009.11.15.152541  [2902]
cdrskin/cdrskin.c
cdrskin/cdrfifo.c
cdrskin/compile_cdrskin.sh
New compile_cdrskin.sh option -o_direct (Linux only)

2009.11.15.153140  [2903]
libburn/libburn.h
libburn/options.h
libburn/options.c
libburn/write.c
New API calls burn_write_opts_set_dvd_obs(), burn_write_opts_set_stdio_fsync()

2009.11.15.165016  [2904]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
New options dvd_obs= and stdio_fsync=

2009.11.16.165420  [2905]
configure.ac
Makefile.am
libburn/write.c
cdrskin/cdrskin.c
cdrskin/cdrfifo.h
cdrskin/cdrfifo.c
cdrskin/cdrskin.1
Configure options --enable-cdrskin-fifo-odirect, --enable-dvd-obs-64k

16 Nov 2009  [2906]
cdrskin/compile_cdrskin.sh
New compile_cdrskin.sh option -dvd_obs_64k, adapted to new .o names of libburn

16 Nov 2009  [2907]
README
cdrskin/README
cdrskin/cdrskin_eng.html
Updated build instructions of libburn and cdrskin

------------------------------------ cycle  - cdrskin-0.7.3 - 2009.11.16.180334
* New API calls burn_write_opts_set_dvd_obs(), burn_write_opts_set_stdio_fsync()
* New options dvd_obs= and stdio_fsync=
* Configure option --enable-dvd-obs-64k
* New compile_cdrskin.sh option -dvd_obs_64k


2009.11.17.093602  [2908]
configure.ac
Makefile.am
cdrskin/compile_cdrskin.sh
Revoked usage of libburn_libburn_la_CFLAGS in Makefile.am (ugly .o names)

------------------------------------ cycle  - cdrskin-0.7.3 - 2009.11.17.100248


17 Nov 2009  [2912]
cdrskin/compile_cdrskin.sh
Corrected help text of cdrskin static compile script

2009.11.18.122713  [2913]
libburn/drive.c
libburn/spc.c
libburn/mmc.h
libburn/mmc.c
Split automatic drive start function from mmc_function_spy()

2009.11.18.185733  [2914]
libburn/write.c
Reserving enough track space for 64 kB write chunks

------------------------------------ cycle  - cdrskin-0.7.3 - 2009.11.18.190403


2009.11.20.134952  [2915]
libburn/libburn.h
libburn/write.c
libburn/sg-linux.c
Experiment about SG_FLAG_DIRECT_IO

2009.11.20.175854  [2916]
cdrskin/cdrfifo.c
Avoided use of uninitialized variable

------------------------------------ cycle  - cdrskin-0.7.3 - 2009.11.21.122202


2009.11.21.191516  [2917]
libburn/write.c
Longer READ BUFFER CAPACITY interval with DVD/BD writing

2009.11.21.191717  [2918]
cdrskin/cdrskin.c
Enabled cdrskin O_DIRECT with fs=0

2009.11.22.115227  [2919]
libburn/write.c   
Bug fix: DVD DAO track size was rounded up much too generously 

2009.11.23.185725  [2920]
configure.ac
Makefile.am
README
libburn/libburn.h
libburn/file.h
libburn/file.c
libburn/async.c
libburn/write.c
libburn/sg-linux.c
libburn/sg-freebsd.c
libburn/sg-freebsd-port.c
libburn/sg-dummy.c
New API calls burn_os_open_track_src() , burn_os_alloc_buffer()

2009.11.23.193252  [2921]
cdrskin/cdrskin.c
cdrskin/cdrfifo.c
cdrskin/compile_cdrskin.sh
cdrskin/README
Gave up cdrskin specific O_DIRECT compile option

2009.11.25.122233  [2920]
libburn/libburn.h
libburn/sg-linux.c
libburn/sg-freebsd.c
libburn/sg-freebsd-port.c
libburn/sg-dummy.c
Gave up call burn_os_close_track_src() introduced by rev 2920

2009.11.25.160153  [2923]
libburn/libburn.h
libburn/file.c
libburn/libdax_msgs.h
New API call burn_fifo_fill()

2009.11.26.144452  [2924]
libburn/libburn.h
libburn/file.h
libburn/file.c
New API calls burn_fifo_get_statistics(), burn_fifo_next_interval()

2009.11.26.211418  [2925]
cdrskin/cdrskin.c
cdrskin/compile_cdrskin.sh
Compiler option -use_libburn_fifo to switch non-CD from cdrfifo to libburn fifo

2009.11.28.122436  [2926]
libburn/sg-linux.c
Using mmap() by default for allocating read buffers

------------------------------------ cycle  - cdrskin-0.7.3 - 2009.11.28.165658
* Bug fix: DVD DAO track size was rounded up much too generously
* New API call burn_fifo_fill()
* New API calls burn_fifo_get_statistics(), burn_fifo_next_interval()
* Configure option --enable-track-src-odirect


2009.11.30.100152  [2929]
libburn/sbc.c
Documented meaning of START/STOP UNIT bits

2009.12.02.103036  [2930]
libburn/write.c
Gave up CLOSE TRACK with CD TAO burn runs

2009.12.05.111822  [2931]
libburn/mmc.c
Bug fix: SIGSEGV with LG GH22LS30 when inquiring media product id

------------------------------------ cycle  - cdrskin-0.7.3 - 2009.12.05.112623
* Bug fix: SIGSEGV from NULL pointer with media product id inquiry on LG GH22LS30


2009.12.05.142309  [2932]
libburn/libburn.h
libburn/write.c
Made effect of macro Libburn_pioneer_dvr_216d_read_buf_caP unconditional

2009.12.05.143707  [2933]
libburn/mmc.c
libburn/sg-linux.c
Converted stderr experiment messages to DEBUG messages

2009.12.06.073404  [2934]
libburn/mmc.c
Some clarifications about the GH22LS30 problem

2009.12.06.074622  [2935]
libburn/write.c
Some clarifications about the Linux throughput problem

2009.12.06.093847  [2936]
cdrskin/compile_cdrskin.sh
Now default in cdrskin: use of libburn fifo with DVD and BD single track

06 Dec 2009  [2937]
svn copy -m Branching for libburn release 0.7.4
http://svn.libburnia-project.org/libburn/trunk
http://svn.libburnia-project.org/libburn/branches/ZeroSevenFour

2009.12.06.160001  [2938]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.7.4

06 Dec 2009  [2939]
- cdrskin/add_ts_changes_to_libburn_0_7_2
- cdrskin/add_ts_changes_to_libburn_0_7_3
+ cdrskin/add_ts_changes_to_libburn_0_7_4
+ cdrskin/add_ts_changes_to_libburn_0_7_5
Updated cdrskin tarball generator

06 Dec 2009  [2940]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-0.7.4.pl00 - 2009.12.06.160001
* Configure options --enable-dvd-obs-64k, --enable-track-src-odirect
* New API calls burn_write_opts_set_dvd_obs(), burn_write_opts_set_stdio_fsync()
* New API call burn_set_scsi_logging()
* New API calls burn_fifo_get_statistics(), burn_fifo_next_interval(), burn_fifo_fill()
* Re-implemented ECMA-130 P-parity, Q-parity and scrambling for BURN_WRITE_RAW
* Workaround for Pioneer DVR-216D which got stuck on DVD-R burns
* Workaround for Pioneer DVR-216D refusal to eject
* Bug fix: SIGSEGV from NULL pointer with media product id inquiry on LG GH22LS30
* Bug fix: DVD DAO track size was rounded up much too generously
* cdrskin option -V for logging of SCSI commands
* New cdrskin options dvd_obs= and stdio_fsync=
* New compile_cdrskin.sh option -dvd_obs_64k


2009.12.07.070029  [2941]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.7.5

07 Dec 2009  [2942]
- cdrskin/add_ts_changes_to_libburn_0_7_2
- cdrskin/add_ts_changes_to_libburn_0_7_3
+ cdrskin/add_ts_changes_to_libburn_0_7_4
+ cdrskin/add_ts_changes_to_libburn_0_7_5
Updated cdrskin tarball generator

07 Dec 2009  [2943]
cdrskin/changelog.txt
Documented changes and release timestamp

07 Dec 2009  [2946]
svn move -m libburn release 0.7.4 is ready
http://svn.libburnia-project.org/libburn/branches/ZeroSevenFour
http://svn.libburnia-project.org/libburn/tags/ZeroSevenFour

------------------------------------ cycle  - cdrskin-0.7.5 - 2009.12.07.083850


16 Dec 2009  [2955] 
doc/cookbook.txt
Mentioned in cookbook the change about TAO close track

2009.12.19.140015  [2957]
libburn/spc.c
Corrected CDB length of command 55h MODE SELECT from 12 to 10

2009.12.19.142456  [2958]
libburn/spc.h
libburn/sg-linux.c
Moved sg_log_cmd() to spc.c scsi_log_cmd()

2009.12.19.142456  [2959]
configure.ac
Makefile.am
libburn/os.h
libburn/sg.c
libburn/sg-freebsd-port.c
+ libburn/os-libcdio.h
+ libburn/sg-libcdio.c
Experimental SCSI transport adapter via GNU libcdio

2009.12.24.170601  [2960]
configure.ac
libburn/spc.h
libburn/spc.c
libburn/sg-linux.c
libburn/sg-libcdio.c
Making use of libcdio function mmc_get_cmd_scsi_sense()

25 Dec 2009  [2961]
cdrskin/compile_cdrskin.sh
Option -use_libcdio for cdrskin development compile script

2009.12.25.101433  [2962]
libburn/libdax_msgs.h
Commited file forgotten with rev 2960

2009.12.25.143326  [2963]
libburn/sg-libcdio.c
Resolving symbolic links in libcdio drive list

2009.12.25.144122  [2964]
configure.ac
Added PKG_CHECK_MODULES for libcdio-0.82 (must become 0.83 when released)

2009.12.25.205704  [2965]
configure.ac
libburn/sg-libcdio.c
Adapted to libcdio-0.83 and its runtime version telling

2009.12.25.223915  [2966]
libburn/init.c
libburn/sg.h
libburn/sg-freebsd.c
libburn/sg-freebsd-port.c
libburn/sg-libcdio.c
libburn/sg-linux.c
New internal sg-API function sg_initialize()

2009.12.26.080301  [2967]
libburn/init.c
libburn/sg-dummy.c
libburn/sg-freebsd.c
libburn/sg-freebsd-port.c
libburn/sg-libcdio.c
libburn/sg-linux.c
New API function burn_scsi_transport_id()

26 Dec 2009  [2968]
Makefile.am
Added os-dummy.h and sg-dummy.h to libburn tarball

26 Dec 2009  [2969]
svn copy -m Branching for libburn bugfix release 0.7.4.pl01
http://svn.libburnia-project.org/libburn/tags/ZeroSevenTwo
http://svn.libburnia-project.org/libburn/branches/ZeroSevenTwoPl01

26 Dec 2009  [2970]
svn mv -m Branching for libburn bugfix release 0.7.4.pl01
http://svn.libburnia-project.org/libburn/branches/ZeroSevenTwoPl01
http://svn.libburnia-project.org/libburn/branches/ZeroSevenFourPl01

26 Dec 2009  [2971]
svn rm -m Branching for libburn bugfix release 0.7.4.pl01
http://svn.libburnia-project.org/libburn/branches/ZeroSevenFourPl01

26 Dec 2009  [2972]
svn copy -m Branching for libburn bugfix release 0.7.4.pl01
http://svn.libburnia-project.org/libburn/tags/ZeroSevenFour
http://svn.libburnia-project.org/libburn/branches/ZeroSevenFourPl01

2009.12.26.110001 [2973]
README
Makefile.am
cdrskin/cdrskin_timestamp.h
Bug fix: Added missing system adapter for generic X/Open to libburn release tarball

26 Dec 2009  [2974]
svn move -m libburn bugfix release 0.7.4.pl01 is ready 
http://svn.libburnia-project.org/libburn/branches/ZeroSevenFourPl01 
http://svn.libburnia-project.org/libburn/tags/ZeroSevenFourPl01

2009.12.26.193707  [2975]
cdrskin/cdrskin.c
Reporting burn_scsi_transport_id() in cdrskin as debug message

2009.12.26.222656  [2976]
libburn/libburn.h
doc/comments
Reacted on some doxygen warnings of Debian hurd build

2009.12.27.092057  [2979]
libburn/os-libcdio.h
libburn/sg-libcdio.c
Showing libburn users drive name link targets, using in libcdio its own names

2009.12.27.102342  [2981]
libburn/sg-libcdio.c
Shorter sg_initialize message with sg-libcdio

2009.12.27.144620  [2982]
libburn/init.c
libburn/drive.c
libburn/sg.h
libburn/os-libcdio.h
libburn/sg-dummy.c
libburn/sg-freebsd.c
libburn/sg-freebsd-port.c
libburn/sg-libcdio.c
libburn/sg-linux.c
Extended sg-API by sg_shutdown(), sg_dispose_drive(), sg_id_string()

2009.12.27.144733  [2983]
cdrskin/cdrskin.c
Reporting system adapter id with cdrskin -version

2009.12.29.115717  [2984]
configure.ac
Incremented middle .so number

2009.12.29.115854  [2985]
libburn/spc.c
Corrected a mode page size computation error which for now had no bad effect

2009.12.29.132537  [2986]
acinclude.m4
libburn/os.h
libburn/sg.c
Experimentally enabled FreeBSD system adapter for Debian kfreebsd

------------------------------------ cycle  - cdrskin-0.7.5 - 2009.12.29.134637
* Experimental SCSI transport adapter via GNU libcdio
* Experimentally using FreeBSD system adapter for Debian kfreebsd
* Bug fix: System adapter for generic X/Open was missing in libburn release tarball


2009.12.29.224506  [2987]
acinclude.m4
Adaptions for Debian kfreebsd requested by Petr Salinger

2009.12.30.154140  [2988]
libburn/drive.c
libburn/sg-libcdio.c
Making use of new libcdio capability to obtain SCSI address tuple on Linux

2009.12.30.201025  [2990]
libburn/sg-libcdio.c
Silenced libcdio warnings

2010.01.01.124042  [2994]
libburn/drive.c
Bug fix: with non-Linux adapters there were 0 readable bytes on block devices 

2010.01.01.124415  [2995]
libburn/sg-libcdio.c
Enabled block device size recognition with sg-libcdio on Linux

------------------------------------ cycle  - cdrskin-0.7.5 - 2010.01.01.143104
* Bug fix: with non-Linux adapters there were 0 readable bytes on block devices


2010.01.04.134949  [3001]
libburn/write.c
libburn/libdax_msgs.h
Avoiding stream recording on BD if not 64 kB buffer

2010.01.04.135427  [3002]
libburn/os-libcdio.h
Enlarged buffer size of libcdio adapter on Linux to 64k

2010.01.09.142027  [3004]
libburn/sg-libcdio.c
Forgot to forward sense reply to higher levels

2010.01.09.142642  [3005]
libburn/spc.c
Better error message with unknown SCSI error codes

2010.01.09.143428  [3006]
libburn/spc.c
libburn/sbc.c
Revoked asynchronous eject, as we cannot distinguish out from unready

2010.01.12.165214  [3009]
libburn/sg-dummy.c
libburn/sg-freebsd-port.c
libburn/sg-libcdio.c
libburn/sg-linux.c
Corrected free capacity measurement of stdio: drives in regular files

12 Jan 2010  [3010]
doc/cookbook.txt
Fixed typos in MMC cookbook

2010.01.13.074028  [3011]
libburn/drive.c
Experimentally regard FreeBSD /dev/da[0-9] and /dev/cd[0-9] as block device

2010.01.13.074640  [3012]
libburn/sg-freebsd.c
Adaptions after encounter with FreeBSD 8.0

2010.01.13.171546  [3013]
libburn/libburn.h
Carified that apps must use 64 bit off_t or the lib must be tweaked.

14 Jan 2010  [3014]
14 Jan 2010  [3015]
test/libburner.c
Carified in libburner.c that apps must use 64 bit off_t.

2010.01.14.160633  [3016]
libburn/libburn.h
libburn/drive.c
Giving up drive probing by mode page sending

2010.01.14.160748  [3017]
libburn/sg-libcdio.c
Provisory rejection of FreeBSD ATAPI drives in sg-libcdio

2010.01.15.182615  [3018]
libburn/os-freebsd.h
libburn/sg-freebsd.c
Implemented adivisory FreeBSD drive locking via flock(2)

2010.01.16.125258  [3019]
libburn/drive.c
libburn/sg.h
libburn/sg-dummy.c
libburn/sg-freebsd.c
libburn/sg-freebsd-port.c
libburn/sg-libcdio.c
libburn/sg-linux.c
New OS adapter burn_os_is_2k_seekrw() replaces S_ISBLK() with pseudo-drives

2010.01.18.103410  [3023]
libburn/sg-linux.c
Changed a comment in sg-linux.c

------------------------------------ cycle  - cdrskin-0.7.5 - 2010.01.18.104011
* Made FreeBSD system adapter safe from mutal burn spoiling and drive deadlock


21 Jan 2010  [3028]
cdrskin/cdrskin.1
Changed man page example from -toc to -minfo

2010.01.21.104741  [3029]
libburn/sg-freebsd.c
libburn/sg-libcdio.c
Learned how to inquire size of disk-like FreeBSD devices

22 Jan 2010  [3030]
svn copy -m "Branching for libburn release 0.7.6" \
    http://svn.libburnia-project.org/libburn/trunk \
    http://svn.libburnia-project.org/libburn/branches/ZeroSevenSix

2010.01.22.130001  []
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.7.6

22 Jan 2010  [3032]
COPYRIGHT
cdrskin/cdrskin.c
doc/cookbook.txt
libburn/libdax_msgs.h
libburn/libdax_msgs.c
test/libburner.c
test/telltoc.c
Lifted ban to derive GPLv3, extended copyright range to 2010

22 Jan 2009  [3033]
- cdrskin/add_ts_changes_to_libburn_0_7_4
- cdrskin/add_ts_changes_to_libburn_0_7_5
+ cdrskin/add_ts_changes_to_libburn_0_7_6
+ cdrskin/add_ts_changes_to_libburn_0_7_7
Updated cdrskin tarball generator

22 Jan 2009  [3034]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-0.7.6.pl00 - 2010.01.22.130001
* Bug fix: System adapter for generic X/Open was missing in libburn release tarball
* Bug fix: with non-Linux adapters there were 0 readable bytes on block devices
* Made FreeBSD system adapter safe from mutal burn spoiling and drive deadlock
* Enabled FreeBSD system adapter for Debian kfreebsd
* Experimental SCSI transport adapter via GNU libcdio 0.83git


2010.01.23.103338  [3035]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.7.7

2010.01.23.104423  [3036]
COPYRIGHT
doc/cookbook.txt
libburn/libdax_msgs.h
libburn/libdax_msgs.c
test/libburner.c
test/telltoc.c
Lifted ban to derive GPLv3, extended copyright range to 2010

23 Jan 2010  [3037]
- cdrskin/add_ts_changes_to_libburn_0_7_4
- cdrskin/add_ts_changes_to_libburn_0_7_5
+ cdrskin/add_ts_changes_to_libburn_0_7_6
+ cdrskin/add_ts_changes_to_libburn_0_7_7
Updated cdrskin tarball generator

------------------------------------ cycle  - cdrskin-0.7.7 - 2010.01.23.104423


23 Jan 2010  [3038]
svn move -m 'libburn release 0.7.6 is ready'
     http://svn.libburnia-project.org/libburn/branches/ZeroSevenSix
     http://svn.libburnia-project.org/libburn/tags/ZeroSevenSix

2010.02.04.083315  [3054]
acinclude.m4
configure.ac
Forcing use of /usr/local on FreeBSD by LDFLAGS and CPPFLAGS

2010.02.12.173236  [3063]
libburn/os-linux.h
libburn/sg-linux.c
Changed system adapter id and some remarks from "Linux" to "GNU/Linux"

2010.02.12.212818  [3064]
libburn/libburn.h
libburn/sg.c
libburn/mmc.c
libburn/drive.c
libburn/init.c
libburn/cleanup.c
libburn/os-linux.h
libburn/sg-linux.c
libburn/write.c
libburn/read.c
libburn/sg-libcdio.c
libburn/os-libcdio.h
libburn/os.h
libburn/toc.c
Changed docs and comments to "GNU/Linux" where appropriate

2010.02.14.084452  [3066]
libburn/sbc.c 
libburn/file.h 
libburn/os-libcdio.h 
libburn/os-dummy.h 
libburn/cleanup.h 
libburn/sector.h 
libburn/libiso_msgs.c 
libburn/async.c 
libburn/libdax_audioxtr.h 
libburn/ecma130ab.c 
libburn/back_hacks.h 
libburn/libdax_msgs.h 
libburn/drive.h 
libburn/read.c 
libburn/source.c 
libburn/util.h 
libburn/cleanup.c 
libburn/sg.c 
libburn/init.c 
libburn/write.c 
libburn/transport.h 
libburn/write.h 
libburn/libburn.h 
libburn/options.c 
libburn/mmc.h 
libburn/sg.h 
libburn/sbc.h 
libburn/sg-dummy.c 
libburn/ecma130ab.h 
libburn/null.c 
libburn/structure.c 
libburn/mmc.c 
libburn/spc.h 
libburn/drive.c 
libburn/sg-linux.c 
libburn/options.h 
libburn/os-linux.h 
libburn/sg-libcdio.c 
libburn/os-freebsd.h 
libburn/sg-freebsd-port.c 
libburn/sector.c 
libburn/debug.c 
libburn/util.c 
libburn/toc.h 
libburn/file.c 
libburn/libdax_audioxtr.c 
libburn/libdax_msgs.c 
libburn/toc.c 
libburn/sg-freebsd.c 
libburn/spc.c 
libburn/structure.h 
Added or adjusted copyright and license statements in single files

2010.02.14.171833  [3069]
libburn/write.c
libburn/read.c
libburn/sector.c
libburn/crc.h
Created opportunity to omit source module libburn/crc.c

2010.02.15.125922  [3071]
libburn/crc.h
Changed a comment in libburn/crc.h

2010.02.16.194147  [3073]
libburn/file.c
Bug fix on FreeBSD: Piped input was falsely attributed a small fixed size

2010.02.17.141409  [3075]
libburn/async.c
libburn/drive.c
libburn/write.c
Avoided random percentage display at start of blanking

2010.02.22.134904  [3080]
libburn/init.c
Made burn_set_signal_handling() more suitable for cdrskin

2010.02.25.070635  [3090]
libburn/write.c
Corrected optional speed curb for stdio: drives. Was damaged by revision 2903.

2010.02.28.104003  [3091]
cdrskin/cdrskin.c
Added forgotten initialization of a variable

2010.02.28.110749  [3092]
cdrskin/cdrskin.c
Bug fix: cdrskin fs=0 lead to SIGSEGV. Regression introduced by revision 2936.

28 Feb 2010  [3093]
cdrskin/cdrskin.1
Corrected spelling errors in cdrskin man page

2010.03.03.140639  [3096]
libburn/drive.c
Enabled patience 0 within burn_abort()

2010.03.03.141407  [3097]
cdrskin/cdrskin.c
cdrskin/cdrfifo.c
Adapted cdrskin abort handler to FreeBSD peculiarities

3 Mar 2010  [3098] [3099]
cdrskin/compile_cdrskin.sh
Enabled static compile script compile_cdrskin.sh for FreeBSD

2010.03.04.121441  [3100]
libburn/sg-linux.c
Showing more patience with temporarily busy drives on Linux

2010.03.04.180102  [3101]
cdrskin/cdrskin.c
Changed burn_abort(0) to burn_abort(-1)

2010.03.05.090948  [3102]
libburn/libburn.h
libburn/transport.h
libburn/drive.h
libburn/drive.c
libburn/init.h
libburn/init.c
libburn/async.c
libburn/write.c
libburn/sector.c
libburn/libdax_msgs.h
libburn/libdax_msgs.c
Introduced alternative signal handling actions

2010.03.05.091432  [3103]
cdrskin/cdrskin.c
Enabled optional use of new signal action 2 with libburn built-in handler

2010.03.05.111712  [3104]
libburn/init.c
libburn/drive.h
libburn/drive.c
Removed some debugging printing

------------------------------------ cycle  - cdrskin-0.7.7 - 2010.03.05.111954
Bug fix on FreeBSD: Piped input was falsely attributed a small fixed size
Bug fix: cdrskin fs=0 led to SIGSEGV. Regression introduced by revision 2936.


2010.03.05.190110  [3105]
libburn/async.c
Protected blanker and formatter thread from signals

06 Mar 2010  [3106]
test/libburner.c
Adapted libburner to new advise about signal handling

07 Mar 2010  [3107]
libburn/libburn.h
test/libburner.c
Changed examples burn_set_signal_handling(...,48) to (...,0x30)

2010.03.08.092608  [3108]
libburn/libburn.h
libburn/init.c
Prevented potential memory fault with burn_set_signal_handling()

2010.03.09.140341  [3111]
libburn/libburn.h
Clarifications in API description of burn_set_signal_handling()

10 Mar 2010  [3112]
svn copy -m "Branching for libburn release 0.7.8" \
    http://svn.libburnia-project.org/libburn/trunk \
    http://svn.libburnia-project.org/libburn/branches/ZeroSevenEight

2010.03.10.120001  [3113]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.7.8

10 Mar 2010  [3114]
- cdrskin/add_ts_changes_to_libburn_0_7_6
- cdrskin/add_ts_changes_to_libburn_0_7_7
+ cdrskin/add_ts_changes_to_libburn_0_7_8
+ cdrskin/add_ts_changes_to_libburn_0_7_9
Updated cdrskin tarball generator

10 Mar 2010  [3115]
cdrskin/cdrskin.c
Removed unused variable

10 Mar 2010  [3116]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-0.7.8.pl00 - 2010.03.10.120001
Bug fix on FreeBSD: Piped input was falsely attributed a small fixed size
Bug fix: cdrskin fs=0 led to SIGSEGV. Regression introduced by version 0.7.4.


2010.03.10.134802  [3117]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.7.9

10 Mar 2010  [3118]
- cdrskin/add_ts_changes_to_libburn_0_7_6
- cdrskin/add_ts_changes_to_libburn_0_7_7
+ cdrskin/add_ts_changes_to_libburn_0_7_8
+ cdrskin/add_ts_changes_to_libburn_0_7_9
Updated cdrskin tarball generator

10 Mar 2010  [3119]
cdrskin/changelog.txt
Documented changes and release timestamp

10 Mar 2010  [3120]
svn move -m 'libburn release 0.7.8 is ready'
    http://svn.libburnia-project.org/libburn/branches/ZeroSevenEight
    http://svn.libburnia-project.org/libburn/tags/ZeroSevenEight

------------------------------------ cycle  - cdrskin-0.7.9 - 2010.03.10.143607

2010.03.17.185222  [3123]
cdrskin/cdrskin.c
Small bug fix about track size with cdrskin -minfo

17 Mar 2010  [3124]
configure.ac
Corrected initialization of configure option --enable-dvd-obs-64k

2010.03.25.113536  [3131]
libburn/spc.c
libburn/sg-freebsd.c
Changed sg-freebsd.c to work with ahci, advise by Alexander Motin

2010.03.26.083158  [3132]
libburn/sg-freebsd.c
Had to make ahci change conditional for now: -DLibburn_for_freebsd_ahcI

2010.03.27.155659  [3133]
libburn/mmc.c
Avoiding to inquire NWA of unwritable media or states

2010.03.27.172644  [3134]
libburn/os-freebsd.h
libburn/sg-freebsd.c
Trying to detect FreeBSD ahci devices and to handle others the old way

------------------------------------ cycle  - cdrskin-0.7.9 - 2010.03.27.184614
* Now able to work with ahci driver of FreeBSD 8-STABLE


2010.03.29.103141  [3135]
libburn/spc.c
libburn/sg-linux.c
libburn/sg-freebsd.c
libburn/sg-libcdio.c
Adjusted libcdio system adapter to FreeBSD peculiarities

2010.04.04.181237  [3146]
test/libburner.c
Let libburner warn programmers if they forget to set 64 bit off_t

2010.04.09.090645  [3155]
libburn/sg-linux.c
Reporting eventual SCSI sense in sg-linux repeat loop

9 Apr 2010  [3156]
svn copy -m "Branching for libburn release 0.8.0" \
    http://svn.libburnia-project.org/libburn/trunk \
    http://svn.libburnia-project.org/libburn/branches/ZeroEightZero

2010.04.09.100001  [3157]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.8.0

09 Apr 2010  [3158]
- cdrskin/add_ts_changes_to_libburn_0_7_8
- cdrskin/add_ts_changes_to_libburn_0_7_9
+ cdrskin/add_ts_changes_to_libburn_0_8_0
+ cdrskin/add_ts_changes_to_libburn_0_8_1
Updated cdrskin tarball generator

09 Apr 2010  [3159]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-0.8.0.pl00 - 2010.04.09.100001
* Now able to work with ahci driver of FreeBSD 8-STABLE


2010.04.09.104907  [3160]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.8.1

09 Apr 2010  [3161]
- cdrskin/add_ts_changes_to_libburn_0_7_8
- cdrskin/add_ts_changes_to_libburn_0_7_9
+ cdrskin/add_ts_changes_to_libburn_0_8_0
+ cdrskin/add_ts_changes_to_libburn_0_8_1
Updated cdrskin tarball generator

09 Apr 2010  [3162]
cdrskin/changelog.txt
Documented changes and release timestamp

09 Apr 2009 [3163]
svn move -m libburn release 0.8.0 is ready
http://svn.libburnia-project.org/libburn/branches/ZeroEightZero
http://svn.libburnia-project.org/libburn/tags/ZeroEightZero

------------------------------------ cycle  - cdrskin-0.8.1 - 2010.04.09.110341


2010.04.30.180350  [3206]
libburn/mmc.c
Avoided to create track without toc_entry from "hidden first track" on CD

------------------------------------ cycle  - cdrskin-0.8.1 - 2010.04.30.182846
* Bug fix: CD TOC was not read if the first track did not start at LBA 0


2010.05.01.082808  [3207]
libburn/util.c
libburn/mmc.c
Bug fix: CD-ROM media got attributed random lead-in and lead-out adresses

------------------------------------ cycle  - cdrskin-0.8.1 - 2010.05.01.083316
* Bug fix: CD-ROM media got attributed random lead-in and lead-out adresses


2010.05.16.090624  [3219]
libburn/async.c
libburn/cleanup.c
libburn/crc.c
libburn/ddlpa.c
libburn/debug.c
libburn/drive.c
libburn/ecma130ab.c
libburn/file.c
libburn/init.c
libburn/libdax_audioxtr.c
libburn/libdax_msgs.c
libburn/mmc.c
libburn/null.c
libburn/options.c
libburn/read.c
libburn/sbc.c
libburn/sector.c
libburn/sg.c
libburn/sg-dummy.c
libburn/sg-freebsd.c
libburn/sg-freebsd-port.c
libburn/sg-libcdio.c
libburn/sg-linux.c
libburn/source.c
libburn/spc.c
libburn/structure.c
libburn/toc.c
libburn/util.c
libburn/write.c
Eventually including ../config.h generated by autotools

2010.05.29.074318  [3237]
libburn/sg-libcdio.c
Bug fix: SIGSEGV of libcdio system adapter if drive list is empty

2010.06.07.171552  [3239]
libburn/sg-libcdio.c
Avoiding to resolve /dev/rdsk/cXtYdZs2 drive addresses on Solaris libcdio

2010.06.07.171706  [3240]
libburn/init.c
cdrskin/cdrskin.c
Reacted on harmless compiler warnings on Solaris

2010.06.07.172925  [3241]
README
cdrskin/README
Makefile.am
libburn/os.h
libburn/sg.c
+ libburn/os-solaris.h
+ libburn/sg-solaris.c
libburn/libdax_msgs.h
cdrskin/cdrskin_eng.html
New system adapter for Solaris uscsi (tested on snv134, kernel 5.11)

2010.06.08.173156  [3244]
libburn/os-solaris.h
Corrected comment

2010.06.08.174946  [3245]
libburn/sg-solaris.c
Handled SCSI status "BUSY" on Solaris

------------------------------------ cycle  - cdrskin-0.8.1 - 2010.06.08.175125
* Bug fix: SIGSEGV of libcdio system adapter if drive list is empty
* New system adapter for Solaris uscsi (tested on snv134, kernel 5.11)


2010.06.08.200313  [3246]
libburn/sg-libcdio.c
libburn/sg-solaris.c
Implemented block device capacity determination fo Solaris

2010.06.10.170901  [3247]
libburn/sg-solaris.c
Removed obsolete development remark

2010.06.10.171018  [3248]
README
cdrskin/README
cdrskin/cdrskin.1
Mentioned Solaris and system dependent drive permission settings

  []
svn copy -m "Branching for libburn release 0.8.2" \
    http://svn.libburnia-project.org/libburn/trunk \
    http://svn.libburnia-project.org/libburn/branches/ZeroEightTwo

2010.06.11.080001  [3251]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.8.2

11 Jun 2010  [3252]
- cdrskin/add_ts_changes_to_libburn_0_8_0
- cdrskin/add_ts_changes_to_libburn_0_8_1
+ cdrskin/add_ts_changes_to_libburn_0_8_2
+ cdrskin/add_ts_changes_to_libburn_0_8_3
Updated cdrskin tarball generator

11 Jun 2010  [3253]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-0.8.2.pl00 - 2010.06.11.080001
* Bug fix: CD TOC was not read if the first track did not start at LBA 0
* Bug fix: CD-ROM media got attributed random lead-in and lead-out adresses
* Bug fix: SIGSEGV of experimental libcdio system adapter if drive list is empty
* New system adapter for Solaris uscsi (tested on snv134, kernel 5.11)


2010.06.11.104830  [3254]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.8.3

11 Jun 2010  [3255]
- cdrskin/add_ts_changes_to_libburn_0_8_0
- cdrskin/add_ts_changes_to_libburn_0_8_1
+ cdrskin/add_ts_changes_to_libburn_0_8_2
+ cdrskin/add_ts_changes_to_libburn_0_8_3
Updated cdrskin tarball generator

11 Jun 2010  [3256]
cdrskin/changelog.txt
Documented changes and release timestamp

11 Jun 2010  [3257]
svn move -m libburn release 0.8.2 is ready
http://svn.libburnia-project.org/libburn/branches/ZeroEightTwo
http://svn.libburnia-project.org/libburn/tags/ZeroEightTwo

------------------------------------ cycle  - cdrskin-0.8.3 - 2010.06.11.104830


2010.06.13.190707  [3267]
libburn/sg-solaris.c
New less obtrusive implementation of sg_is_enumerable_adr for Solaris

2010.06.15.155423  [3272]
libburn/sg-libcdio.c
Avoided compiler warning about unused variable on non-Solaris systems

2010.06.15.155625  [3273]
libburn/os-dummy.h
libburn/os-libcdio.h
Let general POSIX system adapters ignore SIGWINCH and SIGURG if defined

2010.06.15.155739  [3274]
configure.ac
Incremented LT_CURRENT and LT_AGE of libburn

2010.06.16.082457  [3277]
libburn/os-solaris.h
libburn/os-libcdio.h
libburn/os-freebsd.h
Allowed 64 kB max output buffer size on all OSes

30 Jun 2010  [3307]
svn copy -m "Branching for libburn release 0.8.4" \
    http://svn.libburnia-project.org/libburn/trunk \
    http://svn.libburnia-project.org/libburn/branches/ZeroEightFour

2010.06.30.100001  [3308]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.8.4

30 Jun 2010  [3309]
- cdrskin/add_ts_changes_to_libburn_0_8_2
- cdrskin/add_ts_changes_to_libburn_0_8_3
+ cdrskin/add_ts_changes_to_libburn_0_8_4
+ cdrskin/add_ts_changes_to_libburn_0_8_5
Updated cdrskin tarball generator

30 Jun 2010  [3310]
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-0.8.4.pl00 - 2010.06.30.100001
* Let general POSIX system adapters ignore SIGWINCH and SIGURG if defined
* Allowed 64 kB max output buffer size on all OSes


2010.06.30.112709  [3311]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c 
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.8.5

30 Jun 2010  [3312]
- cdrskin/add_ts_changes_to_libburn_0_8_2
- cdrskin/add_ts_changes_to_libburn_0_8_3
+ cdrskin/add_ts_changes_to_libburn_0_8_4
+ cdrskin/add_ts_changes_to_libburn_0_8_5
Updated cdrskin tarball generator

30 Jun 2010  [3313]
cdrskin/changelog.txt
Documented changes and release timestamp

30 Jun 2010  [3314]
svn move -m libburn release 0.8.4 is ready \
http://svn.libburnia-project.org/libburn/branches/ZeroEightFour \
http://svn.libburnia-project.org/libburn/tags/ZeroEightFour

------------------------------------ cycle  - cdrskin-0.8.5 - 2010.06.30.112709


2010.07.04.131219  [3323]
libburn/libburn.h
libburn/libdax_audioxtr.h
libburn/libdax_audioxtr.c
cdrskin/cdrskin.c
test/dewav.c
Moved public part of libdax_audioxtr.h to libburn.h

2010.07.04.170035  [3325]
configure.ac
Makefile.am
+ libburn/libburn.ver
Hiding all non-API symbols from the linker by use of --version-script

04 Jul  [3326]
README
Mentioned new configure option --disable-versioned-libs

2010.07.06.113304  [3329]
configure.ac
acinclude.m4
Let configure perform linker test with --version-script if enabled

2010.07.06.113356  [3330]
libburn/libburn.h
Mentioned that public API calls must be in libisofs/libisofs.ver

2010.07.12.193201  [3334]
cdrskin/cdrskin.c
cdrskin/cdrfifo.c
Changed all malloc() to calloc()

2010.07.12.193644  [3335]
libburn/async.c
libburn/drive.c
libburn/file.c
libburn/libdax_audioxtr.c
libburn/libdax_msgs.c
libburn/mmc.c
libburn/null.c
libburn/options.c
libburn/read.c
libburn/sg-freebsd.c
libburn/sg-freebsd-port.c
libburn/util.c
libburn/write.c
Changed all malloc() to calloc()

2010.07.29.083453  [3336]
libburn/spc.h
libburn/spc.c
libburn/mmc.c
libburn/sg-freebsd.c
libburn/sg-solaris.c
libburn/sg-libcdio.c
Recognizing sense data format 0x72 if given instead of 0x70

2010.07.29.164100  [3337]
Makefile.am
Detached make target "doc" from target "all".

30 Jul 2010  [3341]
doc/doxygen.conf.in
Removed problematic DETAILS_AT_TOP to silence warning of Debian buildd

2010.08.02.100630  [3345]
libburn/spc.h
libburn/spc.c
libburn/sg-linux.c
libburn/sg-freebsd.c
libburn/sg-libcdio.c
Reporting sense data with burn_set_scsi_logging()

2010.08.02.131946  [3346]
libburn/sg-linux.c
Added error simulation code to Linux system adapter

2010.08.02.141233  [3347]
libburn/sg-solaris.c
Committed Solaris system adapter which was forgotten with rev 3345

------------------------------------ cycle  - cdrskin-0.8.5 - 2010.08.02.141233
* Hiding all non-API symbols from the linker by use of --version-script


2010.08.03.191151  [3348]
libburn/sg-linux.c
libburn/sg-freebsd.c
libburn/sg-libcdio.c
libburn/sg-solaris.c
Obeying burn_set_scsi_logging() with errors of class RETRY

2010.08.08.091224  [3349]
libburn/spc.h
libburn/spc.c
libburn/sg-linux.c
libburn/sg-freebsd.c
libburn/sg-libcdio.c
libburn/sg-solaris.c
New SCSI comand response "GO_ON"

2010.08.08.091317  [3350]
libburn/libburn.h
Hopefully silenced a warning of doxygen on Debian buildd

2010.08.13.114139  [3352]
libburn/libdax_msgs.h
libburn/libdax_audioxtr.h
Corrected typo in macro names (which shall never be defined anyway)

2010.08.21.095456  [3356]
libburn/libburn.h
libburn/mmc.c
cdrskin/cdrskin.1
cdrskin/cdrskin_eng.html
Lifted test reservation on DVD-R DL media. Thanks to Kevin Kieffer for testing.

28 Aug 2010  [3358]
test/libburner.c
Clarified the meaning of 0x0 and 0x30 signal handlers

2010.09.14.124934  [3368]
libburn/spc.h
libburn/spc.c
libburn/sg-linux.c
libburn/sg-libcdio.c
libburn/sg-freebsd.c
libburn/sg-solaris.c
Centralized interpretation of SCSI command outcome

------------------------------------ cycle  - cdrskin-0.8.5 - 2010.09.14.135405
* Lifted test reservation on DVD-R DL media.


15 Sep 2010  [3369]
ChangeLog
Meaningful change log file derived by George Danchev from web site

16 Sep 2010  [3373]
svn copy -m Branching for libburn release 0.8.6
http://svn.libburnia-project.org/libburn/trunk
http://svn.libburnia-project.org/libburn/branches/ZeroEightSix

2010.09.16.113001  [3374]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.8.6

16 Sep 2010  [3375]
- cdrskin/add_ts_changes_to_libburn_0_8_4
- cdrskin/add_ts_changes_to_libburn_0_8_5
+ cdrskin/add_ts_changes_to_libburn_0_8_6
+ cdrskin/add_ts_changes_to_libburn_0_8_7
Updated cdrskin tarball generator

16 Sep 2010  [3376]
ChangeLog
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-0.8.6.pl00 - 2010.09.16.113001
* Lifted test reservation on DVD-R DL media.
* Hiding all non-API symbols from the linker by use of --version-script


2010.09.17.073827  [3377]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.8.7

17 Sep 2010  [3378]
- cdrskin/add_ts_changes_to_libburn_0_8_4
- cdrskin/add_ts_changes_to_libburn_0_8_5
+ cdrskin/add_ts_changes_to_libburn_0_8_6
+ cdrskin/add_ts_changes_to_libburn_0_8_7
Updated cdrskin tarball generator

17 Sep 2010  [3379]
ChangeLog
cdrskin/changelog.txt
Documented changes and release timestamp

17 Sep 2010  [3381]
svn move -m libburn release 0.8.6 is ready
http://svn.libburnia-project.org/libburn/branches/ZeroEightSix
http://svn.libburnia-project.org/libburn/tags/ZeroEightSix

------------------------------------ cycle  - cdrskin-0.8.7 - 2010.09.17.082926

2010.09.22.105426  [3395]
acinclude.m4
configure.ac
Makefile.am
README
On Linux: Run ldconfig during make install,if not --disable-ldconfig-at-install

2010.09.22.175054  [3397]
libburn/libburn.h
libburn/libburn.ver
libburn/libdax_msgs.h
libburn/file.h
libburn/file.c
libburn/source.h
libburn/source.c
New API call burn_offst_source_new()

2010.09.22.180921  [3398]
Makefile.am
+ test/offst_source.c
Temporarily added test program for burn_offst_source_new()

22 Sep 2010  [3399]
test/offst_source.c
Better default input file for test/offst_source.c

2010.09.24.090631  [3401]
libburn/libburn.h
libburn/drive.c
libburn/mmc.h
libburn/mmc.c
ChangeLog
New API call burn_disc_get_bd_spare_info()

2010.09.24.090731  [3402]
cdrskin/cdrskin.c
Displaying eventual BD spare area information with -minfo

2010.09.24.091902  [3403]
cdrskin/cdrskin.c
Displaying eventual BD spare area information with --list_formats

2010.09.24.092535  [3404]
libburn/libburn.ver
Making new API call available in dynamic library

2010.09.24.100255  [3405]
cdrskin/cdrskin.c
Polished appearance of BD spare info with --list_formats

------------------------------------ cycle  - cdrskin-0.8.7 - 2010.09.24.100255
* New API call burn_offst_source_new()
* New API call burn_disc_get_bd_spare_info()


2010.09.28.101043  [3408]
libburn/mmc.c
Avoiding to inquire spare area of unsuitable media

2010.10.15.191717  [3445]
libburn/write.c
libburn/libdax_msgs.h
Issue warning after writing a BD-R with more than 300 sessions

2010.10.19.165908  [3450]
libburn/async.c
libburn/write.c
libburn/libdax_msgs.h
Issueing messages with all cases of burn canceling

20 Oct 2010  [3453]
svn copy -m Branching for libburn release 0.8.8
http://svn.libburnia-project.org/libburn/trunk
http://svn.libburnia-project.org/libburn/branches/ZeroEightEight

2010.10.20.120001  [3454]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.8.8

20 Oct 2010  [3455]
- cdrskin/add_ts_changes_to_libburn_0_8_6
- cdrskin/add_ts_changes_to_libburn_0_8_7
+ cdrskin/add_ts_changes_to_libburn_0_8_8
+ cdrskin/add_ts_changes_to_libburn_0_8_9
Updated cdrskin tarball generator

20 Oct 2010  [3456]
ChangeLog
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-0.8.8.pl00 - 2010.10.20.120001
* New API call burn_offst_source_new()
* New API call burn_disc_get_bd_spare_info()


2010.10.20.125207  [3457]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.8.9

20 Oct 2010  [3458]
- cdrskin/add_ts_changes_to_libburn_0_8_6
- cdrskin/add_ts_changes_to_libburn_0_8_7
+ cdrskin/add_ts_changes_to_libburn_0_8_8
+ cdrskin/add_ts_changes_to_libburn_0_8_9
Updated cdrskin tarball generator

20 Oct 2010  [3459]
ChangeLog
cdrskin/changelog.txt
Documented changes and release timestamp

20 Oct 2010
svn move -m libburn release 0.8.8 is ready
http://svn.libburnia-project.org/libburn/branches/ZeroEightEight
http://svn.libburnia-project.org/libburn/tags/ZeroEightEight

------------------------------------ cycle  - cdrskin-0.8.9 - 2010.10.20.134102


2010.10.29.164059  [3474]
libburn/mmc.c
libburn/libdax_msgs.h
Issueing error messages if cache syncing or closing fails

2010.10.29.174455  [3476]
libburn/spc.c
Regression fix: SCSI reply data logging was disabled in rev 3368, 0.8.6

2010.11.16.131221  [3483]
libburn/sg-linux.c
libburn/sg-freebsd.c
libburn/sg-libcdio.c
libburn/sg-solaris.c
Removed outdated development macros

08 Dec 2010  [3502]
svn copy -m Branching for libburn release 0.9.0
http://svn.libburnia-project.org/libburn/trunk
http://svn.libburnia-project.org/libburn/branches/ZeroNineZero

2010.12.08.133001  [3503]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.9.0

08 Dec 2010  [3504]
- cdrskin/add_ts_changes_to_libburn_0_8_8
- cdrskin/add_ts_changes_to_lisburn_0_8_9
+ cdrskin/add_ts_changes_to_libburn_0_9_0
+ cdrskin/add_ts_changes_to_libburn_0_9_1
Updated cdrskin tarball generator

08 Dec 2010  [3505]
ChangeLog
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-0.9.0.pl00 - 2010.12.08.133001
Regression fix: SCSI reply data logging was disabled in release 0.8.6


2010.12.08.131934  [3506]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 0.9.1

08 Dec 2010  [3507]
- cdrskin/add_ts_changes_to_libburn_0_8_8
- cdrskin/add_ts_changes_to_lisburn_0_8_9
+ cdrskin/add_ts_changes_to_libburn_0_9_0
+ cdrskin/add_ts_changes_to_libburn_0_9_1
Updated cdrskin tarball generator

08 Dec 2010  [3508]
ChangeLog
cdrskin/changelog.txt
Documented changes and release timestamp

08 Dec 2010  [3509]
svn move -m libburn release 0.9.0 is ready
http://svn.libburnia-project.org/libburn/branches/ZeroNineZero 
http://svn.libburnia-project.org/libburn/tags/ZeroNineZero

------------------------------------ cycle  - cdrskin-0.9.1 - 2010.12.08.154833

2010.12.13.075956  [3522]
configure.ac
Prepending ./configure generated options to CFLAGS rather than appending them

23 Dec 2010  [3528]
doc/comments
Updated API introduction

2010.12.28.071904  [3537]
libburn/write.c
Allowed umask to create stdio-drive files with rw-permissions for all

2011.01.03.195125  [3542]
libburn/write.c
libburn/sector.c
libburn/structure.h
libburn/structure.c
Allowed stdio tracks of known size to end in TAO mode on premature EOF

2011.01.09.135915  [3546]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
Refusing to burn if foreseeable size exceeds media capacity

------------------------------------ cycle  - cdrskin-0.9.1 - 2011.01.09.140240
* Allowed umask to create stdio-drive files with rw-permissions for all
* cdrskin now refuses to burn if the foreseeable size exceeds media capacity


09 Jan 2011  [3547]
cdrskin/cdrskin_eng.html
ChangeLog
Updated change log and web page

16 Jan 2011 [3548]
svn copy -m "Branching for libburn release 1.0.0" \
    http://svn.libburnia-project.org/libburn/trunk \
    http://svn.libburnia-project.org/libburn/1.0.0"

2011.01.16.123001  [3549] [3550]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 1.0.0

16 Jan 2011  [3551]
- cdrskin/add_ts_changes_to_libburn_0_9_0
- cdrskin/add_ts_changes_to_libburn_0_9_1
+ cdrskin/add_ts_changes_to_libburn_1_0_0
+ cdrskin/add_ts_changes_to_libburn_1_0_1
Updated cdrskin tarball generator

16 Jan 2011  [3552]
ChangeLog
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-1.0.0.pl00 - 2011.01.16.123001
* Allowed umask to create stdio-drive files with rw-permissions for all
* cdrskin now refuses to burn if the foreseeable size exceeds media capacity


2011.01.16.140456  [3553]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 1.0.1

16 Jan 2011  [3554]
- cdrskin/add_ts_changes_to_libburn_0_9_0
- cdrskin/add_ts_changes_to_libburn_0_9_1
+ cdrskin/add_ts_changes_to_libburn_1_0_0
+ cdrskin/add_ts_changes_to_libburn_1_0_1
Updated cdrskin tarball generator

16 Jan 2011  [3555]
ChangeLog
cdrskin/changelog.txt
Documented changes and release timestamp

16 Jan 2011  [3556]
svn move -m "libburn release 1.0.0 is ready" \
http://svn.libburnia-project.org/libburn/branches/1.0.0 \
http://svn.libburnia-project.org/libburn/tags/1.0.0


------------------------------------ cycle  - cdrskin-1.0.1 - 2011.01.16.152923


2011.01.18.162859  [3570]
libburn/file.c
Using usleep() instead of nanosleep() which is not available on Solaris 9

2011.02.09.114311  [3586]
libburn/write.c
libburn/drive.c
Forced role 3 on drives which stem from open file descriptors without O_RDWR

2011.02.14.085951  [3589]
libburn/drive.c
Reacted on compiler warnings about uninitialized variables

2011.02.18.165542  [3592]
libburn/drive.c
libburn/sector.c
DEBUG message with burn_drive_cancel, FAILURE with premature end-of-input

23 Feb 2011  [3604]
svn copy -m Branching for libburn release 1.0.2
http://svn.libburnia-project.org/libburn/trunk
http://svn.libburnia-project.org/libburn/branches/1.0.2

2011.02.23.130001  [3605]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 1.0.2

23 Feb 2011  [3606]
- cdrskin/add_ts_changes_to_libburn_1_0_0
- cdrskin/add_ts_changes_to_libburn_1_0_1
+ cdrskin/add_ts_changes_to_libburn_1_0_2
+ cdrskin/add_ts_changes_to_libburn_1_0_3
Updated cdrskin tarball generator

23 Feb 2011  [3607]
ChangeLog
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-1.0.2.pl00 - 2011.02.23.130001
* Removed compilation obstacles on Solaris 9.
* Improved recognition of non-seekable stdio pseudo-drives.


2011.02.23.193502  [3611]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 1.0.3

23 Feb 2011  [3612]
- cdrskin/add_ts_changes_to_libburn_1_0_0
- cdrskin/add_ts_changes_to_libburn_1_0_1
+ cdrskin/add_ts_changes_to_libburn_1_0_2
+ cdrskin/add_ts_changes_to_libburn_1_0_3
Updated cdrskin tarball generator

23 Feb 2011  [3613]
ChangeLog
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - cdrskin-1.0.3 - 2011.02.23.193502


23 Feb 2011  [3614]
svn move -m libburn release 1.0.2 is ready
http://svn.libburnia-project.org/libburn/branches/1.0.2
http://svn.libburnia-project.org/libburn/tags/1.0.2

2011.02.23.195650  [3615]
libburn/libdax_msgs.h
Registered new error code

2011.02.24.191718  [3619]
libburn/async.c
Corrected a flaw found by George Danchev with cpp

2011.03.01.144625  [3625]
libburn/drive.c
Bug fix: Read-only file descriptors were classified as write-only pseudo drives

svn copy -m Branching for libburn release 1.0.4
http://svn.libburnia-project.org/libburn/trunk
http://svn.libburnia-project.org/libburn/branches/1.0.4

2011.03.10.080001  [3651]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 1.0.4

10 Mar 2011  [3652]
- cdrskin/add_ts_changes_to_libburn_1_0_2
- cdrskin/add_ts_changes_to_libburn_1_0_3
+ cdrskin/add_ts_changes_to_libburn_1_0_4
+ cdrskin/add_ts_changes_to_libburn_1_0_5
Updated cdrskin tarball generator

10 Mar 2011  [3653]
ChangeLog
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-1.0.4.pl00 - 2011.03.10.080001
* Bug fix: Read-only file descriptors were classified as write-only pseudo drives


2011.03.10.132603  [3657]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 1.0.5

10 Mar 2011  [3659]
- cdrskin/add_ts_changes_to_libburn_1_0_2
- cdrskin/add_ts_changes_to_libburn_1_0_3
+ cdrskin/add_ts_changes_to_libburn_1_0_4
+ cdrskin/add_ts_changes_to_libburn_1_0_5
Updated cdrskin tarball generator

10 Mar 2011  [3660]
ChangeLog
cdrskin/changelog.txt
Documented changes and release timestamp

10 Mar 2011  [3658]
svn move -m libburn release 1.0.4 is ready
http://svn.libburnia-project.org/libburn/branches/1.0.4
http://svn.libburnia-project.org/libburn/tags/1.0.4

------------------------------------ cycle  - cdrskin-1.0.5 - 2011.03.10.132603


12 Mar 2011  [3664]
COPYRIGHT
Updated copyright year

2011.03.12.093520  [3665]
libburn/write.c
libburn/mmc.c
Burning DVD-R DAO with 2 kB size granularity rather than 32 kB

2011.03.13.130746  [3666]
libburn/libburn.h
libburn/init.c
libburn/drive.c
libburn/async.c
libburn/write.c
libburn/libdax_msgs.h
libburn/libburn.ver
New API call burn_allow_drive_role_4()

2011.03.13.130850  [3667]
cdrskin/cdrskin.c
Using burn_allow_drive_role_4() in cdrskin

2011.03.13.192627  [3671]
libburn/read.c
libburn/libdax_msgs.h
Changed severity of "Read attempt on write-only drive" from FATAL to FAILURE

2011.03.18.093128  [3672]
cdrskin/cdrskin.c
Prepared cdrskin for drive role 5

2011.03.18.093410  [3673]
libburn/transport.h
libburn/drive.c
libburn/async.c
libburn/write.c
libburn/read.c
libburn/libdax_msgs.h
Provisory introduction of drive role 5, random access write-only

2011.03.18.153326  [3674]
libburn/async.c
libburn/mmc.c
Enabled BD formatting by index on Pioneer BDR-205 which offers no Cert or QCert

2011.03.19.222152  [3675]
libburn/sector.c
Silenced an error message with input that is not aligned to 2 kB

2011.03.21.090313  [3676]
libburn/drive.c
Corrected nwa computation for drive role 5

2011.03.21.090430  [3677]
libburn/write.c
Adjustments for drive role 5, random access write-only

2011.03.21.092220  [3678]
libburn/async.c
Enabled blanking of drive with role 5

2011.03.22.085956  [3685]
libburn/libburn.h
libburn/init.c
libburn/drive.c
Avoiding appendable role 5 if not explicitely enabled

2011.03.24.182148  [3687]
libburn/libburn.h
libburn/read.c
libburn/libdax_msgs.h
Better handling of read attempt on pseudo-drive without read-permission

8 Apr 2011  [3712]
svn copy -m Branching for libburn release 1.0.6
http://svn.libburnia-project.org/libburn/trunk
http://svn.libburnia-project.org/libburn/branches/1.0.6

2011.04.08.180001  [3713]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 1.0.6

08 Apr 2011  [3714]
- cdrskin/add_ts_changes_to_libburn_1_0_4
- cdrskin/add_ts_changes_to_libburn_1_0_5
+ cdrskin/add_ts_changes_to_libburn_1_0_6
+ cdrskin/add_ts_changes_to_libburn_1_0_7
Updated cdrskin tarball generator

08 Apr 2011   [3715]
ChangeLog
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------ release - cdrskin-1.0.6.pl00 - 2011.04.08.180001
* Burning DVD-R DAO with 2 kB size granularity rather than 32 kB
* New API call burn_allow_drive_role_4()


2011.04.09.090001  [3719]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 1.0.7

09 Apr 2011  [3720]
- cdrskin/add_ts_changes_to_libburn_1_0_4
- cdrskin/add_ts_changes_to_libburn_1_0_5
+ cdrskin/add_ts_changes_to_libburn_1_0_6
+ cdrskin/add_ts_changes_to_libburn_1_0_7
Updated cdrskin tarball generator

09 Apr 2011   [3721]
ChangeLog
cdrskin/changelog.txt
Documented changes and release timestamp

09 Apr 2011  [3722]
svn move -m libburn release 1.0.6 is ready
http://svn.libburnia-project.org/libburn/branches/1.0.6
http://svn.libburnia-project.org/libburn/tags/1.0.6

------------------------------------ cycle  - cdrskin-1.0.7 - 2011.04.09.090001


15 Apr 2011  [3735]
doc/doxygen.conf.in
Disabled HAVE_DOT in doxygen.conf

2011.05.01.144546  [3743]
libburn/init.c
Closed tiny memory leak found by valgrind

2011.05.12.120503  [3791]
libburn/drive.h
Including header pthread.h on request of Mats Andersson for OpenBSD

2011.05.12.134723  [3792]
libburn/init.c
libburn/drive.c
libburn/structure.c
libburn/mmc.c
libburn/sg-linux.c
Reacted on -Wsign-compare warnings of gcc

2011.05.12.135008  [3793]
cdrskin/cdrskin.c
Reacted on -Wsign-compare warnings of gcc

2011.05.12.135116  [3794]
test/libburner.c
Reacted on -Wsign-compare warnings of gcc

2011.05.12.135217  [3795]
test/telltoc.
Reacted on -Wsign-compare warnings of gcc

12 May 2011  [3796]
test/poll.c
Reacted on -Wsign-compare warnings of gcc

14 May 2011  [3803]
Makefile.am
doc/cookbook.txt
doc/mediainfo.txt
Added cookbook.txt and mediainfo.txt to tarball on request of George Danchev

2011.05.15.104727  [3804]
libburn/init.h
Macros BURN_ALLOC_MEM, BURN_FREE_MEM for replaceing local variables

2011.05.15.104926  [3805]
libburn/async.c
Replaced some large local variables by other means in libburn/async.c

2011.05.15.181724  [3806]
libburn/init.h
Polished macro BURN_ALLOC_MEM

2011.05.15.191420  [3807]
libburn/drive.c
Replaced some large local variables by other means in libburn/drive.c

2011.05.15.203140  [3808]
libburn/init.h
libburn/async.c
Added forgotten return value to BURN_ALLOC_MEM

22 May 2011 [3830]
doc/mediainfo.txt
Added a DVD+RW product id to the list

22 May 2011  [3831]
configure.ac
Added options -Wextra -Wno-unused-parameter for gcc

2011.05.23.154011  [3834]
libburn/mmc.c
Replaced some large local variables by other means in libburn/mmc.c

2011.05.23.155217  [3835]
libburn/read.c
Replaced some large local variables by other means in libburn/read.c

2011.05.23.163506  [3836]
libburn/sg-dummy.c
Replaced some large local variables by other means in libburn/sg-dummy.c

2011.05.23.174016  [3837]
libburn/sg-freebsd.c
Replaced some large local variables by other means in libburn/sg-freebsd.c

2011.05.23.182627  [3838]
libburn/sg-freebsd-port.c
Replaced some large local variables by other means in libburn/sg-freebsd-port.c

2011.05.26.145626  [3839]
libburn/transport.h
libburn/libdax_msgs.h
libburn/mmc.c
Improved reaction on Damage Bit and missing NWA_V of READ TRACK INFORMATION

2011.05.26.150020  [3840]
libburn/libburn.h
libburn/drive.c
libburn/libburn.ver
New API call burn_disc_next_track_is_damaged()

2011.05.31.103124  [3846]
libburn/write.h
libburn/write.c
libburn/libdax_msgs.h
libburn/libburn.ver
New API call burn_disc_close_damaged()

2011.06.02.083808  [3848]
libburn/sg-freebsd.c
libburn/sg-freebsd-port.c
Gave up use of bzero() in FreeBSD system adapters

2011.06.02.132554  [3849]
libburn/sg-libcdio.c
Replaced some large local variables by other means in libburn/sg-libcdio.c

2011.06.05.170431  [3850]
libburn/sg-linux.c
Replaced some large local variables by other means in libburn/sg-linux.c

2011.06.06.104404  [3851]
libburn/sg-solaris.c
Replaced some large local variables by other means in libburn/sg-solaris.c

2011.06.06.105052  [3852]
libburn/sg-solaris.c
Reacted on warnings of gcc about mixed sign comparison

2011.06.06.173021  [3853]
libburn/spc.c
Replaced some large local variables by other means in libburn/spc.c

2011.06.06.173611  [3854]
libburn/init.h
libburn/init.c
Leaner implementation of macro BURN_ALLOC_MEM

2011.06.07.084343  [3855]
libburn/write.c
Closed a small memory leak with CD SAO found by valgrind

2011.06.07.143930  [3856]
libburn/transport.h
libburn/spc.c
libburn/sbc.c
libburn/mmc.c
Consolidated several local struct command to a new member of struct burn_drive

2011.06.08.081338  [3858]
libburn/structure.c
Replaced some large local variables by other means in libburn/structure.c

2011.06.08.082201  [3859]
libburn/toc.c
Replaced some large local variables by other means in libburn/toc.c

2011.06.08.181204  [3860]
libburn/mmc.c
Bug fix: burn_disc_format() on DVD-RW issued wrong block size with type 00h

08 Jun 2011  [3861]
configure.ac
Makefile.am
Introduced AC_CONFIG_MACRO_DIR() and ACLOCAL_AMFLAGS on advise of George Danchev

2011.06.08.200329  [3863]
libburn/write.c
Replaced some large local variables by other means in libburn/write.c

09 Jun 2011  [3864]
bootstrap
Added option -I . to aclocal in bootstrap script on advise of George Danchev

2011.06.14.152832  [3866]
libburn/spc.c
libburn/mmc.c
Reporting SCSI error if command RESERVE TRACK fails


Release 1.0.8 was skipped to get back in sync with libisofs and libisoburn.


18 Jun 2011 [3868]
svn copy -m Branching for libburn release 1.1.0
http://svn.libburnia-project.org/libburn/trunk
http://svn.libburnia-project.org/libburn/branches/1.1.1

2011.06.18.100001  [3869]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 1.1.0

18 Jun 2011  [3870]
- cdrskin/add_ts_changes_to_libburn_1_0_6
- cdrskin/add_ts_changes_to_libburn_1_0_7
+ cdrskin/add_ts_changes_to_libburn_1_1_0
+ cdrskin/add_ts_changes_to_libburn_1_1_1
Updated cdrskin tarball generator

18 Jun 2011  [3871]
ChangeLog
cdrskin/changelog.txt
Documented changes and release timestamp

----------------------------------- release - cdrskin-1.1.0 - 2011.06.18.100001
* New API call burn_disc_next_track_is_damaged()
* New API call burn_disc_close_damaged()
* Bug fix: burn_disc_format() on DVD-RW issued wrong block size with type 00h


2011.06.18.154942  [3875]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 1.1.1

18 Jun 2011  [3876]
- cdrskin/add_ts_changes_to_libburn_1_0_6
- cdrskin/add_ts_changes_to_libburn_1_0_7
+ cdrskin/add_ts_changes_to_libburn_1_1_0
+ cdrskin/add_ts_changes_to_libburn_1_1_1
Updated cdrskin tarball generator

18 Jun 2011  [3877]
ChangeLog
cdrskin/changelog.txt
Documented changes and release timestamp

18 Jun 2011  [3878]
svn move -m libburn release 1.1.0 is ready
http://svn.libburnia-project.org/libburn/branches/1.1.0
http://svn.libburnia-project.org/libburn/tags/1.1.0

------------------------------------ cycle  - cdrskin-1.1.1 - 2011.06.18.154942

2011.06.19.203515  [3882]
libburn/sg-dummy.c
Bug fix: libburn-1.1.0 did only compile on Linux, FreeBSD, and Solaris

20 Jun 2011  [3883]
svn copy -m Branching for libburn release 1.1.0.pl01
http://svn.libburnia-project.org/libburn/tags/1.1.0
http://svn.libburnia-project.org/libburn/branches/1.1.0.pl01

2011.06.20.110001  [3884] [3885] (branch 1.0.0.pl01)
libburn/sg-dummy.c
ChangeLog
cdrskin/cdrskin_timestamp.h
Bug fix: libburn-1.1.0 did only compile on Linux, FreeBSD, and Solaris

20 Jun 2011  [3886]
svn move -m "libburn bugfix release 1.0.0.pl01  is ready"
http://svn.libburnia-project.org/libburn/branches/1.1.0.pl01
http://svn.libburnia-project.org/libburn/tags/1.1.0.pl01

------------------------------ release - libburn-1.1.0.pl01 - 2011.06.20.110001
* Bug fix: libburn-1.1.0 compiled only on Linux, FreeBSD, and Solaris


2011.06.22.093127  [3888]
libburn/sg-libcdio.c
Silenced compiler warnings about signedness

22 Jun 2011  [3889]
releng/releng_build_os
Beginning to create a test suite for libburn and cdrskin

2011.07.04.143922  [4041]
libburn/spc.c
Avoiding to load speed descriptor list twice

2011.07.04.171649  [4047]
libburn/file.c
Reacted on warnings of -Wunused-but-set-variable

2011.07.06.142532  [4071]
libburn/init.h
libburn/async.c
Reacted on warnings of -Wunused-but-set-variable

2011.07.06.143104  [4072]
libburn/mmc.c
Reacted on warnings of -Wunused-but-set-variable

2011.07.06.143313  [4073]
libburn/spc.c
Reacted on warnings of -Wunused-but-set-variable

2011.07.06.143441  [4074]
libburn/toc.c
Reacted on warnings of -Wunused-but-set-variable

2011.07.06.143536  [4075]
libburn/write.c
Reacted on warnings of -Wunused-but-set-variable

2011.07.06.143724  [4076]
cdrskin/cdrskin.c
Reacted on warnings of -Wtype-limits and -Wunused-but-set-variable

2011.07.06.143904  [4077]
cdrskin/cdrfifo.c
Reacted on warnings of -Wunused-but-set-variable

2011.07.07.114911  [4083]
libburn/mmc.c
Silenced warning of cppcheck

2011.07.07.115006  [4084]
libburn/sg-linux.c
Silenced warning of cppcheck

2011.07.07.120719  [4085]
libburn/util.c
Reacted on warning of cppcheck

2011.07.11.143934  [4133]
libburn/sg.c
Implemented macro Libburn_use_sg_freebsd_porT

2011.07.12.095936  [4138]
cdrskin/cdrfifo.c
Reacted on warning of cppcheck about cdrskin/cdrfifo.c

2011.07.12.105955  [4139]
cdrskin/cleanup.c
Reacted on warning of cppcheck about cdrskin/cleanup.c

2011.07.12.110131  [4140]
libburn/async.c
Reacted on warning of cppcheck about libburn/async.c

2011.07.12.110223  [4142]
libburn/cleanup.c
Reacted on warning of cppcheck about libburn/cleanup.c

2011.07.12.110306  [4143]
libburn/drive.c
Reacted on warning of cppcheck about libburn/drive.c

2011.07.12.110405  [4144]
libburn/read.c
Reacted on warning of cppcheck about libburn/read.c

2011.07.12.110453  [4145]
test/poll.c
Reacted on warning of cppcheck about test/poll.c

2011.07.12.141659  [4147]
libburn/sg.c
Improved intentional compiler warning about lack of suitable system adapter 

2011.07.12.141838  [4148]
libburn/sg-dummy.c
Reacted on warning of cppcheck about libburn/sg-dummy.c

2011.07.12.141932  [4149]
libburn/sg-freebsd-port.c
Reacted on warning of cppcheck about libburn/sg-freebsd-port.c

2011.07.12.142018  [4150]
libburn/sg-freebsd.c
Reacted on warning of cppcheck about libburn/sg-freebsd.c

2011.07.12.142141  [4151]
libburn/sg-libcdio.c
Reacted on warning of cppcheck about libburn/sg-libcdio.c

2011.07.12.155335  [4152]
cdrskin/cdrskin.c
Improved -atip and -minfo with empty drive

2011.07.12.155417  [4153]
libburn/drive.c
Bug fix: Empty ROM drive was mistaken to hold an unsuitable disc

2011.07.12.173727  [4154]
libburn/sg-solaris.c
Reacted on warning of cppcheck about libburn/sg-solaris.c

2011.07.14.162150  [4164]
cdrskin/cdrskin.c
Fixed possible uninitialized variable use introduced by rev 4152

2011.07.15.081325  [4170]
libburn/sg-freebsd.c
Reacted on warning of cppcheck about libburn/sg-freebsd.c

2011.07.28.191202  [4222]
libburn/libburn.h
libburn/drive.c
libburn/libburn.ver
New API call burn_lookup_device_link()

2011.07.28.191536  [4223]
cdrskin/cdrskin.c
cdrskin/cdrskin.1
New option --device_links

2011.07.31.080152  [4227]
libburn/transport.h
libburn/drive.h
libburn/drive.c
libburn/spc.c
libburn/mmc.c
Bug fix: Some drives returned wrong CD sizes after having burnt DVD-R

2011.07.31.083046  [4228]
libburn/spc.c
libburn/mmc.c
Bug fix: Some drives return -150 as NWA of blank CD, rather than 0

2011.08.01.125405  [4232]
libburn/libburn.h
libburn/drive.c
libburn/mmc.c
libburn/libburn.ver
New API call burn_disc_get_phys_format_info()

2011.08.01.153305  [4237]
libburn/mmc.h
Forgot to upload the header which defines mmc_get_phys_format_info


Release 1.1.2 was skipped to get back in sync with libisoburn.


07 Aug 2011  [4247]
copy -m Branching for libburn release 1.1.4
http://svn.libburnia-project.org/libburn/trunk
http://svn.libburnia-project.org/libburn/branches/1.1.4

2011.08.07.100001  [4249]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 1.1.4

07 Aug 2011  [4250]
- cdrskin/add_ts_changes_to_libburn_1_1_0
- cdrskin/add_ts_changes_to_libburn_1_1_1
+ cdrskin/add_ts_changes_to_libburn_1_1_4
+ cdrskin/add_ts_changes_to_libburn_1_1_5
Updated cdrskin tarball generator

07 Aug 2011  [4251]
ChangeLog
cdrskin/changelog.txt
Documented changes and release timestamp

07 Aug 2011  [4255]
cdrskin/cdrskin_eng.html
ChangeLog
cdrskin/changelog.txt
Forgot to mention cdrskin option --device_links

----------------------------------- release - cdrskin-1.1.4 - 2011.08.07.100001
* Bug fix: Some drives return -150 as NWA of blank CD, rather than 0.
           libburn forwarded this misleading information to the application.
* Bug fix: Some drives returned wrong CD sizes after having burned DVD-R
* Bug fix: Empty ROM drive was mistaken to hold an unsuitable disc
* Bug fix: Avoiding to load speed descriptor list twice
* New API call burn_lookup_device_link()
* New API call burn_disc_get_phys_format_info()
* New cdrskin option --device_links


2011.08.08.121355  [4259]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 1.1.5

08 Aug 2011  [4260]
- cdrskin/add_ts_changes_to_libburn_1_1_0
- cdrskin/add_ts_changes_to_libburn_1_1_1
+ cdrskin/add_ts_changes_to_libburn_1_1_4
+ cdrskin/add_ts_changes_to_libburn_1_1_5
Updated cdrskin tarball generator

08 Aug 2011  [4261]
ChangeLog
cdrskin/changelog.txt
Documented changes and release timestamp

------------------------------------ cycle  - cdrskin-1.1.5 - 2011.08.08.121355


08 Aug 2011  [4262]
svn move -m libburn release 1.1.4 is ready
http://svn.libburnia-project.org/libburn/branches/1.1.4
http://svn.libburnia-project.org/libburn/tags/1.1.4

2011.08.17.160854  [4280]
libburn/libburn.h
libburn/transport.h
libburn/drive.c
Bug fix: stdio sizes > 4 TB - 32 kB caused integer rollover

2011.08.17.162201  [4281]
libburn/drive.c
Reacted on compiler warning about previous revision

2011.08.29.213339  [4302]
libburn/write.c
More generous ignoring of failure of fsync() on inappropriate fd

2011.09.20.131602  [4306]
libburn/sg-linux.c
Simulation of large disks

2011.09.20.131843  [4307]
libburn/sg-linux.c
Working around collision with udev by closing and re-opening device file

2011.09.20.132438  [4308]
libburn/spc.c
Slowing down test cycle while waiting for drive to become ready

2011.09.21.133344  [4310]
README
cdrskin/README
libburn/sg-linux.c
Improved and documented workaround for udev

21 Sep 2011  [4311]
README
cdrskin/README
Corrected outdated sentence in documented workaround for udev

26 Sep 2011  [4321]
svn copy -m Branching for libburn release 1.1.6
http://svn.libburnia-project.org/libburn/trunk
http://svn.libburnia-project.org/libburn/branches/1.1.6

2011.09.27.060001  [4322]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 1.1.6

27 Sep 2011  [4323]
- cdrskin/add_ts_changes_to_libburn_1_1_4
- cdrskin/add_ts_changes_to_libburn_1_1_5
+ cdrskin/add_ts_changes_to_libburn_1_1_6
+ cdrskin/add_ts_changes_to_libburn_1_1_7
Updated cdrskin tarball generator

27 Sep 2011  [4324]
ChangeLog
cdrskin/changelog.txt
Updated change log

----------------------------------- release - libburn-1.1.6 - 2011.09.27.060001
* Bug fix: stdio sizes > 4 TB - 32 kB caused integer rollover
* Worked around a collision with Linux udev which lets links vanish


2011.09.27.124555  [4329]
Makefile.am
configure.ac
README
libburn/libburn.h
cdrskin/cdrskin.c
cdrskin/README
cdrskin/compile_cdrskin.sh
cdrskin/cdrskin_timestamp.h
cdrskin/cdrskin_eng.html
Made number transition to 1.1.7

27 Sep 2011  [4330]
- cdrskin/add_ts_changes_to_libburn_1_1_4
- cdrskin/add_ts_changes_to_libburn_1_1_5
+ cdrskin/add_ts_changes_to_libburn_1_1_6
+ cdrskin/add_ts_changes_to_libburn_1_1_7
Updated cdrskin tarball generator

27 Sep 2011  [4331]
ChangeLog
cdrskin/changelog.txt
Updated change log

27 Sep 2011  [4332]
svn move -m libburn release 1.1.6 is ready
http://svn.libburnia-project.org/libburn/branches/1.1.6 
http://svn.libburnia-project.org/libburn/tags/1.1.6

------------------------------------ cycle  - cdrskin-1.1.7 - 2011.09.27.124555


2011.10.02.134037  [4336]
libburn/sg-linux.c
Avoided open()-close() cycles during drive scan and grab on Linux

2011.10.02.172004  [4337]
libburn/sg-linux.c
Avoided one more open()-close() cycles during drive scan and grab on Linux

2011.10.05.075531  [4339]
libburn/libburn.h
libburn/drive.h
libburn/drive.c
libburn/write.c
libburn/libburn.ver
New API call burn_drive_re_assess()

2011.10.06.082649  [4344]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_stream_recordinG

2011.10.06.082934  [4345]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_drive_equals_adR

2011.10.06.083228  [4346]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_get_drive_rolE

2011.10.06.084026  [4347]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_random_access_rW

2011.10.06.085426  [4348]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_get_best_speeD

2011.10.06.085713  [4349]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_set_waitinG

2011.10.06.085848  [4350]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_track_set_sizE

2011.10.06.090207  [4351]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_preset_device_familY

2011.10.06.090422  [4352]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_set_forcE

2011.10.06.090557  [4353]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_allow_untested_profileS

2011.10.06.091334  [4554]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_write_mode_ruleS

2011.10.06.091641  [4355]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_get_spacE

2011.10.06.091949  [4356] [4357]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_set_filluP

2011.10.06.092242  [4358]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_get_multi_capS

2011.10.06.095055  [4359]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_toc_entry_extensionS

2011.10.06.095322  [4360]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_get_msc1

2011.10.06.100025  [4361]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_burn_disc_formaT

2011.10.06.101239  [4362]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_bd_formattinG

2011.10.06.101442  [4363]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_wrote_welL

2011.10.06.101918  [4364]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_set_start_bytE

2011.10.06.102127  [4365]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_get_profilE

2011.10.06.102557  [4366]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_atip_speed_is_oK

2011.10.06.102816  [4367]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_buffer_min_filL

2011.10.06.103102  [4368]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_multI

2011.10.06.103325  [4369]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_pretend_fulL

2011.10.06.103445  [4370]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_buffer_progresS

2011.10.06.103619  [4371]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_read_atiP

2011.10.06.103832  [4372]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_burn_disc_unsuitablE

2011.10.06.104012  [4373]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_get_start_end_lbA

2011.10.06.104233  [4374]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_audioxtR

2011.10.06.104519  [4375]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_cleanup_handleR

2011.10.06.104908  [4376]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_burn_aborT

2011.10.06.105627  [4377]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_burn_msgS

2011.10.06.105922  [4378]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_convert_scsi_adR

2011.10.06.111115  [4379]
cdrskin/cdrskin.c
Now unconditional: Cdrskin_libburn_has_convert_fs_adR

